# Generated by Makefile. Do not edit.

commit 9b48fb4715acfdc63c2b118ef24994c7078803b0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Aug 1 15:53:29 2011 +0100

    Release 1.2.1

 NEWS |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 0e9a18e6741967970d973ab0c6d228e486c8d7f6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Aug 1 15:52:31 2011 +0100

    configure: create 'xz' compressed distribution tarballs by default

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b38b93a7acd51520eea52b3720916e9fa6fd95de
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Wed Jul 27 12:50:17 2011 -0700

    Mark private fields as such and document mx_icon_theme_get_search_paths

 mx/mx-droppable.h         |    2 ++
 mx/mx-icon-theme.c        |    8 ++++++++
 mx/mx-scrollable.h        |    2 ++
 mx/mx-settings-provider.h |    2 ++
 mx/mx-stylable.h          |    2 ++
 5 files changed, 16 insertions(+), 0 deletions(-)

commit dc637caac6966a6947af27e5b2a971608d71f08d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Aug 1 09:40:54 2011 +0100

    Update bugzilla location in README

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5db455070ef8a2e3dbebb3ec80a05c3c96923817
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jun 10 22:22:16 2011 +0100

    image: Allow a transition duration of 0ms
    
    and thus allow people to desactivate transitions.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2666

 mx/mx-image.c |   41 +++++++++++++++++++++++++++--------------
 1 files changed, 27 insertions(+), 14 deletions(-)

commit 5bb0f78701a038c77e96ddd1532835c5ab0f08f1
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Sun Jun 5 04:11:35 2011 +0100

    Fix compiler warnings
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2663

 mx/mx-texture-cache.c |    2 +-
 mx/mx-tooltip.c       |    2 ++
 mx/mx-widget.c        |    2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 08ced91ae29de77343b1cff438f13bd902b2b1c1
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Tue Jun 7 15:28:39 2011 +0100

    mx-actor-manager: unparent container before removing children
    
    When removing a container from the stage, if we remove all its
    children before removing the container itself we end up triggering a
    relayout of the tree for each removal.
    
    This patch propose an improvment by unparenting the container first,
    before removing all its children.
    
    Also fix a bug with the callback not being recalled when there are
    still operations to process.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2662

 mx/mx-actor-manager.c |   31 ++++++++++++++++++++++++-------
 1 files changed, 24 insertions(+), 7 deletions(-)

commit 303520eb2bcf3e157ddd3e441279d8c0113e5d06
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Tue May 10 21:02:43 2011 +0900

    box-layout: Make it safe to destroy children from clutter_container_foreach().
    
    Since a call to clutter_actor_destroy() modifies the list of children
    it's important to take care while walking the list in a ClutterContainer's
    foreach() implementation, otherwise it's impossible to destroy all the
    children of a container using clutter_container_foreach() with
    clutter_actor_destroy().
    
    This fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2646

 mx/mx-box-layout.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 39c0fb17b6380099132b3a512bd04280a8fc7412
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Mon Jun 20 19:46:02 2011 +0900

    entry: Fix orphaned child ClutterActors at mx_entry_dispose time.
    
    This fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2645

 mx/mx-entry.c |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit b9a79023ca5c0dc998030e864d5724c67fd0c0b3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 22 16:38:10 2011 +0100

    Fix various memory leaks

 mx/mx-action.c     |   20 ++++++++++++++++++++
 mx/mx-icon-theme.c |    1 +
 mx/mx-style.c      |    2 ++
 mx/mx-types.c      |    1 +
 mx/mx-widget.c     |    2 ++
 5 files changed, 26 insertions(+), 0 deletions(-)

commit d5e1df71985d0d2c87d6fdbba088c4214df815f1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 22 15:28:58 2011 +0100

    stylable: avoid making more type checks than necessary
    
    Only check that the MxStylable instance is a ClutterActor once during the
    _mx_stylable_get_style_string function and avoid the extra type check when
    enumerating the parents of the stylable.

 mx/mx-stylable.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 253c05b704d4b1cf8eb5fa3b627c9689f96259df
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 22 15:24:21 2011 +0100

    stylable: use G_LIKELY to hint that the interface functions are implemented

 mx/mx-stylable.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit a3636709bce72bcd4f8eab5fa0e5f3388e4df27a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 21 14:08:45 2011 +0100

    image: remove the redraw timeline's "completed" signal handler
    
    This was not necessary as the old_mode is always set before the new mode
    is set and also caused the old_mode to be reset during a cross fade
    animation.

 mx/mx-image.c |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit 2366e5ed83991902290e433ee6dc695d3035ab27
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 21 13:59:14 2011 +0100

    image: only retrieve the redraw alpha if the redraw timeline is playing

 mx/mx-image.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 8018e40f7113c4891e3235ea71b45b00da776d01
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 21 13:54:51 2011 +0100

    image: optimise the paint function for when the old image is not required
    
    Remove the reference on the old background after the cross fade has
    completed and do not calculate the scale and rotation for it.

 mx/mx-image.c |   44 ++++++++++++++++++++++++++++++--------------
 1 files changed, 30 insertions(+), 14 deletions(-)

commit bbd8551f023b7002129ef8e527614cb862d41083
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 15 16:58:27 2011 +0100

    stylable: initialise the style string at an appropriate size
    
    Avoid the need to re-allocate the style string as the parent styles are
    collected by creating it with space to add several the parent styles.

 mx/mx-stylable.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 76f69688e50f8c7e119aa670c376b9e15182b72f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 15 16:55:15 2011 +0100

    stylable: avoid using g_strdup_printf where g_strconcat is acceptable
    
    Avoid the additional overhead of using printf when the string can be
    constructed by simply concatenating strings together.

 mx/mx-stylable.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit ad676a821cc979b3cfdaf1d2fd93ebec90efa56e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 15 16:25:50 2011 +0100

    stack: don't allocate actors that are not visible

 mx/mx-stack.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 75e691498e35be41f6560cc57d7f9d4caec3c61b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 15 15:26:32 2011 +0100

    box-layout: access the child properties directly during allocate
    
    Use clutter_container_get_child_meta to retrieve the meta object which can
    then be used to access the child properties instead of accessing them
    through clutter_container_child_get.

 mx/mx-box-layout.c |   30 ++++++++++++------------------
 1 files changed, 12 insertions(+), 18 deletions(-)

commit 88b1eee68e5dc5a69d01850c53f56dff4dd5c7b5
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 15 13:57:55 2011 +0100

    texture-frame: set the layer filters and wrap mode during initialisation
    
    Set the layer filter during initialisation rather than during each paint
    function call. Also set the wrap mode so that it is not automatically set
    during each paint.

 mx/mx-texture-frame.c |   26 ++++++++++++++++++--------
 1 files changed, 18 insertions(+), 8 deletions(-)

commit 3722cfc0bd28be85362db03f557d18f3114ee7f0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jul 15 13:52:17 2011 +0100

    texture-frame: use cogl_rectangle directly when all borders are zero
    
    Avoid computing additional texture co-ordinates when all borders are zero,
    as this is the equivalent to simply stretching the source texture.

 mx/mx-texture-frame.c |   26 ++++++++++++++++++--------
 1 files changed, 18 insertions(+), 8 deletions(-)

commit cec9652dcffc12a933c42b4c8a4c49c2d2ad06a8
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jun 22 02:47:21 2011 +0100

    Removes use of deprecated G_CONST_RETURN macro
    
    G_CONST_RETURN has been deprecated in upstream glib and so this path
    replaces all uses with simply 'const'.

 mx/mx-application.c  |    2 +-
 mx/mx-application.h  |    2 +-
 mx/mx-button-group.c |    2 +-
 mx/mx-button-group.h |    2 +-
 mx/mx-button.c       |    4 ++--
 mx/mx-button.h       |    4 ++--
 mx/mx-entry.c        |    4 ++--
 mx/mx-entry.h        |    4 ++--
 mx/mx-label.c        |    2 +-
 mx/mx-label.h        |    2 +-
 mx/mx-stylable.c     |    4 ++--
 mx/mx-stylable.h     |   24 ++++++++++++------------
 mx/mx-tooltip.c      |    4 ++--
 mx/mx-tooltip.h      |    8 ++++----
 14 files changed, 34 insertions(+), 34 deletions(-)

commit 80a95ce2415284d33216efcd65fd5fb8595a81c7
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Tue Jun 21 14:42:29 2011 +0200

    Cancel refocus task when a new focusable is pushed

 mx/mx-focus-manager.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 701ae49aaf5c4647a49debf77a37082aee79edea
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Fri Jun 24 21:28:04 2011 +0100

    scroll-view: remove useless casts
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>

 mx/mx-scroll-view.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 08b25991ac100f4c813cf53f046c0c195ca4d474
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Fri Jun 24 21:27:03 2011 +0100

    tooltip: fix crash when giving NULL argument
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>

 mx/mx-tooltip.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit cfe377add23ab9cad678d88f0e09c5c114f5c3c6
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Fri Jun 24 21:30:18 2011 +0100

    image: give correct rowstride argument to cogl_texture_set_region
    
    On the Sodaville platform, we experienced a memory corruption in media
    explorer triggered by Cogl when premultiplying a texture. It turns out
    that we gave a wrong rowstride (8 bytes smaller) to Cogl when calling
    cogl_texture_set_region. Because Cogl relies on rowstride to allocate
    its buffers, but uses width * pixelsize for processing images, we were
    writing 8 bytes behind an allocated buffer and corrupting malloc's
    internal datas.
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>

 mx/mx-image.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 45411462365b73ab475aee42a09de730f0d0eee7
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 3 15:32:01 2011 +0100

    Post-release version bump to 1.2.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 49e075f879d928c3e95e3c029a4d666e0e2d9a0d
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 3 15:29:02 2011 +0100

    Release 1.2.0

 NEWS         |   25 +++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 27 insertions(+), 2 deletions(-)

commit a4f396cf441a516e8cdd4778543184e39f9167c0
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue May 31 14:56:56 2011 +0100

    mx-offscreen: Handle redirecting a ClutterStage specially
    
    When redirecting a ClutterStage there's no need to calculate our own
    modelview matrix because the one for the stage will already be set up
    render to a buffer of the same size. This gives the best chance of
    rendering exactly the same geometry as would be rendered to the stage
    even if Clutter changes how it calculates its modelview matrix. This
    is important when the offscreen is used to temporarily apply an effect
    to the stage such as from MxDialog.
    
    This also makes it avoid calling cogl_clear for stages because the
    paint implementation for the stage also does a clear so it's a
    waste. Having the clear there also allows Mx to take advantage of
    Clutter's optimisation to avoid clearing when the
    CLUTTER_STAGE_NO_CLEAR_ON_PAINT hint is set.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2658

 mx/mx-offscreen.c |   44 +++++++++++++++++++++++++++++++-------------
 1 files changed, 31 insertions(+), 13 deletions(-)

commit 0ef932a2c8c64969be0418ba424fc8f8c796549c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu May 26 15:13:59 2011 +0100

    mx-offscreen: Always use an aspect ratio of 1.0 for the perspective
    
    The code for calculating modelview matrix no longer works since
    Clutter changed the aspect ratio for its perspective matrix. This
    patch changes it to override the aspect ratio back to 1.0 so that it
    will continue to work.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2658

 mx/mx-offscreen.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit e5a8cfa6360e4e7a37da141a6235dc2aa233a6a1
Author: Raul Gutierrez Segales <raul.gutierrez.segales@collabora.co.uk>
Date:   Fri May 13 17:33:54 2011 +0000

    widget: Add tooltip delay property
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2649

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-widget.c                       |   59 ++++++++++++++++++++++++++++++++-
 mx/mx-widget.h                       |    3 ++
 tests/test-tooltips.c                |   10 ++++++
 4 files changed, 72 insertions(+), 2 deletions(-)

commit 8d93f02b33f6d9a6a151d9847b29479e36d26553
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu May 19 10:39:21 2011 +0100

    icon-theme: Allow reliable overriding of the system icon theme
    
    When mx_icon_theme_set_theme_name() is called, this will permanently
    override the system icon theme setting. The icon theme can be reset to the
    system setting by calling this function with a NULL theme name.

 mx/mx-icon-theme.c |   32 ++++++++++++++++++++++++++++++--
 1 files changed, 30 insertions(+), 2 deletions(-)

commit c8f7a58d2f725854811de538f66a2a44d892c470
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 11 12:23:02 2011 +0100

    Fix compiler warnings related to variables set but not used

 mx/mx-actor-manager.c |   11 -----------
 mx/mx-application.c   |   12 ------------
 mx/mx-combo-box.c     |    3 ---
 mx/mx-css.c           |   15 +++++++--------
 mx/mx-expander.c      |    7 +------
 mx/mx-grid.c          |   15 ---------------
 mx/mx-icon.c          |    3 +--
 mx/mx-image.c         |   14 +++++---------
 mx/mx-scroll-bar.c    |    2 --
 mx/mx-table.c         |   12 +-----------
 mx/mx-texture-cache.c |    4 ++--
 mx/mx-texture-frame.c |    4 +---
 mx/mx-toolbar.c       |    2 --
 mx/mx-tooltip.c       |    2 --
 mx/mx-widget.c        |    4 +---
 15 files changed, 19 insertions(+), 91 deletions(-)

commit 971c0c879494c6f701668ce5097fac7028aa9642
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 11 11:55:17 2011 +0100

    Fix compiler warnings related to shadowing of variables

 mx/mx-actor-manager.c |    4 ++--
 mx/mx-image.c         |    1 -
 mx/mx-spinner.c       |    3 +--
 mx/mx-widget.c        |    3 ---
 4 files changed, 3 insertions(+), 8 deletions(-)

commit 535e6f5d4bd057387723df99551811271ff47102
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed May 11 12:25:23 2011 +0100

    adjustment: Change the default step-increment to 1.0
    
    A step-increment of zero produces odd/invalid results when used with
    scroll-bars or the kinetic scroll-view. Change this so it default to a
    more useful value.

 mx/mx-adjustment.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 61d7ea438e15d321f318ed5214ddd665f6d83a09
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue May 10 21:25:48 2011 +0100

    test-scroll-view: Swallow button events on the scroll-view
    
    Due to behaviour changes in the kinetic scroll-view, dragging inside the
    view was moving the window. Fix this by swallowing button events on the
    scroll-view, so that they don't bubble down to the stage.

 tests/test-scroll-view.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 3aa5ce5490b1b8ce4bd3762ec9f61856e6627693
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue May 10 21:21:19 2011 +0100

    kinetic-scroll-view: Fix non-capture mode
    
    When not using captured events, motion events were still captured before
    the scroll threshold was exceeded, making it a bit less useful. Alter the
    event-handling process so that in non-capture mode, the motion-event
    signal is used instead of the captured-event signal before the scroll
    threshold is exceeded.
    
    This allows embedding horizontally scrolling kinetic scroll-views in
    vertically scrolling ones (and vice-versa).

 mx/mx-kinetic-scroll-view.c |   89 +++++++++++++++++++++++++++++++++++++------
 1 files changed, 77 insertions(+), 12 deletions(-)

commit 9fb62f78e216546c52b867053b9a3b033c079c41
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue May 10 21:18:58 2011 +0100

    widget: Don't swallow all button events
    
    Widget always returns TRUE in button press/release - this is quite awkward
    when you're relying on the events bubble phase for cascading unused
    events. Alter it so that it only returns TRUE when the widget is disabled
    (which is still a bit dubious, but at least more predictable).

 mx/mx-widget.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e15d644071d049cb424fbbafdf0f575e6ad2ef37
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Feb 24 19:23:15 2011 +0100

    Add MxKineticScrollView::"scroll-policy"
    
    and use it when determining if the initial drag threshold has
    been passed.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2578

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-kinetic-scroll-view.c          |   87 ++++++++++++++++++++++++++++++++--
 mx/mx-kinetic-scroll-view.h          |    5 ++
 3 files changed, 89 insertions(+), 5 deletions(-)

commit 4500eb75e4b0d33dfc998b797154812523b99234
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 10 16:46:33 2011 +0100

    gtk-light-switch: update sizes

 mx-gtk/mx-gtk-light-switch.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit bb3d4fd9ec93994101a86f77d73fafc113065d84
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 6 15:35:12 2011 +0100

    Release 1.1.12

 NEWS |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 7f2865e776ec04e17fd4f064b7ff6f44986e10e3
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri May 6 12:50:14 2011 +0100

    MxGrid: compute min_width and min_height correctly
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2642

 mx/mx-grid.c |   81 ++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 54 insertions(+), 27 deletions(-)

commit e75356742fb3326bf50c7105b586792d5799ff24
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 6 14:21:13 2011 +0100

    docs: add missing symbols and remove duplicates from mx-sections.txt

 docs/reference/libmx/mx-sections.txt |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 7680b5cadb74c73323810cc3e4654b450d22e070
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 6 11:56:43 2011 +0100

    image: add a function to animate the scale mode
    
    mx_image_animate_scale_mode sets the value of the "scale-mode" property
    and animates the scale factor of the image between the previous scale mode
    and the new scale mode.

 mx/mx-image.c |   78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 mx/mx-image.h |    4 +++
 2 files changed, 81 insertions(+), 1 deletions(-)

commit daab4ad94f0b0e762604ca947e344b169b4ff84f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu May 5 12:10:53 2011 +0100

    toggle: don't run an animation if the actor is not mapped

 mx/mx-toggle.c |   27 +++++++++++++++++----------
 1 files changed, 17 insertions(+), 10 deletions(-)

commit e70803cdbecd9a88c40721e60d81690c8a23f8e6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu May 5 12:10:08 2011 +0100

    button: hide the label when it is empty or no text has been set

 mx/mx-button.c |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit 1195b83ff149e7535e0a43a1ec87ce8797d146c0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 4 17:59:14 2011 +0100

    bin: don't request space for the child when it is not visible

 mx/mx-bin.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9846eed26528d6b147eab6317475a5ae391dcf41
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 4 17:58:23 2011 +0100

    window: draw rectangles around actor when using layout debug

 mx/mx-window.c |  143 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 143 insertions(+), 0 deletions(-)

commit 0397d87d7ce68d337e494ee123bbcc8ef16f6730
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 4 11:25:44 2011 +0100

    toggle: remove the hover state if the pointer left the actor during a drag
    
    Ensure the hover state is removed if the pointer left the handle during
    the grab for the drag and drop.

 mx/mx-toggle.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 8cf416a4074a4701f3332f6fa3b5f399f1f6f484
Author: aumgn <aumgn@free.fr>
Date:   Tue May 3 13:23:37 2011 +0200

    widget/button: Remove 'active' state and cancel long press on leave event
    
    When user clicked on a widget and left this widget without releasing mouse
    button, it kept its active pseudo-class and its long press timeout. This
    commit fix this bug.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2641

 mx/mx-button.c |    2 ++
 mx/mx-widget.c |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 896d1e86f67f78699e53b9b4866af678c6778cf4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 3 17:28:21 2011 +0100

    spinner: don't request more width or height than necessary
    
    Ensure that the preferred width and preferred height values are not greater
    than the dimensions of the animation.

 mx/mx-spinner.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 2ed78b1e6d517029830a98e45aa4b4de3e2c205c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 3 17:07:49 2011 +0100

    stack-child: fix a typo in the documentation

 mx/mx-stack-child.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1dc6461b35b27188a1db820bf8ca848b48de2a90
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 3 17:07:37 2011 +0100

    docs: don't require libmx-gtk when building libmx documentation
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2609

 docs/reference/libmx/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 79c4760b6d5607a9d7815a5f8c5d8c8b716a9e1d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 3 14:50:41 2011 +0100

    docs: indicate which symbols are new in 1.2

 docs/reference/libmx/mx-docs.sgml    |    5 +++
 docs/reference/libmx/mx-sections.txt |    9 ++++++
 mx/mx-actor-manager.c                |   40 ++++++++++++++++++++++++++++
 mx/mx-adjustment.c                   |    4 +++
 mx/mx-box-layout.c                   |    4 +++
 mx/mx-button.c                       |   24 +++++++++++++++++
 mx/mx-dialog.c                       |   12 ++++++++
 mx/mx-fade-effect.c                  |   20 ++++++++++++++
 mx/mx-focus-manager.c                |    2 +
 mx/mx-focusable.c                    |    2 +
 mx/mx-image.c                        |   48 ++++++++++++++++++++++++++++++++++
 mx/mx-kinetic-scroll-view.c          |   22 +++++++++++++++
 mx/mx-label.c                        |   29 +++++++++++++++++++-
 mx/mx-offscreen.c                    |   12 ++++++++
 mx/mx-settings.c                     |    9 ++++++
 mx/mx-slider.c                       |   19 +++++++++++++
 mx/mx-spinner.c                      |    8 +++++
 mx/mx-stack-child.c                  |   17 ++++++++++++
 mx/mx-stack.c                        |    4 +++
 mx/mx-texture-cache.c                |   12 ++++++++
 mx/mx-tooltip.c                      |    2 +
 mx/mx-types.h                        |    6 ++++
 mx/mx-window.c                       |   23 ++++++++++++++++
 23 files changed, 331 insertions(+), 2 deletions(-)

commit e8dace71f57c68c385df01db94d7f8ebfc2fc8eb
Author: Christian Dywan <christian@lanedo.com>
Date:   Fri Mar 18 12:55:36 2011 +0100

    utils: Document mx_set_locale
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2613

 mx/mx-utils.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 8f9f5cf7f3f38ca28f1018f65b51134b1d49bc35
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Apr 27 15:37:19 2011 +0100

    configure: prevent glade support being enabled when --without-glade is used
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2635

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 959057c62f3404ee7c640a827ecc3cee9a3e3ef3
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Fri Apr 22 22:46:56 2011 +0900

    expander: Allocate expander child using align/fill properties.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2636

 mx/mx-expander.c |   47 ++++++++++++++++-------------------------------
 1 files changed, 16 insertions(+), 31 deletions(-)

commit 037e564e6d0a8b79bc3205f0935e0bd9f0411049
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Apr 27 11:07:12 2011 +0100

    bin: clarify the documentation for mx_bin_allocate_child
    
    The "box" parameter is expected to be the parent's allocation and since the
    allocation of the child is always relative to its parent, only the width
    and height of the box is used.

 mx/mx-bin.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5db64027d3fe9d7b861a2af30482d2cb9fed5f33
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 26 12:00:45 2011 +0100

    slider: propagate the "disabled" property value to internal children
    
    Make sure the internal children have the same value of the "disabled"
    property so they are consistent with the rest of the widget.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2470

 mx/mx-slider.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 6bad45f4f210360382e7b2af51a29aa0ce3cffae
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 26 11:09:31 2011 +0100

    widget: emit the notify signal on children when "disabled" is set
    
    Emit the notify signal for children when the "disabled" property is
    propagated from the parent widget.

 mx/mx-widget.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e88e860ff802c102905f1454cc69b7f9e6659226
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 26 10:48:12 2011 +0100

    widget: notify properties using the GParamSpec
    
    Emit the notify signals using g_object_notify_by_pspec as it is faster than
    looking up the property by name.

 mx/mx-widget.c |   74 ++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 48 insertions(+), 26 deletions(-)

commit 113c95f82ef79bea1729b6f64a8b59118be8e6e9
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Mar 24 18:31:05 2011 +0100

    Add MxAdjustment::interpolation-completed signal
    
    So users can be notified when the interpolate animation has
    finished.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2618

 mx/mx-adjustment.c |   17 +++++++++++++++++
 mx/mx-adjustment.h |    4 ++--
 2 files changed, 19 insertions(+), 2 deletions(-)

commit a0bffb555a956636ec2e4ebceb00b21fdca3590d
Author: Jussi Kukkonen <jku@linux.intel.com>
Date:   Tue Apr 12 16:04:38 2011 +0300

    image: always set error param when returning FALSE
    
    Using g_return_val_if_fail() to return FALSE is not enough as
    applications expect the error pointer to be set.

 mx/mx-image.c |   54 ++++++++++++++++++++++++++++++++++++++++++++++++------
 mx/mx-image.h |    3 ++-
 2 files changed, 50 insertions(+), 7 deletions(-)

commit 86918634be1c7a24961fa334e25db1598186775a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Apr 11 16:36:31 2011 +0100

    image: apply the paint opacity to both textures correctly
    
    Apply the paint opacity to the result of the interpolation between the two
    textures so that the transition between the old texture and the new texture
    appears correctly.

 mx/mx-image.c |   21 ++++++++++++++++-----
 1 files changed, 16 insertions(+), 5 deletions(-)

commit b520c370ab0b89af1148a2a474d3cdbd4bd3cf45
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 8 18:24:52 2011 +0100

    Post-release version bump to 1.1.12

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e0a0d8abae03539228226d56b32c13375d27f8f
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 8 18:24:29 2011 +0100

    Release 1.1.11

 NEWS |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit b2d624b52c24b0e36a11e111df7175239ac08783
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 8 14:47:33 2011 +0100

    image: Don't leave priv->old_texture in an invalid state when failing
    
    If an image load fails due to a bad cache request, or a failed texture
    allocation, don't leave the priv->old_texture pointer in an invalid state.

 mx/mx-image.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 4cb3fbd096fe0b2629d688fb56a45d58e2d5b338
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 8 12:19:18 2011 +0100

    table: Fix asking for width/height without a for_height/width failing
    
    If you asked a table for its preferred width or height without also
    specifying a for-width/height, it would always return just the minimum
    size.
    
    Fix this by assigning the final-size of the row/column to the preferred
    size by default (this will later be overwritten if a for-width/height is
    specified).

 mx/mx-table.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bb06b9b87d8407aa0edc5e835428f4d73b5ba8af
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Apr 7 12:36:51 2011 +0100

    actor-manager: Allow instantiation of an actor manager
    
    Allow creation of an actor manager, and delegate the get_for_stage
    function as convenience API. It's possible you may want multiple managers
    on a single stage, and to manage the time-slicing accordingly.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-actor-manager.c                |   79 ++++++++++++++++++++++------------
 mx/mx-actor-manager.h                |    2 +
 3 files changed, 54 insertions(+), 28 deletions(-)

commit a7d3bf7376d4cb3713faf166f5d42f211e094c63
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 20:15:41 2011 +0100

    actor-manager: Add mx_actor_manager_cancel_operations
    
    Add a new function, mx_actor_manager_cancel_operations, that will cancel
    all operations associated with a particular actor. Use this new function
    in the remove_container function to cancel operations relating to the
    container before removing it.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-actor-manager.c                |  142 +++++++++++++++++++++++++---------
 mx/mx-actor-manager.h                |    3 +
 3 files changed, 110 insertions(+), 36 deletions(-)

commit 6388be04ae8d0022f762c2546bdd7b8596c86fc4
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 20:13:19 2011 +0100

    actor-manager: Fix the signal signiatures
    
    The operation ID is a gulong, not a guint.

 mx/mx-actor-manager.c |   24 ++++++++++++------------
 mx/mx-marshal.list    |    6 ++++--
 2 files changed, 16 insertions(+), 14 deletions(-)

commit 7dde2b46f04d5d3095065e1eec614d715c5d1acd
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 16:30:37 2011 +0100

    actor-manager: Add missing 'stage' property accessors

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-actor-manager.c                |   19 +++++++++++++++++++
 mx/mx-actor-manager.h                |    2 ++
 3 files changed, 22 insertions(+), 0 deletions(-)

commit a589f2bf4f1b8e013eb4c5275e4be976b777b8b3
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 16:29:38 2011 +0100

    actor-manager: Complete documentation
    
    Complete the documentation and add it to the relevant gtk-doc files.

 docs/reference/libmx/mx-docs.sgml    |    1 +
 docs/reference/libmx/mx-sections.txt |   26 ++++++++
 mx/mx-actor-manager.c                |  111 +++++++++++++++++++++++++++++++++-
 3 files changed, 137 insertions(+), 1 deletions(-)

commit 58dc16a7b77dbfe99d5be1dc8f7faa940792bfb5
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 11:05:33 2011 +0100

    actor-manager: Add missing 'stage' property

 mx/mx-actor-manager.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit cf5edbeeb8e913ac94b7480fadec2ccf03b4e387
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 10:41:33 2011 +0100

    actor-manager: Remove debugging output

 mx/mx-actor-manager.c |   16 +---------------
 1 files changed, 1 insertions(+), 15 deletions(-)

commit 64385489c199c7dfdf65cc9f0debe6be5dc202e7
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 10:40:56 2011 +0100

    actor-manager: Tweak the time-slice (8ms->5ms)
    
    5ms seems to be a nicer balance of performance/interactivity than 8ms.

 mx/mx-actor-manager.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 41ce22f7f3807b95175281266413de89cb3c4b55
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 10:40:12 2011 +0100

    actor-manager: Add utility function, remove_container
    
    Add a utility function that will queue removals of a container's children,
    then the container itself (if it's parented to another container).

 mx/mx-actor-manager.c |   38 ++++++++++++++++++++++++++++++++++++++
 mx/mx-actor-manager.h |    3 +++
 2 files changed, 41 insertions(+), 0 deletions(-)

commit a9984681a68f06d03c441e7fb354ed435c7ba0eb
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 10:39:25 2011 +0100

    actor-manager: Fix actor removal
    
    Whoops, actor removal was trying to add instead of remove.

 mx/mx-actor-manager.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 20c70cedd67b19bd6e58aec3f9eebe9d9a52e401
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 09:18:59 2011 +0100

    actor-manager: Implement an object that manages actor life-cycle
    
    First run at an object that helps managing actor life-cycle (creation,
    addition and removal). This is handy if you have a lot of actors to
    process and you don't want to affect interactivity.

 mx/Makefile.am        |    2 +
 mx/mx-actor-manager.c |  865 +++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-actor-manager.h |  139 ++++++++
 mx/mx-marshal.list    |    3 +
 mx/mx.h               |    1 +
 5 files changed, 1010 insertions(+), 0 deletions(-)

commit 70ee1bb64c099ebf2f332e740b08da9b72c4d296
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 6 20:16:22 2011 +0100

    offscreen: Fix calling queue_relayout during dispose
    
    Calling clutter_actor_queue_relayout on an actor during its dispose cycle
    can cause a segfault.

 mx/mx-offscreen.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit b2756058fae972c12fbb8197038b4531beaf4bf7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 1 12:04:44 2011 +0100

    image: account for the added 1 pixel border when scaling
    
    This is required to prevent the added transparent border appearing when
    images are scaled.

 mx/mx-image.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 4f5f024d986140221c0781e9617dca2c6baad754
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 30 19:29:17 2011 +0100

    texture-cache: Fix adding an item to the cache twice
    
    If you load an image from the cache that has only previously had meta-data
    attached to it, it will end up being added to the cache hash-table again.

 mx/mx-texture-cache.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4eb89dc202c83520cf373cb0de08c881940acb9d
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 30 18:50:08 2011 +0100

    image: Refinements, documentation and bug-fixes
    
    There was a lost commit(s) and MxImage ended up in a somewhat inconsistent
    state. Go over it, fix some of the left errors and document the internals
    a bit more comprehensively.
    
    In particular, if image load fails, the error should always be set now,
    and cached image use shouldn't have any glitches. Hopefully.

 mx/mx-image.c |  208 +++++++++++++++++++++++++++++++++++++++++----------------
 mx/mx-image.h |    3 +-
 2 files changed, 152 insertions(+), 59 deletions(-)

commit 9df5dc812b538f5f08b61312d7c87b2ca85d6e38
Author: Ross Burton <ross@linux.intel.com>
Date:   Wed Mar 30 16:55:13 2011 +0100

    image: change the default crossfade transition to 250ms

 mx/mx-image.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 743c736a2cd95c5c00ca0baaa1e51b8c57b4722b
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 30 14:05:03 2011 +0100

    focus-manager: Handle the current focus disappearing more thoroughly
    
    When the focus becomes unmapped, push focus again on the highest-level
    focusable widget with the prior hint. This works in more cases than
    responding to unparenting and pushing focus on the parent.

 mx/mx-focus-manager.c |  111 ++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 86 insertions(+), 25 deletions(-)

commit 839af61c77a580afc196c30bb397bed23e5094e4
Author: Ross Burton <ross@linux.intel.com>
Date:   Tue Mar 29 11:48:05 2011 +0100

    image: add a duration property and accessors

 mx/mx-image.c |   66 +++++++++++++++++++++++++++++++++++++++++++++++++++++---
 mx/mx-image.h |    4 +++
 2 files changed, 66 insertions(+), 4 deletions(-)

commit 0187457c9212a97d896ca641425bffcc8fee6cb4
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Mar 29 16:17:02 2011 +0100

    texture-cache: Fix get_meta_cogl_texture
    
    This function was expected to return a CoglHandle to a Cogl texture, but
    was actually returning a ClutterTexture.

 mx/mx-texture-cache.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 7af082809c3ba1a0f074e2a1e7dae34e14f3027e
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 28 16:31:00 2011 +0100

    image: Fix mx_image_set_from_pixbuf when filename and pixbuf are given
    
    If mx_image_set_from_pixbuf was called with a pixbuf *and* a filename,
    and the file wasn't in the cache, it would bail out instead of using the
    given pixbuf.
    
    This fixes synchronous image loading.

 mx/mx-image.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 279855fd0a9d1b3bd4aae446f384ba37e91f3431
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Mar 24 16:26:57 2011 +0000

    texture-cache: Simplify the URI/path resolution
    
    Instead of using a crazy all-in-one function with questionable methods,
    use a regex to determine if a string is a URI and just have different paths
    depending on what we want to do.

 mx/mx-texture-cache.c |  138 ++++++++++++++++++++++++++-----------------------
 1 files changed, 74 insertions(+), 64 deletions(-)

commit 9397b683cfc57a1a5a740e3be1155acbc7606d41
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Mar 22 17:26:54 2011 +0000

    image: Use the new MxTextureCache meta-texture storage function
    
    MxImage needs to duplicate its given data/textures and add a 1-pixel
    transparent border around them. This change allows this newly generated
    image to be cached, using the new meta-texture storage functionality of
    MxTextureCache.

 mx/mx-image.c |  353 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 mx/mx-image.h |    3 +
 2 files changed, 291 insertions(+), 65 deletions(-)

commit c5448383364532e07cb6f019ed52838f2f72a754
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Mar 22 17:23:46 2011 +0000

    texture-cache: Add the ability to store meta-textures
    
    Add new functions that allow you to store associated texture data with
    URIs.
    
    This is handy if you have a small modification that you need to make to the
    actual texture data for a particular use, but you still want this modified
    texture to be cached and reused between multiple actors.

 mx/mx-texture-cache.c |  215 +++++++++++++++++++++++++++++++++++++++++++++---
 mx/mx-texture-cache.h |   18 ++++-
 2 files changed, 218 insertions(+), 15 deletions(-)

commit d13b172d7cd1fa51c6b5ac0bf349e724178b71bb
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 16 15:11:49 2011 +0000

    texture-cache: Add mx_texture_cache_insert()
    
    Add a new function, mx_texture_cache_insert(), that lets you pre-seed the
    texture cache with results. This also allows you to insert arbitrary URIs
    into the texture cache, or even allows you to override particular URIs.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-texture-cache.c                |  108 ++++++++++++++++++++++++++-------
 mx/mx-texture-cache.h                |    4 +
 3 files changed, 90 insertions(+), 23 deletions(-)

commit 76e08efb6b5367323e8d51b58f49b092abe6fa0f
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 16 10:29:50 2011 +0000

    texture-cache: Add a destroy notify for cache items
    
    Add mx_texture_cache_item_free() as the destroy function for cached items.
    Related, correct the pointer type in the item struct and make sure to
    unref the item pointer in the free function.

 mx/mx-texture-cache.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 3e574a05b9b4164dd0c080059d8a9da6a71bf9db
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 16 10:16:33 2011 +0000

    texture-cache: Add mx_texture_cache_contains() function
    
    Add a function that will determine if the given image path/URI has been
    cached already.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-texture-cache.c                |   85 +++++++++++++++++++++++----------
 mx/mx-texture-cache.h                |    3 +
 3 files changed, 63 insertions(+), 26 deletions(-)

commit ae8a111f1fd93b656a0210d9908fb7654d91ac51
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Mar 16 10:03:02 2011 +0000

    texture-cache: Update to handle URIs as well as paths
    
    Handle URIs as well as paths, and store entries in the cache with their
    URI as the key instead of the filename. This will allow us to later extend
    MxTextureCache to hold arbitrary URIs instead of just local files.

 mx/mx-texture-cache.c |  144 ++++++++++++++++++++++++++++++++++++++++---------
 mx/mx-texture-cache.h |    8 ++--
 2 files changed, 122 insertions(+), 30 deletions(-)

commit e655dcb8a1f37529ea2cd329a1b5bb4d41703e26
Author: Jussi Kukkonen <jku@linux.intel.com>
Date:   Tue Mar 22 14:48:32 2011 +0200

    focus-manager: handle focus when focused actor is unparented
    
    Currently we lose focus when an actor is e.g. destroyed.
    This commit pushes focus to old parent when the focused widget
    is unparented.
    
    Also adds a small test case.

 mx/mx-focus-manager.c |   85 +++++++++++++++++++++++++++++++++++++++++++------
 tests/Makefile.am     |    2 +
 tests/test-focus.c    |   76 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 153 insertions(+), 10 deletions(-)

commit c2ffb4848d7c93791f3bce9bc618d6bd1c51ab49
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Mar 18 14:42:15 2011 +0000

    image: allow arbitrary angles for the image-rotation property

 mx/mx-image.c |   70 ++++++++++++++++++++++++++++++++------------------------
 1 files changed, 40 insertions(+), 30 deletions(-)

commit 2a46e59eab5917cf66acbfe5d391a33079f41fc8
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Mar 17 11:09:28 2011 +0000

    Post-release version bump to 1.1.11

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3af0c0797307ea86102d4eb9030cfd8d7a038563
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Mar 17 11:09:07 2011 +0000

    Release 1.1.10

 NEWS |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 16d55de4d2b641af5b8482af802e9ed538e7197b
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 14 18:10:13 2011 +0000

    dialog: Fix focus issues when showing a still-hiding dialog
    
    If you show a dialog that's in the middle of its hiding animation, it will
    forget to set the VISIBLE flag and it won't try to steal focus again.
    This commit fixes both of these issues.

 mx/mx-dialog.c |   25 ++++++++++++++++---------
 1 files changed, 16 insertions(+), 9 deletions(-)

commit 4f55bb16c38c96df965bec1198f148a40fd5b5e1
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 14 17:20:51 2011 +0000

    fade-effect: Make sure the four corners render consistently
    
    I used counter-clock-wise vertices for all quads in the effect, meaning
    that the four corners rendered differently - change the winding as
    appropriate so that they render consistently (and hopefully how you'd want)

 mx/mx-fade-effect.c |  102 ++++++++++++++++++++++++++++++++------------------
 1 files changed, 65 insertions(+), 37 deletions(-)

commit a3e84995718e7c6fec26074ee18ca41ac1c74c11
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Mar 14 15:48:21 2011 +0000

    widget: ensure the old border-image is always correctly allocated
    
    Make sure the old border-image actor is allocated, even if there is no
    current border-image actor.

 mx/mx-widget.c |   18 +++++-------------
 1 files changed, 5 insertions(+), 13 deletions(-)

commit ec20d2ada97176bcbaba4471878c861bc942cfb8
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Mar 8 17:28:37 2011 -0800

    label: Add a 'use-markup' property
    
    Add a 'use-markup' property that reflects the internal ClutterText property
    of the same name. This makes it possible to set markup via ClutterScript.

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-label.c                        |   65 ++++++++++++++++++++++++++++++++--
 mx/mx-label.h                        |    3 ++
 3 files changed, 67 insertions(+), 3 deletions(-)

commit fb7d8acfab6df269da8b71cc9273e4879f30e24d
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Mar 8 14:28:50 2011 -0800

    box-layout: Fix requested size when there is padding
    
    When orientation is vertical and there is horizontal padding, or
    vice-versa, the padding wasn't taken into account correctly in
    get_preferred_width/height. Make the necessary adjustment so that it is.

 mx/mx-box-layout.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit d3b17749e4425b17fdf7e37b53f863cdc91e2a91
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 7 17:48:19 2011 -0800

    window: Add a 'title' property
    
    Add a title property that mirrors the ClutterStage title property,
    for convenience. This is especially handy for using MxWindow in
    ClutterScript.

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-window.c                       |   62 +++++++++++++++++++++++++++++++++-
 mx/mx-window.h                       |    3 ++
 3 files changed, 66 insertions(+), 1 deletions(-)

commit ef414dc8e8ebbd6cc8000fc56877333bb88151ab
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 7 17:45:16 2011 -0800

    window: Allow setting of the toolbar
    
    Allow setting of the toolbar on MxWindow. This will let you override the
    default window toolbar with your own toolbar (which could be a sub-class,
    for example), and also allows populating of a toolbar from ClutterScript.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-window.c                       |   73 +++++++++++++++++++++++++++------
 mx/mx-window.h                       |    4 +-
 3 files changed, 63 insertions(+), 15 deletions(-)

commit 2f1984fdafdebf585873b7cd704c1cf8b4d51a9b
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 7 16:43:15 2011 -0800

    window: Fix the fullscreen property setter
    
    There was a break missing when setting the GObject fullscreen property.

 mx/mx-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ddaa082ee473464bf8328649cce451d084ac7ddf
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Mar 4 22:03:30 2011 +0000

    image: Fix some concurrency issues with asynchronous loading
    
    Always allow the idle handler to free the async data structure, check that
    it completed before setting the image, check that the buffer is valid
    before trying to write it in the pixbuf loader and make sure loads are
    cancelled properly before setting the image.
    
    This should fix some possible warnings, and the possibility of an
    asynchronous image load completing after a synchronous image load has been
    done.

 mx/mx-image.c |   82 ++++++++++++++++++++++++++++++--------------------------
 1 files changed, 44 insertions(+), 38 deletions(-)

commit 26a278b418837f653e852fd2524bc8bb94ccc163
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Mar 3 14:29:58 2011 +0000

    Post-release version bump to 1.1.10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8e2edfe62a1ac3e1384b8042724a1a5f1383628c
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Mar 3 14:29:31 2011 +0000

    Release 1.1.9

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit f0b8df505e9cd5d13ac1142755caae9caf939beb
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Feb 24 12:54:41 2011 +0000

    style: Make the per-object rule cache per-style
    
    Instead of storing a small cache per stylable object, store a large
    cache per style.
    
    To do this, the widget hierarchy has been put in the style string and the
    style-rules cache has been moved into MxStyle. Each stylable object has a
    small structure to store its style string and a list of MxStyle objects
    it holds reference to.
    
    A new debug topic has also been added, STYLE_CACHE, to help with
    debugging any possible issues.

 mx/mx-private.h  |   11 ++-
 mx/mx-stylable.c |   82 ++++++++++++------
 mx/mx-style.c    |  254 +++++++++++++++++++++++++++++++++++++++---------------
 3 files changed, 244 insertions(+), 103 deletions(-)

commit 00df52486fa636e8db6d64faeff3c8cd9fee61ef
Author: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Date:   Wed Mar 2 10:22:26 2011 +0800

    Fix extra '-I' in docs/reference/libmx/Makefile.am

 docs/reference/libmx/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f7286d7678872e3471742cc5e91d7ce4ad5b7ded
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Mar 2 12:21:25 2011 +0000

    slider: invalidate the style cache of internal children
    
    Make sure the style of the internal children are updated when the style of
    the slider changes.

 mx/mx-slider.c |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 235409143ca7ec7ce20868244f1643102e102be2
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Mar 2 12:19:51 2011 +0000

    slider: set the "focus" pseudo class on the slider
    
    Set the "focus" pseudo class on the slider, rather than the children. This
    simplifies writing focus style rules for different parts of the slider.

 mx/mx-slider.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit aeb5ee9abaec99672c0ea05d02a0bdc74fdc8ef2
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Feb 25 18:05:46 2011 +0000

    widget: ensure that the "disabled" pseudo-state is updated correctly
    
    Explicitly add and remove the disabled state to make sure that the value
    is incorrectly cached.

 mx/mx-widget.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 4514628d3f0f2d2d03ca747794d695cc4e9c12e7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Feb 25 17:54:44 2011 +0000

    css: ensure there is a space after the ancestor in the debug output

 mx/mx-css.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 3cbfa009d89d30582673473f1a454cf45772c7b3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Feb 25 16:13:23 2011 +0000

    image: fix supported rotation values check

 mx/mx-image.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0afa34d65e4dc6f0024fb0724689d04bfcf59517
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Feb 25 10:47:11 2011 +0000

    slider: add "buffer-value" property
    
    The "buffer-value" property displays a fill indicator to the specified
    value. The buffer fill indicator is painted behind the handle and progress
    fill indicator.

 mx/mx-slider.c      |   70 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 mx/mx-slider.h      |    4 +++
 tests/test-slider.c |    4 +++
 3 files changed, 77 insertions(+), 1 deletions(-)

commit 173bae1a843dbc27ddb38dbe38f8576f723c4548
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Feb 25 12:10:37 2011 +0000

    test-mx: Add a dedicated spinner test
    
    Instead of having the spinner in the toolbar that forces constant
    redrawing, resizes the toolbar and is very annoying, introduce a dedicated
    spinner test. This test also exercises the new 'looped' signal.

 tests/Makefile.am    |    1 +
 tests/test-mx.c      |    8 ++---
 tests/test-mx.h      |    1 +
 tests/test-spinner.c |   70 ++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 75 insertions(+), 5 deletions(-)

commit fd1f8951662262429c31848a10d204a1e9bc87d6
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Feb 25 12:09:35 2011 +0000

    spinner: Add a 'looped' signal
    
    Add a signal that gets emitted when the spinner animation has looped
    (but before drawing the first frame after looping).

 mx/mx-spinner.c |   39 ++++++++++++++++++++++++++++++++++++---
 mx/mx-spinner.h |    4 +++-
 2 files changed, 39 insertions(+), 4 deletions(-)

commit 40aacde3d62bec2853c24cf35dc54a1005a346d7
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Feb 25 12:08:03 2011 +0000

    spinner: Add new spinner
    
    Introduce a new spinner that stands out better on black and white.

 data/style/default.css |    3 ++-
 data/style/spinner.png |  Bin 6564 -> 11124 bytes
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 4754785cf9fcaa5be702b65fca866fd416428ff3
Author: Michael Wood <michael.g.wood@linux.intel.com>
Date:   Thu Feb 24 10:43:30 2011 +0000

    stack: allow parent MxWidget to paint background

 mx/mx-stack.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ee257f1dbb7a63eea550de9535ad570fdfbbde2a
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Feb 24 13:16:59 2011 +0000

    stylable: Invalidate the style string correctly
    
    Make sure that the style string is invalidated when any of the properties
    that affect it change. Do this by resetting the style-string qdata inside
    the property-changed notification callback.
    
    This commit has the pleasant side-effect that changing the pseudo-class
    of a stylable won't invalidate its cache unnecessarily.

 mx/mx-stylable.c |   27 ++++++++++++++-------------
 1 files changed, 14 insertions(+), 13 deletions(-)

commit b451249daa98600e8b4e0b3c6f2fff7d86da020f
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Feb 24 12:53:04 2011 +0000

    style: Remove unused image_paths private variable
    
    This variable is unused, so remove it.

 mx/mx-style.c |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit a1f22e0841b2c99746cdc2ae6dbb4c78df6d10ae
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Feb 22 18:38:42 2011 +0000

    Post-release version bump to 1.1.9

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7b14cc78dcaa4432c197191b6f8272cba0a2bc20
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 18:10:31 2011 +0000

    Release 1.1.8

 NEWS |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit ce353137caa664a42f148bd3518fffcacab0880a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 18:10:23 2011 +0000

    tooltip: rename the tooltip animation style property and enumeration
    
    Remove the "mode" suffix on the tooltip animation property to avoid
    confusion with ClutterAnimationMode and be more consistent with the enum
    values.

 docs/reference/libmx/mx-sections.txt |    2 +-
 mx/mx-tooltip.c                      |   12 ++++++------
 mx/mx-types.h                        |    4 ++--
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 84316cd95e98ab28bd2cc4216ce3a79034968930
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 17:00:24 2011 +0000

    table: remove redundant redeclaration of '_mx_table_update_row_col'
    
    _mx_table_update_row_col is declared in mx-private.h.

 mx/mx-table.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit afeef7b56b6bac044d83da8eb776b668252df90c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 16:52:29 2011 +0000

    docs: add separate part and chapter titles for mx-gtk-docs.sgml

 docs/reference/libmx-gtk/mx-gtk-docs.sgml |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit e21cf9992c9676d7857cf8bd525882509b836ec1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 16:46:14 2011 +0000

    docs: update mx-docs.sgml
    
    Update the copyright year, remove private classes and move the glossary to
    the end.

 docs/reference/libmx/mx-docs.sgml |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 0d47e0e17c4a527b25f1b51768f3bb7bb17910e0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 16:40:40 2011 +0000

    docs: update mx-sections.txt and header ignore list
    
    Refresh mx-sections.txt and add private headers to the IGNORE_HFILES
    variable.

 docs/reference/libmx/Makefile.am     |    7 +-
 docs/reference/libmx/mx-sections.txt | 2307 ++++++++++++++++++----------------
 2 files changed, 1238 insertions(+), 1076 deletions(-)

commit 9d2e361a207cfa504c888bc9184a4deb47f9d647
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 16:11:00 2011 +0000

    docs: automatically generate the mx.types file

 docs/reference/libmx/Makefile.am |    2 +-
 docs/reference/libmx/mx.types    |   62 --------------------------------------
 2 files changed, 1 insertions(+), 63 deletions(-)

commit 633fca0da6c88070c0c83b96eb57be770b7a1a24
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 16:47:14 2011 +0000

    docs: Build mx-gtk docs in their own subdirectory
    
    Rather than turning off mx-gtk docs completely
    (as this branch previously did), build a separate
    API reference in a subdirectory.

 configure.ac                                  |    2 +
 docs/reference/Makefile.am                    |    4 +
 docs/reference/libmx-gtk/Makefile.am          |   94 +++++++++++++++++++++++++
 docs/reference/libmx-gtk/mx-gtk-docs.sgml     |   33 +++++++++
 docs/reference/libmx-gtk/version.xml.in       |    1 +
 5 files changed, 134 insertions(+), 0 deletions(-)

commit 7739a9ff51f099607bb95c05007cf5680454cbdf
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 7 16:05:01 2011 +0000

    docs: Remove reference to non-existent function

 mx/mx-widget.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 930220f692bb5537ada5f980350d64e9ba8b8a03
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 7 16:05:38 2011 +0000

    docs: Clean up table of contents
    
    Remove reference to obsolete class, and add references
    to other classes which don't currently appear in the docs.
    
    Also don't include undocumented classes in API docs: if they
    aren't documented, remove them altogether.

 docs/reference/libmx/mx-docs.sgml |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e1539182e8b715d1e81c2c0391e35cd798d05c9c
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 7 13:25:52 2011 +0000

    Remove unused header file
    
    This was causing autogeneration of documentation to fail,
    and isn't used anywhere.

 mx/mx-settings-base.h |   69 -------------------------------------------------
 1 files changed, 0 insertions(+), 69 deletions(-)

commit e9a2bef1e11fa99087dd4cc2e74b704d9ae51271
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu Feb 17 16:18:24 2011 +0100

    build: Update introspection.m4
    
    Since commit e650cc49 an updated version of of introspection.m4 is
    needed to generate the gir file.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2568

 m4/introspection.m4 |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 3d2d66add772721ecfd1cd5ec31cd6c747fb15c0
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Nov 29 17:46:52 2010 +0100

    MxBoxLayout: notify when the adjustments properties change
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2456

 mx/mx-box-layout.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2eb30a8501aaf5767a5c1398b8370e1516465652
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 14:50:54 2011 +0000

    scroll-view: connect to actor-added and actor-removed signals
    
    Use the actor-added and actor-removed signals rather than overriding the
    actor_add and actor_remove virtual functions to get notifications about
    when an actor is added or removed from the container. This allows
    mx_bin_set_child to work as expected when applied to an MxScrollView.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2281

 mx/mx-scroll-view.c |   27 +++++++--------------------
 1 files changed, 7 insertions(+), 20 deletions(-)

commit b898826a1ce769f84f5c6cd627240684461ad6a6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 13:43:34 2011 +0000

    style: transform enum types based on the nick of the enum values
    
    Use the nickname of enumeration values to convert values in the CSS to the
    values of the enumeration.

 mx/mx-style.c |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 617506afc87724546c6d9266fbfabc24cf56b583
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 22 11:05:29 2011 +0000

    tooltip: add an animation mode style property
    
    The animation mode style property defines the animation used when showing
    and hiding the tooltip.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2263

 mx/mx-tooltip.c |   99 +++++++++++++++++++++++++++++++++++++++++++------------
 mx/mx-types.h   |   14 ++++++++
 2 files changed, 92 insertions(+), 21 deletions(-)

commit 5a6aaf2db00d2624a984a94ce6728026ce5596c7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Feb 21 18:11:26 2011 +0000

    image: save the old scale mode before a transition to a new image

 mx/mx-image.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5781f5d54b657d4ea906915cdb78f806d703c027
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Feb 21 17:50:51 2011 +0000

    image: add "image-rotation" property

 mx/mx-image.c |  218 ++++++++++++++++++++++++++++++++++-----------------------
 mx/mx-image.h |    4 +
 2 files changed, 133 insertions(+), 89 deletions(-)

commit 4743fc3eafa17aa625154e7385a74687dcca4737
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Feb 17 13:04:27 2011 +0000

    window: Add SECTION documentation
    
    Add a MxWindow SECTION to the docs that describes what MxWindow does and
    clears up some possible confusion with use/destruction of an MxWindow.

 mx/mx-window.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 260ca33c3437811cbb5a4ed1058223fc87e5f172
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Feb 15 15:51:40 2011 +0000

    Post-release version bump to 1.1.8

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f6ce5fa128d199efcb78b7559e326e3d11fc68ab
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Feb 15 15:48:40 2011 +0000

    Release 1.1.7

 NEWS |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 97fbd9cd7f3b71e418b716a46a3a9c4df9376486
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Feb 14 11:34:32 2011 +0000

    table: ensure the row and column counts are always updated
    
    Make sure the row and column counts are updated when an actor is added
    using clutter_container_add.

 mx/mx-table.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 5e40c99be8fcaef71968d112799080c9db26e526
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jan 28 17:43:39 2011 +0000

    label: Add new property, 'fade-out'
    
    Add a new property, 'fade-out', that when the internal ClutterText is in
    single-line-mode, fades out the end of the text instead of ellipsizing.

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-label.c                        |  301 ++++++++++++++++++++++++++++++++--
 mx/mx-label.h                        |    3 +
 3 files changed, 291 insertions(+), 15 deletions(-)

commit 0351c28e5b706dcaf00575da1bf38da8046faf24
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Feb 2 13:43:12 2011 +0000

    fade-effect: Add a new class, MxFadeEffect
    
    Add a new ClutterEffect that inherits from ClutterOffscreenEffect and can
    be set to clip and fade out the edges of an actor.

 docs/reference/libmx/mx-docs.sgml    |    4 +
 docs/reference/libmx/mx-sections.txt |   23 +
 docs/reference/libmx/mx.types        |    1 +
 mx/Makefile.am                       |    2 +
 mx/mx-fade-effect.c                  | 1022 ++++++++++++++++++++++++++++++++++
 mx/mx-fade-effect.h                  |  103 ++++
 mx/mx-private.h                      |    4 +
 mx/mx.h                              |    1 +
 8 files changed, 1160 insertions(+), 0 deletions(-)

commit dbe3d8e035f1be58f24b3d22456687f673882463
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 11 15:27:07 2011 +0000

    Post-release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 03f86b9256f7ca4249426b288155ff88bbbd2a50
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 11 15:19:20 2011 +0000

    Update NEWS for 1.1.6

 NEWS |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit e4af5790a9b8b4ab103ff491f3a9776c5fbd0b5e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 8 11:01:24 2011 +0000

    Add accessor functions for the MxStackChild:fit property

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-stack-child.c                  |   49 ++++++++++++++++++++++++++++++++++
 mx/mx-stack-child.h                  |    7 +++++
 3 files changed, 58 insertions(+), 0 deletions(-)

commit e5ad8e1f0b571965b5db85f4a43c7470deb7ed54
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Feb 7 16:37:39 2011 +0000

    stack: add a 'fit' child property
    
    The 'fit' child property attempts to fit the actor into the available space
    while respecting the actor's width-for-height or height-for-width
    constraints.

 mx/mx-stack-child.c |   20 +++++++++++++-
 mx/mx-stack-child.h |    1 +
 mx/mx-stack.c       |   76 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 95 insertions(+), 2 deletions(-)

commit 1d4781a51da464e120eb85aa72de8c28b2c55b16
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Feb 7 12:15:23 2011 +0000

    private: typedef the MxDebugTopic enum correctly

 mx/mx-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 534a5a8079840fde8a9c416619eb883a87d751e9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Feb 7 12:07:54 2011 +0000

    combo-box: Remove 'const' from return of mx_combo_box_get_index

 mx/mx-combo-box.c |    4 ++--
 mx/mx-combo-box.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 53a76c7f78e98520b1c905eb22d0f0a312a4fe51
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Feb 7 16:51:31 2011 +0000

    build: Fix embarrassing copy and paste error in previous bug fix

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 182ee7b726d595e4e2ae536b41798fe2ec705e15
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Feb 7 12:23:39 2011 +0000

    build: Fix behaviour of --disable-gtk-widgets
    
    This was caused by a mistake in the use of AC_ARG_ENABLE. The first parameter
    is used when the option is used in any form, either --enable or --disable. In
    this case the bug was that when any mode was used the enable value was
    overriden to no meaning that --enable-gtk-widgets would actually disable gtk
    widget building.
    
    The correct solution here was to set the default value in the second case of
    AC_ARG_ENABLE (not specified) and then use the actual enable value to decide
    whether to enable or not.
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2552

 configure.ac |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 8aa48747cd239cb353d6e7b2b7fd04ebbad793d3
Author: Robert Ancell <robert.ancell@gmail.com>
Date:   Mon Feb 7 12:16:57 2011 +0000

    build: Fix DSO link issues
    
    Let's make sure all the symbols are defined at link time. The Fedora
    project tries to ensure that distribution wide. For more details See:
    http://fedoraproject.org/w/index.php?title=UnderstandingDSOLinkChange
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2523

 tests/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit abf9ba363fbfe94c618df477d1277c8faa6d5adb
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Feb 2 14:24:53 2011 +0000

    label: Add a 'line-wrap' property
    
    'line-wrap' is a useful property to have in a label. As we use an
    internal ClutterText we just proxy the property
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2547

 mx/mx-label.c |   44 +++++++++++++++++++++++++++++++++++++++++++-
 mx/mx-label.h |   14 ++++++++++----
 2 files changed, 53 insertions(+), 5 deletions(-)

commit 0b8dfa5ae68993e381ea55fb1ae35dddfca59746
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 4 11:26:36 2011 +0000

    Post-release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 62a476c7dd9aa8e55c69c6d3485141e84c2869c5
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 4 11:25:33 2011 +0000

    Update NEWS for 1.1.5

 NEWS |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 55a1e096bbe430bf9989919499c677d833fb2db4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Feb 3 11:28:45 2011 +0000

    focus-manager: add mx_focus_manager_push_focus_with_hint function
    
    This function is similar to #mx_focus_manager_push_focus, but allows the
    hint to be specified.

 mx/mx-focus-manager.c |   38 ++++++++++++++++++++++++++++++++++++++
 mx/mx-focus-manager.h |    3 +++
 2 files changed, 41 insertions(+), 0 deletions(-)

commit a84901428562c0c9d6b8d9d9b41f22be66579797
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Feb 3 09:47:13 2011 +0000

    image: stop and unreference the timeline when the object is disposed

 mx/mx-image.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit f4801b7b33a0d08660fa742fa3295645bba58f76
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Feb 3 09:46:46 2011 +0000

    icon-theme: include the icon theme name in the loading error message

 mx/mx-icon-theme.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fc5e45b1dae4ac41153b37baeb3cd34dfba15365
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Feb 2 12:09:05 2011 +0000

    widget: Don't segfault with JSON files containing unknown properties
    
    When the JSON file has a property that does not have a param spec, the
    default implementation in MxWidget checking for the translatable flag
    segfaulted.

 mx/mx-widget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 05f337e8b8443a66e294e3242e27969918c737b3
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Feb 2 11:55:41 2011 +0000

    build: Install the gir file into the right directory
    
    girdir was set to $(datadir)/girepository-1.0/, but should've been
    $(datadir)/gir-1.0/

 mx/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0d88602e0fdbc1b46e34e318b197a74fd99821c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Feb 1 15:24:50 2011 +0000

    adjustment: do not prematurely stop an interpolation
    
    Do not stop the interpolation when the new adjustment value is exactly at
    the end of the adjustment range, since this prevents interpolation down
    from that value. This occurs if the first "new-frame" signal emission on
    the ClutterTimeline is called when the timeline has not yet progressed.

 mx/mx-adjustment.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 10340ddf95eb3594bd37aa894a1d4a92004514d9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 16:05:28 2011 +0000

    Introspection annotations fixes

 mx/mx-action.c        |    8 ++++----
 mx/mx-application.c   |    2 +-
 mx/mx-application.h   |    4 ++--
 mx/mx-button-group.c  |    6 +++---
 mx/mx-button.c        |    2 +-
 mx/mx-button.h        |    2 +-
 mx/mx-dialog.c        |    5 +++--
 mx/mx-draggable.c     |    8 ++++++++
 mx/mx-icon-theme.c    |    2 +-
 mx/mx-item-view.c     |    4 ++--
 mx/mx-list-view.c     |    4 ++--
 mx/mx-offscreen.c     |    7 ++++---
 mx/mx-path-bar.c      |    2 +-
 mx/mx-stylable.h      |    2 +-
 mx/mx-texture-cache.c |    2 +-
 mx/mx-widget.c        |    2 +-
 mx/mx-widget.h        |    2 +-
 mx/mx-window.c        |    8 ++++----
 18 files changed, 41 insertions(+), 31 deletions(-)

commit e650cc4906784b5ce9870d51516b5b3b11f41680
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 16:03:11 2011 +0000

    build: Use the introspection's Makefile rules
    
    The GObject Introspection projects ships with a nice Makefile template
    that you can include into your own project's autotooling to get nicer
    and standardized rules. This requires a bit of fiddling in order to have
    versioned targets in our own Makefile.am, but it's trivial enough.
    
    In this case, we copied the same setup Clutter uses.

 configure.ac   |    5 +++-
 mx/Makefile.am |   63 +++++++++++++++++++++++--------------------------------
 2 files changed, 30 insertions(+), 38 deletions(-)

commit 2ef3090cf5a429b3f1df2fa1f6313d5d3cf566bb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 15:35:32 2011 +0000

    Fix compiler warnings

 mx/mx-css.c   |    2 +-
 mx/mx-utils.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 69877917dbcbd82c262e4d19fce59b579a3d7b9c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 15:17:33 2011 +0000

    mx-window-x11: Plug remaining ClutterEvent direct access
    
    Use accessors for coordinates, type, device id and button.

 mx/x11/mx-window-x11.c |   18 ++++++++----------
 1 files changed, 8 insertions(+), 10 deletions(-)

commit 1719c2ef79a59d6b4e359fe1453564ade824dc7a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 14:56:25 2011 +0000

    x11-window: Use ClutterEvent accessors
    
    Let's try to be resilient against future changes in Clutter, and use the
    accessor functions for ClutterEvent fields instead of direct access to
    structure members.

 mx/x11/mx-window-x11.c |   30 +++++++++++++++---------------
 1 files changed, 15 insertions(+), 15 deletions(-)

commit 6dde6da4788e836a4dc3b0253d25f6e5591e16a5
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Mon Jan 31 15:01:54 2011 +0000

    mx: change mx-create-image-cache to only depend on gdk-pixbuf
    
    No need to depend on GTK+ anymore as it only uses gdk-pixbuf's API.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2537

 configure.ac               |    1 +
 mx/Makefile.am             |    4 ++--
 mx/mx-create-image-cache.c |    3 +--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit f38d65c1c23b1dd557aed23fc951934e640201bc
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Mon Jan 31 14:40:58 2011 +0000

    build: only tweak GTK_FLAGS if GTK+ is required

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ddf21216b2d3e461783d68fa878432dd02a5849c
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Wed Jan 26 23:30:42 2011 +0000

    build: Show GTK+ widgets on features list

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9ea12eacaa3d5c9972bf1c69da4ee7726a5addf7
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Wed Jan 26 23:26:37 2011 +0000

    build: Only require GTK+ if it hasn't been disabled
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2532

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c99c487ba6ddf87d81ddd915a75e3eca63a30b88
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Jan 28 12:28:16 2011 +0000

    mx-window-x11: Use ARGB to get the texture data on big endian
    
    The _NET_WM_ICON property expects the alpha component to be in the
    most significant byte and the blue component to be in the least
    significant byte which means that on a big endian architecture the
    data format retrieved from Cogl would need to be in the reverse order.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2533

 mx/x11/mx-window-x11.c |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit 289887513639aa8a77fa9695bcf116b15b3732bb
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 27 13:36:59 2011 +0000

    mx-window-x11: Fix mx_window_x11_set_wm_hints for 64-bit archs
    
    For some reason XChangeProperty always takes an array of longs when
    the format is 32 even on architectures where sizeof(long) != 32. The
    RGBA data we get from Cogl is packed into 32-bit values so on 64-bit
    architectures we need to expand these values to longs. This was
    causing a crash when using a custom icon on 64-bit because libX11
    would try to read past the end of the data array.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2533

 mx/x11/mx-window-x11.c |   30 +++++++++++++++++++++++-------
 1 files changed, 23 insertions(+), 7 deletions(-)

commit e99e596a50200967fd6700d8baf137a6fd281a4f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jan 26 11:28:32 2011 +0000

    item/list-view: Improve the freeze/thaw behaviour
    
    Use an internal flag to determine whether the view is frozen, rather than
    blocking the signal handlers. This means that if the list or item view is
    frozen and a model is set, the view will still remain frozen until thaw
    is called, even though new signal handlers have been connected.
    
    http://bugs.meego.com/show_bug.cgi?id=1195

 mx/mx-item-view.c |   38 +++++++++++---------------------------
 mx/mx-list-view.c |   34 +++++++++++-----------------------
 2 files changed, 22 insertions(+), 50 deletions(-)

commit da767030a013fcb9e98f97a235d836618339af08
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jan 25 17:29:37 2011 +0000

    Add a CSS debug mode
    
    Add CSS to the list of debug options and print out each node being
    processed and the selectors it matched, in order of their score.

 mx/mx-css.c     |  125 ++++++++++++++++++++++++++++++++++---------------------
 mx/mx-private.c |    1 +
 mx/mx-private.h |    3 +-
 3 files changed, 81 insertions(+), 48 deletions(-)

commit 32a08be29d3b8755c8888bf29fb9731331ca53ee
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 25 15:29:23 2011 +0000

    Post-release version bump to 1.1.5

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7ad1fd426e0846542618a0a9904ac60636bd9bb6
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 25 15:28:09 2011 +0000

    Release 1.1.4

 NEWS |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit d8f91c2ddc493fe67cb4f4a391b9d7a30f1992a7
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 25 13:52:06 2011 +0000

    image: Make sure to start cross-fades from the beginning
    
    Stop the cross-fade timeline before starting it, so it starts from the
    beginning. This makes interrupted cross-fades look a bit less jarring.

 mx/mx-image.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 389b6e450bcfcb2373c774875eb299f488460c1d
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 25 13:42:20 2011 +0000

    image: Add new properties for fine-grained scaling control
    
    Add three new properties:
    
    allow-upscale: Determines whether the image will ever be scaled upwards
                   when loaded with a specified size
    scale-width-threshold: Determines the amount of lee-way allowed before
                           scaling on the x axis
    scale-height-threshold: Same as above for the y axis
    
    This allows a user of MxImage to make tweaks to balance between CPU, GPU
    and memory-use.

 docs/reference/libmx/mx-sections.txt |    6 +
 mx/mx-image.c                        |  338 +++++++++++++++++++++++++++++-----
 mx/mx-image.h                        |   12 ++
 3 files changed, 305 insertions(+), 51 deletions(-)

commit 8a901fd2a22fb1ae0455060b5fe7d911a57e8cb0
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jan 24 16:44:27 2011 +0000

    image: Add asynchronous image loading
    
    Add new functions, mx_image_set_from_file{_at_size},
    mx_image_set_from_buffer{_at_size} and a new property, 'load-async'.
    These add the ability to decode and scale images asynchronously, using
    threads. This adds a dependency on gdk-pixbuf (which Clutter will soon
    require anyway).
    
    This also changes MxImage slightly, adding the 1-pixel border in software,
    rather than using offscreen-rendering and the GPU.

 configure.ac                         |    2 +-
 docs/reference/libmx/mx-sections.txt |    5 +
 mx/mx-image.c                        |  738 ++++++++++++++++++++++++++++++----
 mx/mx-image.h                        |   31 ++-
 mx/mx-marshal.list                   |    1 +
 5 files changed, 707 insertions(+), 70 deletions(-)

commit a7da49e76408fa22491b7b56d93f637f3caa6262
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jan 24 12:37:14 2011 +0000

    image: remove extra initial timeline callback
    
    This was necassary because Clutter could run a paint cycle after the
    timeline was started but before the first "new-frame" signal was emitted.
    This has been fixed in Clutter by commit 5c0aaf5.

 mx/mx-image.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 4d67b5e5292f3839248b63e2bb0b56a2dc971771
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jan 24 12:35:11 2011 +0000

    Always store the last focused actor when moving focus
    
    Always store the actor that the focus is moving 'from', so that the 'prior'
    focus hint will always work as expected.

 mx/mx-box-layout.c |    8 ++------
 mx/mx-grid.c       |    8 +++-----
 mx/mx-table.c      |   32 ++++++++------------------------
 3 files changed, 13 insertions(+), 35 deletions(-)

commit f88554e799b10a3165756246a04c98d3d63fa33d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jan 24 10:21:02 2011 +0000

    box-layout: store the 'from' actor when focus moves out of the widget
    
    Store the 'from' actor when focus moves out of the widget so that it can be
    used for the 'prior' focus hint when focus is returned to the widget.

 mx/mx-box-layout.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 057384909ce3645ab0dc2c1d3e0921306f0a4186
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jan 21 12:33:14 2011 +0000

    image: add a 'clear' function to replace the current image with a blank one
    
    mx_image_clear will replace the current image with a blank, transparent
    image. MxImage will also now be initialised with the blank texture so that
    the first cross fade will be between a transparent image and the new image,
    rather than cross fading with an invalid texture handle as the old image.

 mx/mx-image.c |  120 +++++++++++++++++++++++++++++++++++++++++++++-----------
 mx/mx-image.h |    2 +
 2 files changed, 98 insertions(+), 24 deletions(-)

commit b3ba0db4978a60114adec22d723f4ef4ba8334bb
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jan 19 13:55:57 2011 +0000

    Fix a few compiler warnings when using more strict compiler options

 mx/mx-css.c      |    2 +-
 mx/mx-image.c    |    4 ++--
 mx/mx-slider.c   |    4 ++--
 mx/mx-stylable.c |    3 ++-
 4 files changed, 7 insertions(+), 6 deletions(-)

commit 7f61962da427567a5bf71c78ec803b4fc89a2b5e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jan 19 11:47:04 2011 +0000

    css: check more precisely for pseudo-class matches
    
    The pseudo-class list from the selector needs to be a subset of the
    pseudo-class list from the node for a correct match. The inclusion of an
    element in the list cannot be determined using strstr, since this may
    incorrectly match on an element that includes the string of another
    element.

 mx/mx-css.c |   87 ++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 66 insertions(+), 21 deletions(-)

commit 4271582fab95926a460dca821d3974e7944b3367
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jan 14 18:01:33 2011 +0000

    stylable: Add mx_stylable_style_pseudo_class_contains()
    
    Use whole-word matching to test if a pseudo-class list contains a particular
    pseudo-class and export this functionality as a public function,
    mx_stylable_style_pseudo_class_contains().

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-stylable.c                     |   53 ++++++++++++++++++++++++++++-----
 mx/mx-stylable.h                     |    4 ++
 3 files changed, 50 insertions(+), 8 deletions(-)

commit 63de940e85feab2c2adb8e8aa18489945afe8035
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jan 14 15:31:56 2011 +0000

    css: add selector prioritisation by position in the stylesheet
    
    Allow two selectors with the same score to be additionally compared based
    on their relative position in the stylesheet, so that selectors that
    appear later in the stylesheet gain priority over those nearer the
    beginning.

 mx/mx-css.c |   35 +++++++++++++++++++++++++++++------
 1 files changed, 29 insertions(+), 6 deletions(-)

commit 26283911a5148e67d58ff1b7237bc3933416d5dd
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jan 14 11:17:25 2011 +0000

    widget/button: allow moultiple pseudo classes for different states

 mx/mx-button.c |   32 ++++++++------------------------
 mx/mx-widget.c |   13 ++++---------
 2 files changed, 12 insertions(+), 33 deletions(-)

commit 59e8c3d4f72e80296fc432567d3a4603d25c8826
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Oct 19 17:35:07 2010 +0100

    menu: fix the button-release-event callback prototype
    
    Return FALSE from the button release callback to allow the default handler
    to apply the correct styling rules.

 mx/mx-menu.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2164699fac570b0f365a613f04bae59cbb248bb3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Oct 19 15:30:10 2010 +0100

    css: support reading and matching multiple pseudo classes
    
    Read multiple pseudo-class values from CSS and concatenate them into a
    string separated by ':'.
    
    Ensure that all the pseudo classes defined in each selector match
    pseudo classes available in the node and increase the score by the number
    of pseudo classes that match.

 mx/mx-css.c |   53 +++++++++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 47 insertions(+), 6 deletions(-)

commit 64a7f3f34bcd3edf67f6f1202c7810ba8e05ce80
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Oct 19 15:23:13 2010 +0100

    stylable: add functions to manage "style-pseudo-class" as a list of items
    
    Add functions to help manage MxStylable:style-pseudo-class as a list of
    pseudo classes, seperated by ':'.

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-stylable.c                     |   98 ++++++++++++++++++++++++++++++++-
 mx/mx-stylable.h                     |    8 +++
 3 files changed, 105 insertions(+), 3 deletions(-)

commit 055f5eb5d8276d7629fb7bca955b9f9db5a7e3fd
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 18 14:22:55 2011 +0000

    stylable: Cache the unique style string
    
    Cache the unique style string used for caching matches, instead of
    generating it each time.

 mx/mx-private.h  |    2 +-
 mx/mx-stylable.c |   42 +++++++++++++++++++++++++++++++++++-------
 mx/mx-style.c    |    5 ++---
 3 files changed, 38 insertions(+), 11 deletions(-)

commit fd2fd63185221a7b313fb77b63ed0b3732b68d0f
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 18 14:12:09 2011 +0000

    style: Use strncmp instead of strstr when normalising
    
    When normalising 'x-mx' properties, only compare as many characters as
    necessary to determine it starts with 'x-mx'.

 mx/mx-style.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 98abd5d48b42c06f0a430bbeef41606e5cf123ca
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Jan 13 10:14:43 2011 +0000

    build: Bump the required version of glib to 2.26.0
    
    Clutter master is already depending on glib 2.26.0, we use GBinding,
    time to bump the dependency to 2.26.0.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b5b01caf17646f67c05b9303aa09f4c482671c79
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jan 12 12:36:16 2011 +0000

    Post-release version bump to 1.1.4

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a2022fa32f26692bd8ef34b61faeb0b4e4c30de8
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jan 12 12:28:17 2011 +0000

    Release 1.1.3

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit b62a029c8052e4d2b92f43ea3d6444c42b43f907
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jan 11 15:22:24 2011 +0000

    Add MxImage, a widget to display images

 docs/reference/libmx/mx-docs.sgml    |    1 +
 docs/reference/libmx/mx-sections.txt |   25 ++
 docs/reference/libmx/mx.types        |    1 +
 mx/Makefile.am                       |    4 +-
 mx/mx-image.c                        |  657 ++++++++++++++++++++++++++++++++++
 mx/mx-image.h                        |  101 ++++++
 mx/mx-types.h                        |   19 +
 mx/mx.h                              |    3 +-
 tests/javascript/tests.css           |    5 +
 9 files changed, 814 insertions(+), 2 deletions(-)

commit 94b4deb066ca6b6d3a8e68fd2f75a93e3caa9c44
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jan 12 11:54:58 2011 +0000

    window: Add functions for setting/getting window size
    
    Add new functions for setting/getting window size and fullscreen status.
    This works around the asynchronicity problems relating to setting
    ClutterStage fullscreen, and provides convenience for setting/getting the
    window size with relation to the window border.
    
    Works around http://bugzilla.clutter-project.org/show_bug.cgi?id=2496
    Fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2434

 docs/reference/libmx/mx-sections.txt |    4 +
 mx/mx-window.c                       |  177 ++++++++++++++++++++++++++++++----
 mx/mx-window.h                       |    8 ++
 mx/x11/mx-window-x11.c               |   10 +-
 4 files changed, 177 insertions(+), 22 deletions(-)

commit 8ccf6e585edf523404532815d61d7c206fdea4bf
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 11 15:36:28 2011 +0000

    window/window-x11: Fix toggling the toolbar after mapping a window
    
    Previously, toggling the toolbar wouldn't reallocate the window contents
    and the X11 window backend wouldn't update the WM hints correctly if the
    window was already mapped.
    
    Should fix http://bugzilla.clutter-project.org/show_bug.cgi?id=2463

 mx/mx-window.c         |    2 ++
 mx/x11/mx-window-x11.c |   11 +++++++++++
 tests/test-window.c    |   29 +++++++++++++++++++++++++++++
 3 files changed, 42 insertions(+), 0 deletions(-)

commit 272eb82999dc40d7dac9659c9c176610faf5db1a
Author: Jussi Kukkonen <jku@linux.intel.com>
Date:   Tue Dec 14 17:39:21 2010 +0200

    icon: Don't warn on "-mx-content-image: none;"
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2483

 mx/mx-icon.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 60369160bd07ffe0aca3eca13115a5b31328e63d
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 11 13:34:18 2011 +0000

    kinetic-scroll-view: Don't assume children have both adjustments
    
    When retrieving the child's adjustments, don't assume that both exist.
    Some scrollable children have only one adjustment, or may choose to create
    their adjustment at a later time.
    
    Fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2498

 mx/mx-kinetic-scroll-view.c |  198 +++++++++++++++++++++++--------------------
 1 files changed, 107 insertions(+), 91 deletions(-)

commit 1495dc3e0f1e355b796ef1647cfb1fd8a09f4741
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jan 11 11:43:50 2011 +0000

    dialog: Compile the blur shader when creating the instance
    
    Instead of compiling the shader on show, we compile it once for all when
    creating the instance. This limits blocking when showing the dialog and
    thus let us see more of the animation.

 mx/mx-dialog.c |   84 ++++++++++++++++++++++++++++++++------------------------
 1 files changed, 48 insertions(+), 36 deletions(-)

commit 74b5b2feb759c225bf6544be5159ef851e3e5b38
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Fri Nov 12 11:43:20 2010 +0100

    Don't try to interpolate if we get an invalid target value
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2412

 mx/mx-adjustment.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c284a97f3d8449c87cf2df4a7f04b39795bb7e75
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 11 11:28:53 2011 +0000

    droppable: Fix the incorrect removal of qdata when disabling
    
    The line was accidentally trying to remove the qdata from the droppable
    object instead of the stage.
    
    Fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2208

 mx/mx-droppable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d6e76689fb617d5c1b58cc71fed21153f4bdd38d
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 11 11:19:30 2011 +0000

    test-scroll-view: Add toggle switches for elasticity and overshoot
    
    Add toggle switches to enable/disable elasticity and overshooting on the
    MxKineticScrollView.

 tests/test-scroll-view.c |   43 ++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 42 insertions(+), 1 deletions(-)

commit 612cca7492de9263b829ec142917fd9cf7a884c4
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 11 11:09:10 2011 +0000

    kinetic-scroll-view: Add an 'overshoot' property
    
    Add an 'overshoot' property that lets you define a resistance when
    scrolling past the boundaries of the adjustment, rather than disallowing
    the scroll-view to scroll past those boundaries. (off by default)
    
    Fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2507

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-kinetic-scroll-view.c          |  214 ++++++++++++++++++++++++++--------
 mx/mx-kinetic-scroll-view.h          |    4 +
 3 files changed, 170 insertions(+), 50 deletions(-)

commit 0730f97de1f650a530cf1de07db0df975424c745
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jan 10 16:45:38 2011 +0000

    kinetic-scroll-view: Respect the drag threshold
    
    Respect the drag threshold in MxSettings.

 mx/mx-kinetic-scroll-view.c |   46 ++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 43 insertions(+), 3 deletions(-)

commit 03d8db81a4b6a3d01a6bafb747eebdb054332809
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jan 10 16:03:01 2011 +0000

    mx.h: Add missing mx-settings.h

 mx/mx.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5155144a9d27c1e55bce78ccfac4b4fd4132d7cf
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jan 10 16:02:51 2011 +0000

    settings: Add a 'drag-threshold' setting
    
    Add a new setting that represents the pixel value that should be exceeded
    before initiating drag actions.

 mx/mx-private.h  |    3 ++-
 mx/mx-settings.c |   42 ++++++++++++++++++++++++++++++++++++++----
 2 files changed, 40 insertions(+), 5 deletions(-)

commit 216ee382448e33c47160d6fb64bebd83fae27a60
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jan 10 10:22:14 2011 +0000

    shaders: Don't use a define private to Clutter
    
    HAVE_COGL_* are private defines from Clutter's config.h. COGL defines
    COGL_HAS_* symbols instead.

 mx/mx-dialog.c       |    2 +-
 tests/test-shaders.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0169c50789e81716e4f9a4015645251d14f7ab1f
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Sun Jan 9 21:39:35 2011 +0000

    shaders: Don't specify #version in 1.10 shaders
    
    By default the GLSL version of shaders is 1.10 (ie when not putting any
    '#version' in the source). Strict GLSL 1.10 compilers, say like Mesa <
    7.10 don't parse #version and then don't compile Mx shaders with this
    directive.

 mx/mx-dialog.c       |    1 -
 tests/test-shaders.c |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit 7f42c91d5636c8b18768df6e263a12703f684bd3
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 17:44:48 2011 +0000

    tooltip: Mark "text" property translateable

 mx/mx-tooltip.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 67a5e752fb1986e4ca2b3327686cc712db8461cc
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 17:42:44 2011 +0000

    label: Mark the "text" property as translateable

 mx/mx-label.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 60f2eabc99267082f4e57457f0ec9b3f595bb567
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 17:41:20 2011 +0000

    expander: Make the "label" translateable

 mx/mx-expander.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a9dfb882e4775657ec8cff25d47251e4cf7e0cdd
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 17:40:56 2011 +0000

    button: Make the "text" property translateable

 mx/mx-button.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b8397578af5a1015de540d250966378be1744686
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 17:40:00 2011 +0000

    action: Make the "display-name" property translateable

 mx/mx-action.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a6e304a284a0bd1a2d0a4ff3f6a2a5c78fb698cb
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 17:21:01 2011 +0000

    widget: Translate scriptable properties that are marked as MX_PARAM_TRANSLATEABLE
    
    Properties can now be marked with with the MX_PARAM_TRANSLATEABLE flag. If
    this flag is set then when the object is instantiated from the script any
    properties marked as such will have their values run through gettext to be
    translated.

 mx/mx-types.h  |    2 ++
 mx/mx-widget.c |   48 ++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 48 insertions(+), 2 deletions(-)

commit 7446d68b6e60b4a095ec0bde1f665d931c0c2650
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 15:08:34 2011 +0000

    Post-release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c3fbfa7d34d4c8bd3ec64cc0c46af6f844563539
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 6 15:05:43 2011 +0000

    Update NEWS file

 NEWS |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit b0f8d0dfa83aae86a641b06df22bfa38b7458224
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Wed Dec 8 12:17:52 2010 +0000

    entry: fix typo on code to draw shadow when scrolling

 mx/mx-entry.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1f416fdd0523900055ca47fd78f1b43313c2fcee
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Dec 10 16:56:34 2010 +0000

    icon: Add a new style property '-mx-icon-suffix' + bug-fixes
    
    Add a new style property, '-mx-icon-suffix', that allows you to style an
    extra suffix to append to the icon name. This is handy if you have multiple
    states of a single icon that depend on stylable states.
    
    This also fixes programmatically setting icon name/size not overriding
    the styled name/size, and the memory leak of the icon name on destruction.

 mx/mx-icon.c |   87 +++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 77 insertions(+), 10 deletions(-)

commit dbdc915f2671c5547f30375ebe36c002d94f5650
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Dec 10 15:23:53 2010 +0000

    slider: ensure the trough is allocated to pixel boundaries

 mx/mx-slider.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5036b57003fe55dc49d1e0e8484ac7b01a943eea
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Dec 3 17:06:32 2010 +0000

    Post-release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 657edbee45d887985d498dad16135da4354bd460
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Nov 8 15:43:49 2010 +0000

    focus: Add extra focus hints
    
    Add extra focus hints to indicate what direction a focus request came
    from. This fixes the case of focusing nested boxes with differing
    orientations not doing what one would expect.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-box-layout.c                   |   34 ++++++++++++++++++++------
 mx/mx-dialog.c                       |    1 +
 mx/mx-focusable.c                    |   43 ++++++++++++++++++++++++++++++++++
 mx/mx-focusable.h                    |    8 +++++-
 mx/mx-stack.c                        |    7 ++---
 mx/mx-toolbar.c                      |    1 +
 7 files changed, 82 insertions(+), 13 deletions(-)

commit f86e7832d8edb5c513a5e6f024aac89399e8784a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Dec 1 14:04:13 2010 +0000

    Release 1.1.1

 NEWS         |   41 +++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 42 insertions(+), 1 deletions(-)

commit 80a4b06a5591d8485f282f41ac8075755e2fc567
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Dec 1 10:45:59 2010 +0000

    widget: fix issues with content-image style property
    
    Ensure that the content-image is removed if the style property is NULL and
    handle the case where content-image URL is NULL.

 mx/mx-button.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit caf8efe431fabb30f0dab09a98d24683accdfeb6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 29 12:24:03 2010 +0000

    tests: add a test for the new icon-name and icon-size button properties

 tests/javascript/buttons.json |  431 ++++++++++++++++++++++-------------------
 1 files changed, 227 insertions(+), 204 deletions(-)

commit 9ad72555bd89dcf51213a5c4c2693553a2578de7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 29 12:22:44 2010 +0000

    button: fix check for icon visibility

 mx/mx-button.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ed38dc31fe12b797cd5dcfb2eb5d36aad6f8ef0e
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Nov 26 17:05:55 2010 +0000

    button: Add icon-name/size properties
    
    Add icon-name/size properties so that the icon can be set or overridden
    programmatically.

 docs/reference/libmx/mx-sections.txt |    4 +
 mx/mx-button.c                       |  163 ++++++++++++++++++++++++++++++----
 mx/mx-button.h                       |    6 ++
 3 files changed, 155 insertions(+), 18 deletions(-)

commit fab9cbdbd3f19f150faa79326197e1dd1ac01f8c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Nov 25 17:22:29 2010 +0000

    button: set various child properties for icon and label
    
    Set expand, fill and align child properties for icon and label to align
    them at the edges of the button if x and y fill is enabled on the button.

 mx/mx-button.c |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit 55abe96ba55e72e0326f0d94972797194ed8a9c0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Nov 25 16:45:35 2010 +0000

    tests: Add a new javascript test for buttons

 tests/javascript/buttons.js      |   51 +++++++++
 tests/javascript/buttons.json    |  223 ++++++++++++++++++++++++++++++++++++++
 tests/javascript/test-buttons.js |   41 -------
 tests/javascript/tests.css       |   24 ++++
 4 files changed, 298 insertions(+), 41 deletions(-)

commit 2663b960b75367817f4dea4eeed1f20d80d3a3ad
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Nov 23 14:23:46 2010 +0000

    button: merge MxActionButton into MxButton and remove MxActionButton

 docs/reference/libmx/mx-sections.txt |   24 --
 docs/reference/libmx/mx.types        |    1 -
 mx/Makefile.am                       |    2 -
 mx/mx-action-button.c                |  471 ----------------------------------
 mx/mx-action-button.h                |  107 --------
 mx/mx-button.c                       |  443 +++++++++++++++++++++++++++++---
 mx/mx-button.h                       |   17 ++
 mx/mx-dialog.c                       |    8 +-
 mx/mx.h                              |    1 -
 9 files changed, 425 insertions(+), 649 deletions(-)

commit 19db63ab2cc3216fb462f43ab3414b080f4a81b5
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Nov 26 17:41:45 2010 +0000

    stack: Constrain to pixel alignment when aligning in the middle
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2451

 mx/mx-stack.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit b52c4cf5bd09c704adbab57b48fa1d05d78be46b
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Nov 26 17:45:11 2010 +0000

    slider: Use key-press instead of key-release
    
    Use key-press instead of key-release and only swallow the event if we
    actually respond to the key event. This means we don't need to
    special-case left/right in the move_focus function.

 mx/mx-slider.c |   25 +++++++++++++------------
 1 files changed, 13 insertions(+), 12 deletions(-)

commit 7a0d15bce2e88f026ddd10629f35eebde80dba4e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Nov 25 10:38:02 2010 +0000

    tests: add a javascript test for MxSlider

 tests/javascript/slider.js   |   45 ++++++++++++++++++++++++++++++++++++++++++
 tests/javascript/slider.json |   14 +++++++++++++
 tests/javascript/tests.css   |   10 +++++++++
 3 files changed, 69 insertions(+), 0 deletions(-)

commit d45f0b1ad9bab193e9c836a1630468eb0cebc5f8
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Nov 25 10:32:05 2010 +0000

    slider: set a default handle height
    
    Set the handle-height style property in the default style and don't use
    the allocated height for the handle height when the handle-height style
    property is set.

 data/style/default.css |    1 +
 mx/mx-slider.c         |    5 ++---
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b7ed25cb4d558d1f831222b74e6b4590d034b533
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 24 13:27:52 2010 +0000

    slider: paint the fill indicator on top of the trough

 mx/mx-slider.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 15c6d83d51e548b0584cc0df5b7026add1fe18ff
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 24 11:22:54 2010 +0000

    slider: add key focus support

 mx/mx-slider.c |   70 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 69 insertions(+), 1 deletions(-)

commit e44ab52152625f7a9faf81310e30dbce8e7b41d7
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sat Oct 30 00:17:52 2010 +0100

    spinner: Lower the spinner's update priority to match Clutter's redraw
    
    This prevents a priority-inversion and the potential starvation of the actions
    at an idle priority.
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2387

 mx/mx-spinner.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 0c052a2e8bd4349c81cc2aaa0f017cf2b3eed38a
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Oct 6 17:49:18 2010 +0100

    mx-widget: Set the hover state also when the pointer enters a child
    
    The hover pseudo class on an actor is now also set on a widget
    whenever the pointer enters any children of the actor. This is the
    same behaviour as implemented in HTML. The widget tracks this by
    ignoring leave events when the pointer is leaving to a child. The
    actor should still get the final leave event when the pointer leaves
    the child because it should bubble up to the parent.
    
    Previously the enter and leave events would be ignored when the actor
    is marked as disabled. I've removed this because it would break the
    case where the pointer moves to a disabled child actor and then leaves
    both actors without first passing through the parent. I think the code
    isn't necessary anyway because mx_widget_get_pseudo_class forcibly
    overrides the class when the widget is disabled so it shouldn't do any
    harm to set the hover state.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2357

 mx/mx-widget.c |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

commit ef30ebda2efaa2d8038470df530aff301c5e4576
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Nov 25 12:49:10 2010 +0000

    Increase the Clutter version requirement to 1.4.0
    
    Mx will want to use the clutter_actor_contains function to implement
    the hover style for children of a container so we need to depend on
    1.4.0.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 348f8e635ea97c1dce866a26a101c8e4c34a1ce9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Nov 25 11:57:28 2010 +0000

    docs: improve documentation for MxEntry and MxLabel
    
    Patch from: Pavel Šimerda <pavlix@pavlix.net>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2428

 mx/mx-entry.c |    4 ++--
 mx/mx-label.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit fe936a0173e8d612abd3b1b6390eeca1c88de055
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sat Nov 20 23:30:50 2010 -0800

    Add exported packages to GIRs
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2439

 mx-gtk/Makefile.am |    1 +
 mx/Makefile.am     |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 6cf1266b6ac2438093dcc603c59dc03e1d8b2735
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Nov 18 12:29:41 2010 +0000

    icon-theme: Add documentation/annotation to set_search_paths
    
    Add the annotation necessary to use this function from a
    gobject-introspection based language binding, and add documentation.
    
    Based on patch from Bug #2430, by Lucas Rocha.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2430

 mx/mx-icon-theme.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 7d725d8171b3338f7d56035fe1383ece1fd2eda8
Author: Lucas Rocha <lucasr@litl.com>
Date:   Mon Nov 15 19:14:50 2010 +0000

    Implement apply_style on widgets needing to set style on internals
    
    Internal children should always use same style instance than their
    parent widget. apply_style is only implemented on widgets that need it,
    i.e., the ones with stylable internal children:
    
    - MxComboBox
    - MxDialog
    - MxExpander
    - MxPathBar
    - MxProgressBar
    - MxScrollBar
    - MxScrollView
    - MxSlider
    - MxToggle
    - MxToolbar
    
    Fixes bug 2312.

 mx/mx-combo-box.c    |   12 ++++++++++++
 mx/mx-dialog.c       |   16 ++++++++++++++++
 mx/mx-expander.c     |   13 +++++++++++++
 mx/mx-path-bar.c     |   17 +++++++++++++++++
 mx/mx-progress-bar.c |   13 +++++++++++++
 mx/mx-scroll-bar.c   |   22 ++++++++++++++++++++++
 mx/mx-scroll-view.c  |   16 ++++++++++++++++
 mx/mx-slider.c       |   22 ++++++++++++++++++++++
 mx/mx-toggle.c       |   13 +++++++++++++
 mx/mx-toolbar.c      |   12 ++++++++++++
 10 files changed, 156 insertions(+), 0 deletions(-)

commit 31bd4b55dc994ee5f32a05b17badd326db06c85c
Author: Lucas Rocha <lucasr@litl.com>
Date:   Mon Nov 15 19:08:55 2010 +0000

    widget: apply style when style instance changes
    
    We were only handling style changes on a currently set style instance.
    However, when set_style is called on a MxWidget, we need to set same
    style instance on all internal stylable children. They should always
    share the same style context. This should be in widget-specific
    apply_style() implementation.

 mx/mx-widget.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 977c9c9f0c483e3c9347e4a4a7051e5cae206e5e
Author: Lucas Rocha <lucasr@litl.com>
Date:   Mon Nov 15 18:18:47 2010 +0000

    widget: add vfunc to apply style
    
    For instance, this is needed to be able to sync style instances on
    composite widget's internal children.

 mx/mx-widget.c |   25 +++++++++++++++++++++++++
 mx/mx-widget.h |    9 ++++++++-
 2 files changed, 33 insertions(+), 1 deletions(-)

commit 78921d5ec6a99f239c2ae9c8ea05aaaec6a8facb
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 17 10:56:33 2010 +0000

    Make sure generated headers are available when compiling

 mx/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f6c86bd196ce9e2a68d7158bf36ca022e8985d19
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Nov 17 10:55:31 2010 +0000

    Remove "mx/mx-gtk.h" transitional header
    
    "mx-gtk.h" should be included using <mx-gtk/mx-gtk.h>, rather than
    <mx/mx-gtk.h>.

 mx/Makefile.am |    4 +---
 mx/mx-gtk.h    |   34 ----------------------------------
 2 files changed, 1 insertions(+), 37 deletions(-)

commit 6809c09363f9c0194e31c3407a480c4dc6a0f616
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Nov 16 16:27:23 2010 +0000

    gtk-light-switch: clean up and remove some unused code

 mx-gtk/mx-gtk-light-switch.c |  173 ++++++++++--------------------------------
 1 files changed, 41 insertions(+), 132 deletions(-)

commit 87dd5ed40f4c5be793a98ad2a887467e5e6e9223
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Nov 15 12:40:40 2010 +0000

    Fix errors produced by stricter compiler warnings

 mx/mx-application.c    |   10 +++++-----
 mx/mx-combo-box.c      |    8 ++++----
 mx/mx-css.c            |    4 ++--
 mx/mx-style.c          |    8 ++++----
 mx/mx-viewport.c       |    6 +++---
 mx/x11/mx-window-x11.c |    4 ++--
 6 files changed, 20 insertions(+), 20 deletions(-)

commit 04d5c59f0f68518e603e461e557a65173775e1c9
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Nov 16 14:07:09 2010 +0000

    adjustment: Add a 'clamp-value' property
    
    Add a property that controls whether the value of the adjustment should be
    clamped to within its valid range (lower, upper - page-size).

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-adjustment.c                   |   69 ++++++++++++++++++++++++++++-----
 mx/mx-adjustment.h                   |    4 ++
 3 files changed, 64 insertions(+), 11 deletions(-)

commit ae81b0603109a09b374d9e704efbc29ba095ae3a
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Fri Nov 12 11:23:04 2010 +0000

    kinetic-scroll-view: Ensure child has adjustments
    
    When adding a child to an MxKineticScrollView, call
    mx_scrollable_get_adjustments() to ensure that the adjustments have been
    created before allocation has been reached. This fixes the case where
    adding an MxBoxLayout to an MxKineticScrollView can result in unexpected
    behaviour, as its adjustments are initialised in its own allocate
    function. This is analogous to the behaviour of MxScrollView.
    
    Ideally, MxBoxLayout should initialise its adjustments immediately using
    the current allocation box, but there are cases where this may cause
    allocation cycles.

 mx/mx-kinetic-scroll-view.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 4779e072b6d82450d5a069b4b78e443988e46a9e
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Sun Oct 10 22:57:34 2010 +0100

    box-layout: fix animation when inserting child between children
    
    When animating to add a new child in between existing children, we still
    have to update current allocation position after allocating the still
    invisible (i.e. opacity = 0) new child.

 mx/mx-box-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 34c191eee989440bd18f936789af2c1107181858
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Nov 8 15:43:26 2010 +0000

    window: Make sure to create a focus manager on given stages
    
    If we're created with a stage instead of creating our own, make sure to
    still call mx_focus_manager_get_for_stage to initialise the focus manager.

 mx/mx-window.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d16ffe8bf4aa1d32b82b31a5ba6826560456d883
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Nov 8 14:12:04 2010 +0000

    offscreen: Use the allocation box to get the size of the actor in paint
    
    When painting, we were using clutter_actor_get_size to get the actor's
    size when painting the accumulation buffer. This doesn't always do what
    you expect, and instead, we want to use the allocation box.

 mx/mx-offscreen.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f29e335c3d59f73ac504154396e80868a9c405c2
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Nov 4 13:04:43 2010 +0000

    focusable: Update the 'from' pointer in move_focus correctly
    
    The 'from' pointer was being updated outside of the while loop that
    bubbles up through an actor's parents.

 mx/mx-focusable.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit aec8ef914ba32b7283207ae25ba79c9895f328eb
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Nov 1 16:49:00 2010 +0000

    Don't compile with *_DISABLE_DEPRECATED
    
    The G_DISABLE_DEPRECATED and CLUTTER_DISABLE_DEPRECATED flags are only
    really intended for debugging and it doesn't make much sense to set
    them in all builds. Even if Mx is not currently using any deprecated
    features the defines may make the build fail with future versions of
    Clutter or glib that would otherwise be backwards compatible.

 mx/Makefile.am |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 3b775e39c0e5db367f0c708ecb1142637c256d2d
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Oct 28 21:48:13 2010 +0100

    build: Don't hardcode clutter-x11-1.0 in the .pc file
    
    Mx can be built with a "none" winsys for EGL flavours of clutter. Let's
    not hardcode a clutter-x11-1.0 pkg-config dependency in the .pc file but
    just require clutter-1.0 instead.

 mx.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 83d983aa3a952ad086f617de7ace507678a549c1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Oct 15 17:20:56 2010 +0100

    window: add show/hide functions
    
    Add convenience functions to show and hide the ClutterStage associated with
    a window.

 docs/reference/libmx/mx-sections.txt |    2 ++
 mx/mx-window.c                       |   27 +++++++++++++++++++++++++++
 mx/mx-window.h                       |    3 +++
 3 files changed, 32 insertions(+), 0 deletions(-)

commit 447cd82904362c835fc315a260b3b9d3e3ea3a3d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 30 23:45:34 2010 +0100

    tooltips: Only show tooltips after a short delay
    
    Most toolkits only display tooltips if the mouse is held steady on a
    widget for a certain period of time. This patch implements that for Mx
    as well.
    
    Instead of displaying tooltips on an enter event the tooltip is now
    displayed on mouse motion events. Whenever a motion event is received
    a timeout is installed to display the tooltip after 500ms. If another
    motion event is received then the timeout is restarted. If the mouse
    leaves the widget then the timeout is abandoned. That way the tooltip
    will only be displayed if the mouse is held still over a widget for
    500ms.
    
    Once a tooltip is displayed then it enters 'browse mode'. In browse
    mode the tooltip is shown immediately on an enter event with no
    delay. This is so a user can hover over a series of icons in a toolbar
    without having to wait for the timeout to find out what each one
    does. Browse mode is left 500ms after a tooltip is hidden.
    
    The implementation is based on that in the GTK+ source code. However
    in GTK+ both of the timeouts are customizable but here they are
    hard-coded. It might be a good idea to use the setting directly from
    GTK+.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2179

 mx/mx-button.c  |    4 ---
 mx/mx-tooltip.c |   49 +++++++++++++++++++++++++++++++++
 mx/mx-tooltip.h |    2 +
 mx/mx-widget.c  |   82 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 126 insertions(+), 11 deletions(-)

commit 125ff2a59890586f6d0c455ab2899dacf7d04503
Author: Bastian Winkler <buz@netbuz.org>
Date:   Wed Sep 22 15:59:02 2010 +0200

    notebook: Implement MxFocusable
    
    Add a simple MxFocusable implementation by forwarding the focus to the
    current_page in case it's supported.

 mx/mx-notebook.c |   32 +++++++++++++++++++++++++++++++-
 1 files changed, 31 insertions(+), 1 deletions(-)

commit 34f2cf89ddea006259d83ae9b4039dfbc0464db2
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Oct 14 18:26:38 2010 +0100

    window: Make sure to reallocate when setting the window child
    
    Force a reallocation when setting the window child. This fixes window
    children appearing in the top-left of the window with their preferred size
    when they're set while the window is visible.

 mx/mx-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d010b61830813ebafc304546742f3f843feba842
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Oct 14 18:23:20 2010 +0100

    style: Add a reference on the properties hash-table while using
    
    It's possible for the style cache to be invalidated while it's still
    being used. Avoid invalid memory access by adding a hash-table reference
    around the properties table while it's being used.

 mx/mx-style.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 428a997bebd833f5c71e2836de1f7382189df5ef
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Oct 14 18:22:25 2010 +0100

    settings: Move the settings provider creation to constructed vfunc
    
    Creating the settings provider can cause a signal to be fired, causing a
    possible infinite loop when calling mx_settings_get_default for the first
    time. Fix this by moving it to the constructed vfunc, so that the
    constructor singleton variable is set before the provider is created.

 mx/mx-settings.c |   74 ++++++++++++++++++++++++++++++------------------------
 1 files changed, 41 insertions(+), 33 deletions(-)

commit b07a7f200d7e3ef969341bb58272f82a75f43b02
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Oct 14 18:21:05 2010 +0100

    offscreen: Force an update when setting a parented child
    
    It's possible for an offscreen to be mirroring an actor that's after it in
    the scene-graph, causing the first frame to render blank. Force an update
    to avoid this situation (fixes flickering in MxDialog, for example).

 mx/mx-offscreen.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit b4661c654a57c9cb72592f2f4b7391a2d0791060
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Sep 28 18:05:10 2010 +0100

    focusable: Add a focus debug category
    
    Useful to track the focus in a Mx application (just run the application
    with MX_DEBUG=focus), and makes debugging focus issues so much easier.

 mx/mx-focusable.c |   26 ++++++++++++++++++++++----
 mx/mx-private.c   |    1 +
 mx/mx-private.h   |    7 ++++---
 3 files changed, 27 insertions(+), 7 deletions(-)

commit 1b14423c3524ee0759d4ac8ac3ee6ab894c89d34
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Sep 28 17:54:59 2010 +0100

    private: Add a MX_NOTE() macro
    
    This macro can be used to output debug messages tiggered by MX_DEBUG.

 mx/mx-private.h |   29 ++++++++++++++++++++++++++++-
 1 files changed, 28 insertions(+), 1 deletions(-)

commit b518dcc3c7f256dde23f1ed9dea50f7f8f8be459
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Sep 28 17:52:18 2010 +0100

    private: Add _mx_enum_to_string() and  _mx_string_to_enum()
    
    Those functions can prove useful, say, in debug message to print the
    value of an enum or parse a string.

 mx/mx-private.c |   42 ++++++++++++++++++++++++++++++++++++++++++
 mx/mx-private.h |    7 +++++++
 2 files changed, 49 insertions(+), 0 deletions(-)

commit e5c6f459bd47ab3708285028569d3d8195e6e0fc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Sep 28 16:38:20 2010 +0100

    private: Use G_UNLIKELY for a condition that will happen once
    
    The debug variable needs to be initialized once, don't pay the price of
    a mis-predicted branching after that.

 mx/mx-private.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8838fe2de86fca419e9a7297ae372df7b3cb5bba
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Oct 5 13:58:24 2010 +0100

    focus-manager: Change push_focus to use MX_FOCUS_HINT_PRIOR
    
    When the focus is pushed, use the 'prior' focus hint so that the last
    actor that was focused within that actor is focused. Also document this,
    to make it explicit what hint is used.

 mx/mx-focus-manager.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit cff7668b6bf2db07558ecccd75b0e4ecd69b1439
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Sep 30 03:22:15 2010 +0100

    style: Add a style cache
    
    Instead of just storing the last gotten style matches and invalidating it
    as soon as the style changes, store a cache of the last 6 applied styles
    against a unique string representing the matchable properties of the
    stylable object.
    
    Invalidate this cache on map, parent-set, on name-change, when the style
    is set, and when pseudo-class or style-class change. This significantly
    cuts down the amount of necessary look-ups (at the cost of a small
    amount of memory).

 mx/mx-private.h  |    2 +
 mx/mx-stylable.c |   36 +++++++++++++++--
 mx/mx-stylable.h |    3 +
 mx/mx-style.c    |  116 ++++++++++++++++++++++++++++++++++++++++++++++-------
 4 files changed, 137 insertions(+), 20 deletions(-)

commit 6f34037e901a8baae50290e396f0a316d4f9bd0b
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Sep 30 00:05:28 2010 +0100

    widget: Cache the widget's 'disabled' state
    
    mx_widget_get_disabled previously had to recurse through the widget
    tree to retrieve the disabled state. As this was called in the
    get_pseudo_class implementation, this caused
    mx_stylable_get_pseudo_class to be quite slow, and as this was called for
    every stylesheet match, this caused significant slow-down when the style
    changed.
    
    Move this recursion to only happen when setting disabled or reparenting,
    and cache the result in the widget private struct.

 mx/mx-widget.c |   91 +++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 73 insertions(+), 18 deletions(-)

commit 0c3cd37a74269d1e871aca9fd95f1c92017eb5d1
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 29 16:18:19 2010 +0100

    stylable: Don't force a style-changed emission when setting style
    
    The style-changed signal prototype used to include the old style, but this
    has changed to be flags associated with the emission.
    
    Fix mx_stylable_set_style so that it doesn't end up forcing a recursive
    style-changed emission, and fix the documentation for the signal itself.

 mx/mx-stylable.c |   11 ++---------
 1 files changed, 2 insertions(+), 9 deletions(-)

commit a065eadd134c097f004c6325c3580f2a3df7df5a
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 29 15:58:03 2010 +0100

    style: Cache matched stylesheet properties
    
    Cache the hash-table retrieved from the style on a stylable, and invalidate
    it when the style is changed. This optimises cases where sub-classes of
    widgets that have style properties have their own additional style
    properties.

 mx/mx-private.h  |    2 +
 mx/mx-stylable.c |    1 +
 mx/mx-style.c    |   60 +++++++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 58 insertions(+), 5 deletions(-)

commit 70a0e26b0056c6d7c70d634fed8d9aeb9e636aca
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 29 12:39:24 2010 +0100

    css: Don't retrieve the stylable's parent until it's needed
    
    It's possible that the CSS matching will bail out before the stylable's
    parent is required. Don't retrieve the parent until it might be used.

 mx/mx-css.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 838511d44a02c29f98b54396010821618a61e573
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Sep 26 19:20:31 2010 +0100

    focus-manager: Don't re-focus the old actor when focusing-out
    
    If moving the focus in MX_FOCUS_DIRECTION_OUT, allow the currently focused
    actor to lose focus.

 mx/mx-focus-manager.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0bda202ee8b01c22e48db91419fce1800501e520
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Sep 26 18:36:00 2010 +0100

    dialog: Steal focus when presented
    
    When a dialog is shown, steal the focus and prevent it from being lost.

 mx/mx-dialog.c |   57 +++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 44 insertions(+), 13 deletions(-)

commit 1ffd674cd368365c96735144644f5f1ca48c38c2
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Sep 26 18:33:33 2010 +0100

    focusable: Fix a possible crash when moving focus
    
    If the focus is moved out (via MX_FOCUS_DIRECTION_OUT), then is moved
    either next or previous, Mx will cause a segfault. This is due to not
    doing a NULL pointer check.

 mx/mx-focusable.c |   39 +++++++++++++++++++++------------------
 1 files changed, 21 insertions(+), 18 deletions(-)

commit ff79ab71514bbbd90269dd6ba3970052bd1f5d78
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Sep 26 17:19:01 2010 +0100

    spinner: Respect paint opacity
    
    Store a material and make sure to set the material colour so that we can
    respect the actor's paint opacity. Fixes not being able to set opacity on
    an MxSpinner.

 mx/mx-spinner.c |   33 +++++++++++++++++++++------------
 1 files changed, 21 insertions(+), 12 deletions(-)

commit e898392fddfc1a14d90adbaaa1becdda3f22b492
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Sep 26 17:08:21 2010 +0100

    stack: Allocate non-filled children correctly
    
    If an actor supported width-for-height or height-for-width, setting it not
    to fill in a stack would not work correctly. It may be that we want to fix
    this in mx_allocate_align_fill, as it may affect other containers that use
    this function, but for now, compensate for this in the allocate function
    of MxStack.

 mx/mx-stack.c |   58 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 58 insertions(+), 0 deletions(-)

commit 33c8acdc84129e82b2f941fffc75e4ae669fa5ce
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Sep 26 17:06:53 2010 +0100

    spinner: Set min width/height correctly
    
    The minimum width/height should be the minimum size to show the texture
    unscaled, regardless of for_width/height.

 mx/mx-spinner.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit 7680d2c06a391c2ca2de820661005c717a786721
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Sep 23 18:53:12 2010 +0100

    stack: Make sure not to focus when the direction is out
    
    If we get move_focus with MX_FOCUS_DIRECTION_OUT, we should return NULL.

 mx/mx-stack.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 49b339086410528b947f55fc8dd7f0f8b33aa139
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Sep 23 18:52:40 2010 +0100

    focusable: Avoid some pointless iteration/allocation
    
    Avoid doing unnecessary work.

 mx/mx-focusable.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit aa420d7b7504aa5beb10cec1f9de1023a0f4d69e
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Sep 17 11:40:59 2010 +0100

    action-button: Add properties to control layout
    
    Add three new properties, 'icon-position', 'icon-visible' and
    'text-visible' that control the layout and visibility of the widgets
    within an MxActionButton.

 docs/reference/libmx/mx-sections.txt |    6 +
 mx/mx-action-button.c                |  257 ++++++++++++++++++++++++++++++++-
 mx/mx-action-button.h                |   14 ++
 3 files changed, 269 insertions(+), 8 deletions(-)

commit 27c945c92d90f5a1e2b1d89bcc85005f3d715e5a
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Sep 17 11:40:13 2010 +0100

    types: Add a 'Position' type
    
    Add MxPosition, a type to be used for the placement of UI elements.

 docs/reference/libmx/mx-sections.txt |    1 +
 mx/mx-types.h                        |   17 +++++++++++++++++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit e05e416da270961a061f39ca18e0b262886816dc
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Sep 17 11:39:28 2010 +0100

    action-button: Add Class struct padding

 mx/mx-action-button.h |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 1eb51863aa9d349e89561480e0abc6bb5a92fcaf
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Sep 17 11:39:05 2010 +0100

    action-button: Documentation tweaks
    
    Fix up the documentation so it matches the rest of the Mx documentation
    style.

 mx/mx-action-button.c |   10 +++++-----
 mx/mx-action-button.h |    6 ++++++
 2 files changed, 11 insertions(+), 5 deletions(-)

commit be73548b60399dd45a784acaf67d87ef51e760c3
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 21 13:59:13 2010 +0100

    test-shaders: Make the shader valid GLSL 1.10

 tests/test-shaders.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 31c0dd132a1508550720580eb84a1fa472e8c9fc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Sep 3 23:27:40 2010 +0100

    build: Fix build with --disable-gtk-widgets
    
    Even when not wanting GTK widgets, mx-create-icon-cache depends on GTK and
    thus the GTK_LIBS and GTK_CFLAGS must be defined.

 configure.ac |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 900d58421bc5f87f90a057b589a423133c38f497
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 21 13:08:35 2010 +0100

    dialog: Fix invisible dialogs when shaders aren't available
    
    If shaders/fbos aren't available, or the shader fails to compile, the
    dialog wouldn't update correctly and would end up just blocking input.

 mx/mx-dialog.c |   22 +++++++++-------------
 1 files changed, 9 insertions(+), 13 deletions(-)

commit 40789a56137509fa1b2260fe93e8bac25dc49b7d
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 21 13:07:49 2010 +0100

    dialog: Make shaders valid GLSL 1.10
    
    The shaders before were actually GLSL 1.20, and if you don't specify a
    version, 1.10 is the default according to the standard and implicit
    integer casts aren't supported.
    
    Remove the integer casts and add a version marker for 1.10 for good
    measure.

 mx/mx-dialog.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit eac09218df378b992abfaf7c5f0aef83610bf0c7
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 15 16:01:00 2010 +0100

    focusable: Fix some focus-chain issues
    
    When the focus chain ran back to the stage, it can possibly lose focus
    rather than check the next/previous stage children for focusable ability.
    Also, switching to the previous focus when reaching the stage was broken,
    and would end up just re-focusing the last child of whatever previously
    had focus.

 mx/mx-focusable.c |   47 ++++++++++++++++++++++++-----------------------
 1 files changed, 24 insertions(+), 23 deletions(-)

commit 2049bb81c5a0324e75aa3ea44ebc510b33260f23
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 13 08:55:10 2010 +0100

    Use new key symbols (with fallback)
    
    Clutter ≥ 1.3.13 has deprecated the old CLUTTER_<keysym> defines and
    switched to to be CLUTTER_KEY_<keysym>, to avoid eventual collisions.
    
    Since Mx builds agains Clutter 1.2, we need to add a version check and a
    couple of compatibility defines, if we still want to compile with
    CLUTTER_DISABLE_DEPRECATED turned on.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2310

 mx/mx-button.c        |   10 ++++++++--
 mx/mx-combo-box.c     |    4 ++--
 mx/mx-entry.c         |   12 ++++++------
 mx/mx-focus-manager.c |   11 ++++++-----
 mx/mx-private.h       |   17 +++++++++++++++++
 5 files changed, 39 insertions(+), 15 deletions(-)

commit 4bbb5f5089e043f251cdeee6bcdabacfc37417e5
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 15 14:36:53 2010 +0100

    window: Ensure the focus manager when creating the stage
    
    When MxWindow creates its own stage, make sure that the focus manager also
    exists for it so that the initial focus can work.

 mx/mx-window.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 43aa61f00463fde9c58cd5f1874c8e6f0a32090a
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 15 14:36:23 2010 +0100

    focusable: Don't allow disabled widgets to receive focus

 mx/mx-focusable.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit e31284934a02d497cd9e6897a708aa4c43c70717
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 14 14:44:00 2010 +0100

    table: Implement raise/lower/sort-by-depth container functions
    
    Implement the missing ClutterContainer interface functions by copying them
    from MxStack.

 mx/mx-table.c |   86 +++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 80 insertions(+), 6 deletions(-)

commit d6082e7f76e429f3543a353794e16d34023db682
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Sep 13 19:04:00 2010 +0100

    table: Fix segfault when focusing an empty cell
    
    If you have a table with an empty cell and you try to move focus to that
    cell, you'll get a crash as it tries to access a NULL pointer. This only
    happened when moving focus left/right/up/down (but not previous/next).

 mx/mx-table.c |  105 +++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 62 insertions(+), 43 deletions(-)

commit 43b33a7c5c0dc349242d4ebe70fa70ac67f34eaf
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Sep 10 14:14:12 2010 +0100

    spinner: Add documentation and padding
    
    Add documentation and class struct padding.

 docs/reference/libmx/mx-docs.sgml    |    1 +
 docs/reference/libmx/mx-sections.txt |   18 ++++++++++++++++++
 docs/reference/libmx/mx.types        |    1 +
 mx/mx-spinner.c                      |   31 +++++++++++++++++++++++++++++++
 mx/mx-spinner.h                      |   14 ++++++++++++++
 5 files changed, 65 insertions(+), 0 deletions(-)

commit 483282eb14df686299cd9557a81e2079e24af85d
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Sep 10 13:58:32 2010 +0100

    spinner: Add a new widget, MxSpinner
    
    Add a new widget that can be used to show that a task of indeterminate
    length is taking place (such as loading a web-page, or performing a search)

 data/style/Makefile.am |    1 +
 data/style/default.css |    5 +
 data/style/spinner.png |  Bin 0 -> 6564 bytes
 mx/Makefile.am         |    2 +
 mx/mx-spinner.c        |  395 ++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-spinner.h        |   82 ++++++++++
 mx/mx.h                |    1 +
 tests/test-mx.c        |    6 +-
 8 files changed, 491 insertions(+), 1 deletions(-)

commit faf340cb1a2b54f6565c68fad9d7c0dd5ad6befb
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 7 16:34:22 2010 +0100

    stack: Add documentation

 docs/reference/libmx/mx-docs.sgml    |    2 +
 docs/reference/libmx/mx-sections.txt |   39 ++++++++++++++++++++++++++++++++++
 docs/reference/libmx/mx.types        |    2 +
 mx/mx-stack.c                        |   17 ++++++++++++++
 mx/mx-stack.h                        |   14 ++++++++++++
 5 files changed, 74 insertions(+), 0 deletions(-)

commit ebcb4135c0e72b6a36be284c4046d185dc754f14
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 7 16:34:10 2010 +0100

    stack-child: Align parameters in header properly

 mx/mx-stack-child.h |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 4ab8a9e9341cd64d5f5f309c1d466d6197ba63c3
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 7 16:04:24 2010 +0100

    stack: Add initial implementation
    
    Add implementation of new widget, MxStack. This is an actor that allows
    you to stack multiple widgets on top of each other, with child properties
    that allow for alignment and fill.
    
    This is similar to ClutterBox with the Bin layout manager, but MxStack will
    not allocate its children a larger size than it is allocated itself.

 mx/Makefile.am      |    4 +
 mx/mx-stack-child.c |  369 +++++++++++++++++++++++++++++++++++++
 mx/mx-stack-child.h |  120 ++++++++++++
 mx/mx-stack.c       |  499 +++++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-stack.h       |   80 ++++++++
 mx/mx.h             |    2 +
 tests/Makefile.am   |    3 +
 tests/test-stack.c  |  113 ++++++++++++
 8 files changed, 1190 insertions(+), 0 deletions(-)

commit 07b7a58c37c92d23f3e726299506fac5be741e65
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Sep 10 10:38:22 2010 +0100

    Remove I_() macro as it is confused by intltool for a translation marker
    
    "intltool -m" incorrectly identifies I_() as marking strings for
    translation and therefore causes "make check" to fail.

 mx/mx-draggable.c         |    8 ++++----
 mx/mx-droppable.c         |    8 ++++----
 mx/mx-native-window.c     |    3 ++-
 mx/mx-private.h           |    2 --
 mx/mx-settings-provider.c |    5 +++--
 mx/mx-stylable.c          |    6 +++---
 mx/mx-types.c             |    4 ++--
 po/POTFILES.skip          |    4 ----
 8 files changed, 18 insertions(+), 22 deletions(-)

commit 45bd8c7769287aa1ef65b710a1f800f7dba72d66
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Sep 7 15:41:20 2010 +0100

    configure: output more information about what will be built

 configure.ac |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit ad487de365ed8d045b7ca0b572316980ae7c9e9f
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 7 16:01:09 2010 +0100

    box-layout: Remove redundant assignment of priv variable
    
    The priv variable was assigned twice in mx_box_container_remove_actor.

 mx/mx-box-layout.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 5e9860f26c47a8c769b0d3b9fbb014b41704f91e
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 7 16:00:32 2010 +0100

    box-layout-child: Correct x_fill/y_fill private variable definitions
    
    'gboolean name : 1' will break boolean comparisons, change these to
    'guint name : 1'.

 mx/mx-box-layout-child.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ebefc6a08c1575a34264b58880eea0dd2c6564a6
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Sep 7 12:08:19 2010 +0100

    offscreen: Implement MxFocusable
    
    Act as a proxy to the contained child and implement MxFocusableIface.

 mx/mx-offscreen.c |   32 +++++++++++++++++++++++++++++++-
 1 files changed, 31 insertions(+), 1 deletions(-)

commit 1354d3e32cdb56c9110e7cf47c149bf56e86046b
Merge: e7a619e 9efe5fe
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Sep 2 17:22:17 2010 +0100

    Merge remote branch 'wip/window-orientation'

commit 9efe5fec0e3f5d73adc01c06f5e243bc31f3700a
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Sep 2 17:21:41 2010 +0100

    window: Use a new enum for rotation instead of orientation
    
    Add a new enum, MxWindowRotation, that has the 4 available rotations
    defined, instead of overloading MxOrientation. This removes the
    'orientation-reversed' property and replaces 'orientation' with
    'window-rotation'.

 docs/reference/libmx/mx-sections.txt |    7 +-
 mx/mx-dialog.c                       |    4 +-
 mx/mx-tooltip.c                      |  131 +++++++++++++------------
 mx/mx-types.h                        |   17 +++
 mx/mx-window.c                       |  180 ++++++++++++++--------------------
 mx/mx-window.h                       |    9 +-
 tests/test-mx.c                      |   71 ++++++++-----
 tests/test-window.c                  |   24 +++--
 8 files changed, 222 insertions(+), 221 deletions(-)

commit e7a619e10ae5c9c7fd70d17a303d3aa6d21d1bc5
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Sep 2 13:36:44 2010 +0100

    stylable: disconnect the MxStyle::changed signal handler
    
    Prevent the MxStyle::changed signal handler from being called on a
    destroyed object by disconnecting the handler when the object is destroyed
    and when the style is changed.

 mx/mx-stylable.c |   47 +++++++++++++++++++++++++++++++++++------------
 mx/mx-widget.c   |    2 +-
 2 files changed, 36 insertions(+), 13 deletions(-)

commit 62df5c2ab675b240e7c53a63a9fb29fbeea3938f
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 16:01:28 2010 +0100

    combo-box: Fix position when transformed
    
    The code that made sure a combo-box remains inside the stage boundaries
    always assumed that y extends downwards. This broke the code when
    transformations were applied (such as with window rotation). Fix this
    assumption, and thus fix the bug.

 mx/mx-combo-box.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 47de26d57bda96fdb94c083a25d9e89b96157e2e
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 14:43:26 2010 +0100

    window: Replace orientation-progress with orientation-timeline
    
    It's more useful (and less work, computationally) to provide the timeline
    used for the orientation animation, than the progress. This lets it be
    used with ClutterAnimator, for example.

 mx/mx-window.c |   35 +++++++++++------------------------
 1 files changed, 11 insertions(+), 24 deletions(-)

commit 0043cbb5f059c5f1d4c198e04a038f0270e5024a
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 14:32:36 2010 +0100

    tooltip: Fix tooltips in reversed vertical orientation at the top edge
    
    Fix tooltips appearing off-stage in the reversed, vertical orientation
    when their parent is near the top edge of the stage (bottom, considering
    rotation).

 mx/mx-tooltip.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit d7aa690bc96903755e26d02d634baf79e001ce82
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 12:17:03 2010 +0100

    dialog: Respect window orientation
    
    Read and listen to the window orientation angle when parented to the stage,
    and apply the same transformation to the dialog contents. This allows a
    dialog to be parented to the stage and still respect window rotation.

 mx/mx-dialog.c |   48 ++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 46 insertions(+), 2 deletions(-)

commit 48a411345f12a4210bcc9a857950d4338938afc5
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 11:27:52 2010 +0100

    tooltip: Fix positioning of tooltip with window orientation
    
    Add code to handle the 4 different window orientations. Also fix tooltips
    so that the transformations of the actor they're parented on don't affect
    it and the position will be correct, no matter the transformation applied
    to that actor.

 mx/mx-tooltip.c |  194 +++++++++++++++++++++++++++++++++++++++++--------------
 mx/mx-widget.c  |   62 +++++++++++++-----
 2 files changed, 189 insertions(+), 67 deletions(-)

commit 4dc5c511935500b896cbb430ca2ddf95fd80d892
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 11:26:30 2010 +0100

    test-tooltips: Position buttons for better testing
    
    Position buttons so that they better test the keep-tooltips-on-screen code.

 tests/test-tooltips.c |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)

commit 36154695d0002ec37897cb84b5b5b9cba85d795a
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Sep 1 11:25:45 2010 +0100

    window: Add properties for orientation angle/progress
    
    Add read-only properties for the progress of the orientation transition
    and the current angle of orientation. This allows apps/widgets to perform
    animations/transitions in sync with the window orientation.

 mx/mx-window.c |   45 ++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 44 insertions(+), 1 deletions(-)

commit a87732467ab3a97349ad5187bed0bf29cd539180
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 17:48:23 2010 +0100

    window: Use a nicer alpha function for rotation
    
    Use a nicer alpha function for the rotation animation.

 mx/mx-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7a75f51e3ed455b7097290127187e548da8a8cdc
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 15:32:36 2010 +0100

    window: Fix flipping orientation when horizontal
    
    Fix the transition animation when the orientation is horizontal and you
    flip the value of the orientation-reversed property.

 mx/mx-window.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe2d474e9d755824a7cf8a4554594c9353f65130
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 15:22:36 2010 +0100

    test-mx: Add window rotation buttons
    
    Add window rotation buttons to test window orientation.

 tests/test-mx.c |  121 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 118 insertions(+), 3 deletions(-)

commit 56062c6605fb42eb75b2fe8f447c10f5a19cd0a7
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 14:36:08 2010 +0100

    window: Do rotations with child transformations
    
    Using cogl transformations on pre-paint/pre-pick broke functions like
    clutter_actor_transform_stage_point, as there's no way for those functions
    to know that an arbitrary transformation has been applied by a signal
    handler.
    
    Instead of doing it this way, set the position/rotation of the children
    of the window. This also now allows you to add actors that float above
    the window, to which rotation doesn't apply. The resize-grip is one such
    actor, for example.

 mx/mx-window.c |   82 ++++++++++++++++++++++++++------------------------------
 1 files changed, 38 insertions(+), 44 deletions(-)

commit e0cd396d298bb96090aa8d3fa4ca1bce0c797698
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 14:34:32 2010 +0100

    toggle: Use clutter_actor_transform_stage_point
    
    Transform the event coordinates into local coordinates before using them
    to work out the offsets when dragging the toggle handle. This fixes
    dragging the toggle when there are actor transformations applied.

 mx/mx-toggle.c |   18 ++++++++++++++----
 1 files changed, 14 insertions(+), 4 deletions(-)

commit 07b4105a8011a895de494b3bf1b94d2a7d75a4f7
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 12:02:54 2010 +0100

    window: Add documentation for get/set_orientation

 docs/reference/libmx/mx-sections.txt |    2 ++
 mx/mx-window.c                       |   19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 9e1dbd897bafe834546e58ab37f3b7863caa46a3
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 09:40:00 2010 +0100

    window: Add an orientation property
    
    Add two properties to MxWindow, 'orientation' and
    'orientation-reversed', that allow the user to control the orientation
    of the window in 90 degree increments. Transitions between orientations
    are animated.

 mx/mx-window.c      |  265 +++++++++++++++++++++++++++++++++++++++++++++++++--
 mx/mx-window.h      |    7 ++
 tests/test-window.c |   36 +++++++-
 3 files changed, 300 insertions(+), 8 deletions(-)

commit 4e30ddb1002859213d2e7dae719d3d74a70dd26a
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 27 11:48:01 2010 +0100

    window-x11: Fix icon-change signal connection
    
    These were meant to be g_signal_connect_swapped instead of just standard
    connections. This fixes setting an icon on a window not working, and a
    critical warning when you try to do so.

 mx/x11/mx-window-x11.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit c8c77428388f342036e25f662f47400bf30024e6
Merge: fb4f730 816f357 caeec55
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Aug 26 17:17:40 2010 +0100

    Merge branches 'wip/dialog' and 'wip/winsys'

commit fb4f730bf744221129f7759284d601eb10d1f1cf
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Aug 26 17:09:38 2010 +0100

    toolbar: Implement focusable
    
    Implement the focusable interface so that the close button can be focused.

 mx/mx-toolbar.c |  100 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 98 insertions(+), 2 deletions(-)

commit 816f3572429c154bddd9840da9d217cb05f06af8
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Aug 26 17:01:12 2010 +0100

    dialog: Don't move focus to an empty button group
    
    We don't accept focus on empty button groups, also don't move focus to
    them either.

 mx/mx-dialog.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5bbb5586efa73a9cec3941bb24ff5568c9bec6cc
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Aug 26 16:46:07 2010 +0100

    dialog / modal-frame: Merge MxDialog into MxModalFrame
    
    After discussions, it seemed that MxModalFrame was quite useless on its
    own, so this commit merges MxDialog and MxModalFrame, as well as fixing
    some interaction issues. MxDialog can now be used like a normal
    ClutterContainer and all padding/spacing is stylable.

 data/style/default.css               |   13 +-
 docs/reference/libmx/mx-docs.sgml    |    1 -
 docs/reference/libmx/mx-sections.txt |   20 +-
 docs/reference/libmx/mx.types        |    1 -
 mx/Makefile.am                       |    6 +-
 mx/mx-dialog.c                       | 1129 +++++++++++++++++++++++++++++++---
 mx/mx-dialog.h                       |   93 ++--
 mx/mx-modal-frame.c                  |  681 --------------------
 mx/mx-modal-frame.h                  |   86 ---
 mx/mx.h                              |    3 +-
 tests/Makefile.am                    |    1 -
 tests/test-dialog.c                  |   13 +-
 tests/test-modal-frame.c             |   50 --
 tests/test-mx.c                      |    2 -
 tests/test-mx.h                      |    1 -
 15 files changed, 1114 insertions(+), 986 deletions(-)

commit 061b477cbaa4798057a96d65fa42580e2a7b22e6
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Aug 25 15:59:19 2010 +0100

    action-button: Use ref_sink in set_action
    
    MxAction is GInitiallyUnowned, so use g_object_ref_sink instead of just
    ref so that the floating reference is removed.

 mx/mx-action-button.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 060bb2e5fd8db0e7ac9b0e873c1443b23f8af38e
Author: iain <iain@linux.intel.com>
Date:   Tue Aug 24 12:30:47 2010 -0700

    Add MxDialog and MxActionButton to the API docs

 docs/reference/libmx/mx-docs.sgml    |    2 +
 docs/reference/libmx/mx-sections.txt |   37 ++++++++++++++++++++++++++++++++++
 docs/reference/libmx/mx.types        |    2 +
 3 files changed, 41 insertions(+), 0 deletions(-)

commit 7ff3e2044ab43c1d21e47746bc7ae3c8fc0c0298
Author: iain <iain@linux.intel.com>
Date:   Tue Aug 24 12:15:10 2010 -0700

    Add documentation

 mx/mx-action-button.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit e921138418f2de7b97f00a549bb5d89ef58777e6
Author: iain <iain@linux.intel.com>
Date:   Tue Aug 24 12:08:02 2010 -0700

    Finish the _remove_action method
    
    Actually remove the button from the dialog. Instead of just keeping the
    MxAction around, maintain the relationship between action and button.

 mx/mx-dialog.c |   42 ++++++++++++++++++++++++++++++++++++++----
 1 files changed, 38 insertions(+), 4 deletions(-)

commit caeec5574ddea377e604eb0e942cc88aad03ea24
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Aug 25 15:37:59 2010 +0100

    settings-x11: Implement set_setting
    
    Implement set_setting, otherwise setting a setting won't work (they'll
    essentially become read-only).

 mx/x11/mx-settings-x11.c |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit e3838a0d74570d02e20579b625a3f4cf780c3fa0
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Aug 25 15:32:16 2010 +0100

    settings: Add MxSettingsProvider
    
    Similar to MxWindow, MxSettings is restored to its original class and
    settings can be overridden using MxSettingsProvider, which can optionally
    be implemented by a backend. MxSettingsProvider allows arbitrary
    overriding of getting/setting properties (per property) and allows for
    property change notification.

 mx/Makefile.am             |   10 +-
 mx/mx-private.h            |    8 +
 mx/mx-settings-base.c      |  129 -----------------
 mx/mx-settings-provider.c  |  128 +++++++++++++++++
 mx/mx-settings-provider.h  |   79 +++++++++++
 mx/mx-settings.c           |  331 ++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-settings.h           |    5 +-
 mx/none/mx-settings-none.c |  163 ----------------------
 mx/x11/mx-settings-x11.c   |  243 +++++++++++++++-----------------
 mx/x11/mx-settings-x11.h   |   76 ++++++++++
 10 files changed, 744 insertions(+), 428 deletions(-)

commit a7b7306eb713af8b0d91b5afd292c554b062d2b9
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Aug 24 17:32:33 2010 +0100

    clipboard: Move documentation into header
    
    Move the documentation from the default clipboard implementation to the
    header, to make sure it's present regardless of what window system you
    build with.

 mx/mx-clipboard-default.c |   35 -----------------------------------
 mx/mx-clipboard.h         |   36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+), 35 deletions(-)

commit 45dd2218aa09e962b514426ebe3d30916949a2bf
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Aug 24 16:14:05 2010 +0100

    window-system: Fix building with no window system
    
    Remove mx-window-none as it's no longer necessary, and move
    mx-clipboard-none into the main source directory and rename it
    mx-clipboard-default.

 mx/Makefile.am              |    3 +-
 mx/mx-clipboard-default.c   |  202 +++++++++++++++++++++++++++++++++++++++++++
 mx/none/mx-clipboard-none.c |  160 ----------------------------------
 mx/none/mx-window-none.c    |   52 -----------
 4 files changed, 203 insertions(+), 214 deletions(-)

commit 6ff277732775b4f75d8d65e452afe4c406cb704c
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Aug 24 15:42:10 2010 +0100

    native-window: Add a 'window' construct property
    
    Move the 'window' construct property away from MxWindowX11 and to
    MxNativeWindow. It makes more sense this way.

 mx/mx-native-window.c  |   22 +++++++++++++++++++++-
 mx/x11/mx-window-x11.c |    8 +-------
 2 files changed, 22 insertions(+), 8 deletions(-)

commit 9bce34d76747f3dae0f6e1f4406383cfaa80f221
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Aug 24 15:33:25 2010 +0100

    window-x11: Prefix non-static symbols with an underscore
    
    Prefix non-static symbols with an underscore to make sure that they don't
    get exported with the library.

 mx/mx-window.c         |    2 +-
 mx/x11/mx-window-x11.c |    8 ++++----
 mx/x11/mx-window-x11.h |    6 +++---
 3 files changed, 8 insertions(+), 8 deletions(-)

commit ec922f5e47cc1d8e469c58ecbff2869cce6215c3
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Aug 24 14:24:30 2010 +0100

    window: Remove the base class and add MxNativeWindow
    
    Instead of having an abstract base class that has structs the size of
    a GObject and implementing MxWindow in the backend, implement a base
    MxWindow and have it create an MxNativeWindow object (implemented in the
    backend) to do backend-specific tasks.
    
    This is the same way Clutter does it with ClutterStage and
    ClutterStageWindow.

 mx/Makefile.am         |   10 +-
 mx/mx-application.c    |    2 +-
 mx/mx-native-window.c  |   98 +++++
 mx/mx-native-window.h  |   67 ++++
 mx/mx-window-base.c    |  912 ---------------------------------------------
 mx/mx-window-base.h    |   71 ----
 mx/mx-window.c         |  956 ++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-window.h         |   23 +-
 mx/x11/mx-window-x11.c |  345 ++++++++++--------
 mx/x11/mx-window-x11.h |   78 ++++
 10 files changed, 1413 insertions(+), 1149 deletions(-)

commit 8f77a915075ae4c5bc3c6fca58ff01f828419884
Author: iain <iain@linux.intel.com>
Date:   Wed Aug 11 10:19:22 2010 -0700

    Add a test for MxDialog

 tests/Makefile.am   |    1 +
 tests/test-dialog.c |   54 +++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/test-mx.c     |    2 +
 tests/test-mx.h     |    1 +
 4 files changed, 58 insertions(+), 0 deletions(-)

commit 7c75de3480d42a66446109b7d8c1d668698b60bc
Author: iain <iain@linux.intel.com>
Date:   Wed Aug 11 10:18:54 2010 -0700

    Add the mx-action-button.h and mx-dialog.h headers

 mx/mx.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4bbdd1fcc36e490723f0b8fd8cc699e358d35e73
Author: iain <iain@linux.intel.com>
Date:   Wed Aug 11 10:18:34 2010 -0700

    Build MxActionButton and MxDialog

 mx/Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 38dcec6339c53a814122eee129b617ea2fd129bc
Author: iain <iain@linux.intel.com>
Date:   Wed Aug 11 10:18:00 2010 -0700

    Add the default style for MxDialog

 data/style/default.css |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 65492348327751086f50a5fb752e9c93e83978fa
Author: iain <iain@linux.intel.com>
Date:   Wed Aug 11 10:16:55 2010 -0700

    Add MxDialog
    
    MxDialog is a subclass of MxModalFrame but provides areas for contents and
    action buttons like a normal dialog.

 mx/mx-dialog.c |  198 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-dialog.h |   81 +++++++++++++++++++++++
 2 files changed, 279 insertions(+), 0 deletions(-)

commit 1fbe4c0b052170eb527804f6dd21b57089bb8be5
Author: iain <iain@linux.intel.com>
Date:   Wed Aug 11 10:15:30 2010 -0700

    Add the action button
    
    MxActionButton is a MxButton derivative that uses an MxAction to get its
    label and icon details from, and when it is clicked it activates the action.

 mx/mx-action-button.c |  205 +++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-action-button.h |   80 +++++++++++++++++++
 2 files changed, 285 insertions(+), 0 deletions(-)

commit a33eb45be0194c749f452e5d8407a2067431d385
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 16:22:17 2010 +0100

    window-none: Add initial implementation
    
    Add an implementation of MxWindow to the none backend. This has no special
    behaviour over the base class (for the moment).

 mx/mx-window-base.c      |    7 ++++++
 mx/none/mx-window-none.c |   52 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+), 0 deletions(-)

commit f627de77700f7d8184deec6825505074332b2abd
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 16:14:27 2010 +0100

    window-x11: Remove unused header file
    
    This header file is no longer used, remove it.

 mx/x11/mx-window-x11.h |   55 ------------------------------------------------
 1 files changed, 0 insertions(+), 55 deletions(-)

commit 0b71e9e7a8253ad513c54e32d86db3fc84cf25dc
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 16:06:51 2010 +0100

    window-base: Use g_object_new instead of clutter_stage_new
    
    Create the object explicitly instead of using the convenience function.
    This is necessary to bypass the multiple-stage check on single-window
    backends, as Clutter will always create the default stage.
    
    Work-around suggested by the Clutter maintainer, Emmanuele Bassi.

 mx/mx-window-base.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3c9cf6e674b12f24b516a9ef7fc02e5c5f5461c8
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 16:04:45 2010 +0100

    application/settings: Add 'small-screen' to MxSettings
    
    Instead of checking for this property in MxApplication with X11 specific
    code, add the property to the MxSettings object and move the X11 specific
    code to the X11 MxSettings implementation.
    
    All window-system specific code (except for startup notification) is now
    contained in the corresponding implementation directory.

 mx/mx-application.c        |  279 ++++++++------------------------------------
 mx/mx-settings-base.c      |   15 +++-
 mx/mx-stylable.c           |    3 +-
 mx/none/mx-settings-none.c |   15 +++-
 mx/x11/mx-settings-x11.c   |  253 +++++++++++++++++++++++++++++++++++-----
 5 files changed, 303 insertions(+), 262 deletions(-)

commit 2a42660e6f91b09e16caf4063aca74634d6404d8
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 12:04:27 2010 +0100

    window/application: Move raise into MxWindow
    
    MxWindow now has a raise vfunc that MxApplication will call to raise
    windows instead of having the X11-specific code in MxApplication.

 mx/mx-application.c    |   49 +---------------------------------------------
 mx/mx-window-base.c    |   17 ++++++++++++++++
 mx/mx-window.h         |    4 ++-
 mx/x11/mx-window-x11.c |   51 +++++++++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 71 insertions(+), 50 deletions(-)

commit b5df3edd46f73f279f66db6848b2d07c92e90b4a
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 11:55:25 2010 +0100

    window: Make get/set_window_position vfuncs
    
    Make get/set_window_position vfuncs, it makes more sense this way than
    having arbitrary functions a backend must implement. Makes documentation
    a bit cleaner too.

 mx/mx-window-base.c    |   40 +++++++++++++++++++++++++++++++
 mx/mx-window.h         |   25 ++-----------------
 mx/x11/mx-window-x11.c |   61 +++++++++++++++++++++++++----------------------
 3 files changed, 75 insertions(+), 51 deletions(-)

commit b5a6ddbb3ed1a64695d31b5c09073e8f9a8284d0
Author: Chris Lord <chris@linux.intel.com>
Date:   Sun Aug 15 11:25:45 2010 +0100

    window: Split window into a base class and a system implementation
    
    Split window into MxWindowBase and MxWindow, where MxWindow is the
    window-system specific implementation. Currently only implemented the x11
    window.
    
    Hopefully this is API/ABI compatible, it ought to be but I may have missed
    things.

 mx/Makefile.am         |    7 +-
 mx/mx-private.h        |    9 +-
 mx/mx-settings-base.h  |    5 +
 mx/mx-window-base.c    |  848 +++++++++++++++++++++++++
 mx/mx-window-base.h    |   71 +++
 mx/mx-window.c         | 1646 ------------------------------------------------
 mx/mx-window.h         |   39 +-
 mx/x11/mx-window-x11.c |  911 +++++++++++++++++++++++++++
 mx/x11/mx-window-x11.h |   55 ++
 9 files changed, 1932 insertions(+), 1659 deletions(-)

commit a995007d1cdff0ab534fb58bf3c1071b26740765
Author: Chris Lord <chris@linux.intel.com>
Date:   Sat Aug 14 10:36:13 2010 +0100

    settings: Make a settings base class and inherit from that
    
    Instead of making MxSettings abstract and extending that for specific
    settings objects, make an MxSettingsBase abstract class and implement the
    MxSettings object in the window system directories, inheriting from that
    for the shared code. This alternative method should maintain API/ABI
    compatibility completely (previous method would break g_object_new and
    extending).

 mx/Makefile.am             |    3 +-
 mx/mx-private.h            |    5 ++
 mx/mx-settings-base.c      |  116 +++++++++++++++++++++++++++++++++++
 mx/mx-settings-base.h      |   64 +++++++++++++++++++
 mx/mx-settings.c           |  116 -----------------------------------
 mx/mx-settings.h           |   16 ++++-
 mx/none/mx-settings-none.c |   80 ++++++-------------------
 mx/x11/mx-settings-x11.c   |  144 ++++++++++++++++----------------------------
 8 files changed, 271 insertions(+), 273 deletions(-)

commit 6f9fca3fc56c9405c268ad67ed4528f526a0c529
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Aug 13 13:16:29 2010 +0100

    winsys: Start moving window-system specific code to sub-directories
    
    - Move the clipboards to separate backend directories
    - Add an MxSettings abstract class and move the implementations to separate
      backend directories

 mx/Makefile.am              |   14 +-
 mx/mx-clipboard-none.c      |  160 -----------
 mx/mx-clipboard-x11.c       |  387 ---------------------------
 mx/mx-settings.c            |  222 +---------------
 mx/mx-settings.h            |   22 +-
 mx/none/mx-clipboard-none.c |  160 +++++++++++
 mx/none/mx-settings-none.c  |  192 ++++++++++++++
 mx/x11/mx-clipboard-x11.c   |  387 +++++++++++++++++++++++++++
 mx/x11/mx-settings-x11.c    |  332 +++++++++++++++++++++++
 mx/x11/xsettings-client.c   |  609 +++++++++++++++++++++++++++++++++++++++++++
 mx/x11/xsettings-client.h   |   79 ++++++
 mx/x11/xsettings-common.c   |  265 +++++++++++++++++++
 mx/x11/xsettings-common.h   |  110 ++++++++
 mx/xsettings-client.c       |  609 -------------------------------------------
 mx/xsettings-client.h       |   79 ------
 mx/xsettings-common.c       |  265 -------------------
 mx/xsettings-common.h       |  110 --------
 17 files changed, 2158 insertions(+), 1844 deletions(-)

commit 1e2e4cff31c4a20ba1cbb9d40cfc6968f7840dc8
Author: Damien Lespiau <damien.lespiau@gmail.com>
Date:   Mon Aug 2 12:50:44 2010 -0400

    winsys: Allow Mx to compile without X
    
    Introduce "window systems". For now 'none' and 'x11' which allows to
    compile Mx for X11 (the default) or for no specific window system (for
    instance if we are compiling against a eglnative version of Clutter.
    
    For now, it's only a few #ifdef's but it might need to be extended
    further if one has to write a Windows backend.

 configure.ac                            |   32 +++-
 mx/Makefile.am                          |   20 ++-
 mx/mx-application.c                     |   28 ++-
 mx/mx-clipboard-none.c                  |  160 +++++++++++++
 mx/mx-clipboard-x11.c                   |  387 +++++++++++++++++++++++++++++++
 mx/mx-clipboard.c                       |  387 -------------------------------
 mx/mx-entry.c                           |    4 +
 mx/mx-settings.c                        |   17 ++
 mx/mx-window.c                          |   44 +++-
 tests/test-deform-texture-interactive.c |    9 +-
 tests/test-deform-texture.c             |    9 +-
 11 files changed, 691 insertions(+), 406 deletions(-)

commit 7a7a87c4a1c95ea33f993b5dc0b83bedfa333e6a
Author: Aaron Bockover <abockover@novell.com>
Date:   Mon Aug 9 18:17:14 2010 -0400

    Only check for gtk+-2.0 if GTK+ support is enabled
    
    If --disable-gtk-widgets is passed, don't check for gtk+-2.0 via
    pkg-config since it's not actually needed. Makes it possible to build mx
    on systems with a too-old GTK+.

 configure.ac |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit ce887ee5fbdcdd9e6165a503d17305943d717bfb
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Aug 9 18:50:55 2010 +0100

    window: Fix handling of allocation-changed before mapping
    
    It's possible that we receive an allocation-changed signal before the
    window has mapped. In this case, just return, we'll receive another one
    after the window has mapped anyway. (without this fix, we generate an
    X error, BadWindow)

 mx/mx-window.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 85f2b7942df74d73fe9549afe11edc6755756e6c
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Aug 9 18:41:23 2010 +0100

    kinetic-scroll-view: Fix step-size clamping and odd jumping
    
    Fix step-size clamping so that the deceleration always ends up on a
    step-size boundary, on both axes. Also fix the case where you drag the
    child, stop the mouse, then let go, causing the view to suddenly jump to
    a step boundary.

 mx/mx-kinetic-scroll-view.c |  161 +++++++++++++++++++++++--------------------
 1 files changed, 85 insertions(+), 76 deletions(-)

commit 6c77bb36aa1436bdb5567fa2e55bbeb53ba7a8f4
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Aug 9 18:35:55 2010 +0100

    scroll-bar: Fix representation of elastic adjustments
    
    If an adjustment is elastic, its values can fall outside of the range
    described by lower/upper/page-size. Clamp the position/size of the handle
    so it doesn't fall outside of the scroll-bar trough.

 mx/mx-scroll-bar.c |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

commit aa16d3b97a276aaf1ea9f20b82b01086cb91a399
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Aug 9 18:34:21 2010 +0100

    adjustment: Fix elasticity
    
    Fix the 'elastic' mode so that it works as it's described in the property
    description. That is to say, it disables clamping and when interpolating
    outside of the lower/upper-page_size range, it will bounce back to the
    edge of the boundary.

 mx/mx-adjustment.c |  109 +++++++++++++++++++++------------------------------
 1 files changed, 45 insertions(+), 64 deletions(-)

commit abcc318e6ba14c6470ee791b18ad04f514796bfb
Merge: de5c64c 14ee933
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Aug 9 15:31:53 2010 +0100

    Merge branch 'kinetic-scrolling'

commit 14ee933e4e19285adc3bb84337c563d6dac40d1a
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 17:51:15 2010 +0200

    kinetic-scroll-view: Add documentation
    
    Add gtk-doc for MxKineticScrollView.

 docs/reference/libmx/mx-docs.sgml    |    1 +
 docs/reference/libmx/mx-sections.txt |   22 ++++++++++
 docs/reference/libmx/mx.types        |    1 +
 mx/mx-kinetic-scroll-view.c          |   78 ++++++++++++++++++++++++++++++++++
 mx/mx-kinetic-scroll-view.h          |    6 +++
 5 files changed, 108 insertions(+), 0 deletions(-)

commit 1168f40ce9562b809b9a01fa071fc52abcd58f85
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 17:17:15 2010 +0200

    kinetic-scroll-view: Rename 'decel-rate' -> 'deceleration'
    
    Rename 'decel-rate' to 'deceleration'. This name makes it a bit more
    obvious what it does.

 mx/mx-kinetic-scroll-view.c |   23 ++++++++++++-----------
 mx/mx-kinetic-scroll-view.h |    6 +++---
 2 files changed, 15 insertions(+), 14 deletions(-)

commit 5206fd7457a346f6f5b59f531fddf126fc64a944
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 17:08:18 2010 +0200

    test-scroll-view: Remove commented-out block
    
    There is a commented out bit of code that is no longer necessary.
    Remove it.

 tests/test-scroll-view.c |   19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit db498ac2cf891393893328e73983737caee26d47
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 17:06:29 2010 +0200

    kinetic-scroll-view: Comment out buffer-size property
    
    This property is kind of an implementation detail, and is only appropriate
    for bad resistive touch-screens. Comment it out, this may be completely
    removed in the future.

 mx/mx-kinetic-scroll-view.c |   11 ++++++++++-
 mx/mx-kinetic-scroll-view.h |    2 ++
 2 files changed, 12 insertions(+), 1 deletions(-)

commit de5c64cf51964df0fdffcdc97f417d8d5c5d12fe
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 16:40:00 2010 +0200

    window: Fix resizing issues
    
    Fix widgets inside the window jumping to 0,0 during resizes.

 mx/mx-window.c |   43 ++++++++++++++++++++-----------------------
 1 files changed, 20 insertions(+), 23 deletions(-)

commit b3a1879927576447500898e00164c3070afc6823
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 11:44:44 2010 +0200

    kinetic-scroll-view: Remove the number munging
    
    There were a couple of places where arbitrary numbers were added to account
    for possible inaccuracies. This is not really necessary anymore and
    actually causes some odd behaviour sometimes, so remove it.

 mx/mx-kinetic-scroll-view.c |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

commit 14c7a3330e091e5f01fbbe5038b0df149c011ff5
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 11:29:05 2010 +0200

    kinetic-scroll-view: Add missing property accessors
    
    Add property accessors for decel-rate and buffer-size.

 mx/mx-kinetic-scroll-view.c |   67 ++++++++++++++++++++++++++++++++++++-------
 mx/mx-kinetic-scroll-view.h |    8 +++++
 2 files changed, 64 insertions(+), 11 deletions(-)

commit f4fe91c3b104ed429c917d6346dbc1c1753f5930
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 11:08:09 2010 +0200

    finger-scroll: Rename MxFingerScroll to MxKineticScrollView
    
    Rename MxFingerScroll to MxKineticScrollView to better reflect what it does
    and fit better with the names of the other Mx widgets.

 mx/Makefile.am              |    4 +-
 mx/mx-finger-scroll.c       |  853 ------------------------------------------
 mx/mx-finger-scroll.h       |   71 ----
 mx/mx-kinetic-scroll-view.c |  863 +++++++++++++++++++++++++++++++++++++++++++
 mx/mx-kinetic-scroll-view.h |   72 ++++
 mx/mx.h                     |    2 +-
 tests/test-scroll-view.c    |    8 +-
 7 files changed, 942 insertions(+), 931 deletions(-)

commit dc876e96b864c2d71bc97f62631463aca9248ed3
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 10:34:04 2010 +0200

    finger-scroll: Remove MxFingerScrollMode
    
    Remove the scroll mode. Push-scrolling can be achieved by just setting
    a very high deceleration rate so there's no need to clutter the code with
    this.

 mx/mx-finger-scroll.c    |   31 +++++--------------------------
 mx/mx-finger-scroll.h    |   14 +-------------
 tests/test-scroll-view.c |    2 +-
 3 files changed, 7 insertions(+), 40 deletions(-)

commit a24eb3407b6384e99a5551023aca30f99be19c54
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 29 10:04:14 2010 +0200

    finger-scroll: Fix kinetic scrolling
    
    The previous code smiplification actually broke kinetic scrolling entirely.
    Fix and improve the maths involved.

 mx/mx-finger-scroll.c |   37 ++++++++++++++++++++++---------------
 1 files changed, 22 insertions(+), 15 deletions(-)

commit e6f9deb96ccebed2c3d58fd59cbe54f50f8650da
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 22 09:33:22 2010 +0100

    finger-scroll: Don't use grabs and make event capturing optional
    
    Disable motion events and attach to captured events on the stage, instead
    of using grabs (this is more reliable and plays friendlier with other
    actors).
    
    By default, use button-press-event instead of captured-event to initiate
    the scrolling - captured-event can optionally be turned back on.
    
    Also make the mouse button that initiates the scrolling configurable,
    instead of hard-coding mouse-button 1.

 mx/mx-finger-scroll.c |  183 +++++++++++++++++++++++++++++++++---------------
 mx/mx-finger-scroll.h |    8 ++
 2 files changed, 134 insertions(+), 57 deletions(-)

commit d15aa5a4823826e4582c119f3e952826d67bad34
Author: Chris Lord <chris@linux.intel.com>
Date:   Sat Jul 10 09:34:41 2010 +0100

    finger-scroll: Make it a stand-alone container
    
    Don't extend MxScrollView, instead extend MxBin and make it possible to use
    MxFingerScroll in the same way you can use MxScrollView. As an added bonus,
    it also implements MxScrollable, so you can pack a FingerScroll into a
    ScrollView if you want scroll-bars (for example).

 mx/mx-finger-scroll.c    |  400 ++++++++++++++++++++++++---------------------
 mx/mx-finger-scroll.h    |    6 +-
 tests/test-scroll-view.c |    8 +-
 3 files changed, 221 insertions(+), 193 deletions(-)

commit 4a48472c3fbae9a57442c701f7889fea1466260b
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jul 7 18:21:22 2010 +0100

    finger-scroll: Simplify/fix-up a bit
    
    Change the button-release-event handler to have only a single path for the
    kinetic scrolling. Fix snapping so that it snaps to the nearest
    step-increment, but only in the direction of scrolling. Fix the new-frame
    callback to handle skipped frames correctly again.

 mx/mx-finger-scroll.c    |  236 +++++++++++++++++++--------------------------
 tests/test-scroll-view.c |   26 +++++-
 2 files changed, 123 insertions(+), 139 deletions(-)

commit ef8b35c02e3a4f52fda1e0eeb82cdd26a3070371
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jul 7 14:31:41 2010 +0100

    finger-scroll: Remove trailing spaces

 mx/mx-finger-scroll.c |  132 ++++++++++++++++++++++++------------------------
 mx/mx-finger-scroll.h |    2 +-
 2 files changed, 67 insertions(+), 67 deletions(-)

commit b3821e21a7f6583b66522e778b7d6e1e75142ad0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jun 17 16:28:38 2010 +0100

    add initial copy of finger-scroll from tidy

 mx/Makefile.am           |    2 +
 mx/mx-finger-scroll.c    |  808 ++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-finger-scroll.h    |   75 +++++
 mx/mx.h                  |    1 +
 tests/test-scroll-view.c |   22 ++-
 5 files changed, 907 insertions(+), 1 deletions(-)

commit 69f1668ccc7734c5b7964190dda6398ef77a90a7
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jul 28 00:16:05 2010 +0100

    offscreen: Fix possible infinite recursion when cloning
    
    There was a check previously for this, but it didn't catch all cases. This
    one does.

 mx/mx-offscreen.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 5a8d5ef5a927025f06700297a113f1a2b98c047f
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jul 19 13:35:43 2010 +0100

    modal-frame: Override ClutterActor->show/hide
    
    Instead of having separate functions, mx_modal_frame_show/hide, override
    the ClutterActor show/hide signal handlers. This allows a user to use
    clutter_actor_show/hide normally instead of the special MxModalFrame
    functions.
    
    MxModalFrame goes through some pains to make sure that after calling
    clutter_actor_hide, the actor immediately registers as hidden, even though
    it isn't until the hiding animation finishes.

 docs/reference/libmx/mx-sections.txt |    2 -
 mx/mx-modal-frame.c                  |   80 +++++++++++++++++-----------------
 mx/mx-modal-frame.h                  |    3 -
 tests/test-modal-frame.c             |    4 +-
 4 files changed, 42 insertions(+), 47 deletions(-)

commit 026da8d7b6388926e5bcc2a6e02f6a99174ef1d2
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jul 15 10:29:38 2010 +0100

    action: Install the 'icon' property correctly
    
    The icon property was being installed with the same property ID as the
    display-name property.

 mx/mx-action.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 069473ccc2a1b298d3e1a47398c65c31dad14253
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jul 13 11:26:20 2010 +0100

    Update NEWS for 1.1.0

 NEWS |   38 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 38 insertions(+), 0 deletions(-)

commit 45cc4e74917e3d015e95a5f87c7be0be781f4d21
Merge: 4e898bb 704d5af
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jul 13 11:09:28 2010 +0100

    Merge branch 'mx-modal-frame'

commit 704d5af36d8d6e85b109007c867b0b8c25be7947
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jul 13 11:03:26 2010 +0100

    docs: add modal frame to mx.types and document the instance struct

 docs/reference/libmx/mx.types |    1 +
 mx/mx-modal-frame.h           |    7 +++++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit eb9a61f0e7d8be4dc3aa21eed1327c430915a9b9
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jul 12 16:52:23 2010 +0100

    modal-frame: Add documentation
    
    Add documentation for MxModalFrame.

 docs/reference/libmx/mx-docs.sgml    |    1 +
 docs/reference/libmx/mx-sections.txt |   19 +++++++++++++++++
 mx/mx-modal-frame.c                  |   37 ++++++++++++++++++++++++++++++++++
 3 files changed, 57 insertions(+), 0 deletions(-)

commit 277d22847140e8078a84ad010efdf2595dfa2380
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Jul 12 16:03:24 2010 +0100

    offscreen: Add documentation
    
    Add full documentation for all functions in MxOffscreen.

 docs/reference/libmx/mx-sections.txt |    3 +
 mx/mx-offscreen.c                    |  128 ++++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+), 0 deletions(-)

commit 4e898bb0e810d8ff9e60c02c96832f47b4077b40
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Sat Jul 10 14:09:05 2010 +0100

    mx-entry: draw a shadow when text is scrolling
    
    Draw a shadow over the end of the text if there is more text than is
    visible in the entry.

 mx/mx-entry.c |   51 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 50 insertions(+), 1 deletions(-)

commit 57c462f3536bda7cea659aa5c1a9309d2a501fb6
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jul 9 18:53:22 2010 +0100

    offscreen: Check buffer creation success state
    
    If buffers aren't successfully allocated, make sure to bail out of
    painting.

 mx/mx-offscreen.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit f09b246e80f15c48a80c7f59b797bfb8792a3a8b
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jul 9 18:38:14 2010 +0100

    modal-frame: Use the offscreen clone ability
    
    Instead of relying on a slightly hacky patch to Clutter, use MxOffscreen's
    new cloning ability to do the same thing. This now works fine with
    stock Clutter 1.2.

 mx/mx-modal-frame.c |  182 ++++++++++++++++++++++++++++++--------------------
 1 files changed, 109 insertions(+), 73 deletions(-)

commit da6122c67b3b368ae044c5c75f04509a64cf5f37
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jul 9 18:36:06 2010 +0100

    offscreen: Add the ability to clone
    
    Add the ability for MxOffscreen to be able to clone actors as well as
    act as an off-screen container. If mx_offscreen_set_child is called with
    a child that is already parented (or the stage), MxOffscreen will clone
    that actor instead.

 mx/mx-offscreen.c |  194 +++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 138 insertions(+), 56 deletions(-)

commit 02a26a9fbeaf4eab56bd4cddc3ec80381213c3f9
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jul 7 18:29:10 2010 +0100

    style: Add MxModalFrame > MxFrame styling
    
    Add a default style for MxFrame's in MxModalFrame's, with a new asset
    from Dave Tappy.

 data/style/Makefile.am          |    1 +
 data/style/default.css          |    4 ++--
 data/style/frame-background.png |  Bin 0 -> 564 bytes
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 85afc2dc2b105cdcca7f8ce54033d68bed06697c
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Jul 7 13:26:06 2010 +0100

    modal-frame: New modal container widget
    
    MxModalFrame is a dialog-style widget that can be used to present an
    actor (such as a file-chooser) that you want to block the input of other
    actors. It low-lights and blurs the background and animates in the child
    actor.
    
    This depends on Clutter bug #2173,
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2173

 data/style/default.css   |   10 +
 mx/Makefile.am           |    2 +
 mx/mx-modal-frame.c      |  608 ++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-modal-frame.h      |   82 +++++++
 mx/mx.h                  |    1 +
 tests/Makefile.am        |    1 +
 tests/test-modal-frame.c |   50 ++++
 tests/test-mx.c          |    2 +
 tests/test-mx.h          |    1 +
 9 files changed, 757 insertions(+), 0 deletions(-)

commit 7601330ddf9841489145779004870d031b1d4f54
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jul 6 11:50:20 2010 +0100

    style: Allow both point and pixel font sizes
    
    Change the default font-size to be pixels to restore previous behaviour.
    
    When setting the font-size from MxSettings, the value is converted from
    points to pixels (if necessary).
    
    If 'pt' is used as a suffix in the CSS, the value will be converted from
    points to pixels before setting.

 mx/mx-stylable.c |    8 +++++++-
 mx/mx-style.c    |   14 +++++++++++++-
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 83326d6c58b46909e71794b33eb430d00bafeccd
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jul 6 11:07:15 2010 +0100

    offscreen: Check the texture exists before setting
    
    When creating a cogl texture, check the creation was successful before
    setting it on the ClutterTexture. This fixes a possible critical warning
    when the MxOffscreen is set to an invalid size for a texture.

 mx/mx-offscreen.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 5b55ac63cce2ab1eeb92c686e57694538c632096
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jul 1 15:01:07 2010 +0100

    mx-gtk: require GTK+ 2.20 and fix compilation with GSEAL_ENABLED

 configure.ac                 |    3 +-
 mx-gtk/mx-gtk-frame.c        |  124 ++++++++++++++++++++++++------------------
 mx-gtk/mx-gtk-light-switch.c |   16 ++----
 3 files changed, 77 insertions(+), 66 deletions(-)

commit f0104f6f422652fe922d3f235ce70d0580e9dc52
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 22 16:38:47 2010 +0100

    mx-focus-manager: re-focus the last actor if focus could not be moved
    
    Make sure that focus cannot be "lost" by making sure that if the focus
    could not be moved to a new actor, then the previously focused actor has
    focus again.

 mx/mx-focus-manager.c |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit d37b8da9d77c431af8a6b0e8ec70153f9bd4d4a1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 22 11:42:04 2010 +0100

    build: Fix distcheck
    
    Remove reference to header file that has been removed

 mx/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit ea07df92126c26c3416b2dfc1b9ed9465febd467
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 21 15:44:01 2010 +0100

    configure: allow automatic enabling of several dependencies
    
    Detect the presence of some optional features and enable or disable them
    accordingly.

 configure.ac |   54 +++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 39 insertions(+), 15 deletions(-)

commit 1cc15fec5be5af8d509f59ea95ca401e7d62b7f9
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 18 15:15:42 2010 +0100

    icon: If an icon is missing, try to use 'image-missing'
    
    If an icon-name isn't found in the currently loaded theme, try to use
    'image-missing'.
    
    Addresses concerns in MeeGo bug #1469

 mx/mx-icon.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit ce2712ad9231c277124450fe4d3592929edb09df
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 18 15:14:48 2010 +0100

    icon-theme: Fix multiple inherits in a single theme
    
    I forgot to replace commas with NULLs in the Inherits string, which broke
    the inherits of any theme that had more than one inherited theme.

 mx/mx-icon-theme.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 13feade38a240073851544acadc83a3a9f66cf8d
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 18 14:48:57 2010 +0100

    icon: Listen to icon theme changes
    
    If the icon-theme changes and the MxIcon is a named icon, reload it to get
    the correct icon.

 mx/mx-icon.c |   37 +++++++++++++++++++++++++++++++++----
 1 files changed, 33 insertions(+), 4 deletions(-)

commit 981388060bb9125a44fff979ae8d9b6aca3c7037
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 18 14:48:15 2010 +0100

    icon-theme: Listen to MxSettings change notifications
    
    If the system icon theme changes, change the icon theme in MxIconTheme.

 mx/mx-icon-theme.c |   21 ++++++++++++++++-----
 1 files changed, 16 insertions(+), 5 deletions(-)

commit 4f5d76c6b1c11fa101e024b66d1e69e25595f759
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 28 16:55:01 2010 +0100

    icon-theme: Cache missing icons
    
    If a lookup fails, we don't want to have to crawl the directory tree
    looking for it if the application asks for it again. Alter the code
    slightly to cache failed icon look-ups.
    
    Fixes MeeGo Bug #1469

 mx/mx-icon-theme.c |   24 +++++++++++++++---------
 mx/mx-icon.c       |    5 +++--
 2 files changed, 18 insertions(+), 11 deletions(-)

commit 75659d91188e4ef66217e50817b1df78a917e749
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 18 12:39:53 2010 +0100

    icon-theme: Make fallback loading recursive
    
    When loading icon theme fallbacks, make sure to load the fallbacks of
    fallbacks. This fixes using the Fedora icon theme, for example, which only
    overrides a few icons, then falls back to Mist, which does the same thing
    and inherits gnome.

 mx/mx-icon-theme.c |   87 +++++++++++++++++++++++++++++++++++----------------
 1 files changed, 60 insertions(+), 27 deletions(-)

commit cb5345a26a5cd07c388e27ee8c125b91770bdb7b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jun 18 14:36:50 2010 +0100

    mx-settings: prevent possible recursion during the creation of MxSettings
    
    During the construction of MxSettings, the default values are changed from
    reading the xsettings values. Therefore, the "style-changed" signal may
    be emitted. If a handler on this signal requires MxSettings, recurusion can
    occur because the singleton has not yet been saved. This can be avoided by
    making sure the xsettings client is initialised only after the saving of
    the singleton object. This is acheived by implementing the singleton in
    the object's constructor virtual function, and initialising the xsettings
    client in the constructed signal.

 mx/mx-settings.c |   70 ++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 55 insertions(+), 15 deletions(-)

commit b1baf885bf05036e1bd66555df676c4d77adf172
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jun 17 14:04:30 2010 +0100

    mx-application: call clutter_init_with_args() to get command line arguments
    
    Use clutter_init_with_args() instead of simply clutter_init() to ensure
    that command line arguments are parsed by clutter.

 mx/mx-application.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d326a2cdbddfd8f7aa4c9996d24619683ab736d7
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jun 17 17:00:52 2010 +0100

    window: Respect ClutterStage:user-resizable
    
    If the user-resizable property on the stage of a window is set, remove
    the resize-handle and disable window resizing.
    
    Fixes MeeGo Bug #2013

 mx/mx-window.c      |   40 ++++++++++++++++++++++++++++++++++++----
 tests/test-window.c |   29 +++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+), 4 deletions(-)

commit 369c5f589ee0fc1a4bf38f84abf02c3d09c1294e
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Jun 17 14:48:58 2010 +0100

    viewport: Respect fill, alignment and padding properties
    
    MxViewport is an MxBin (which is also an MxWidget), so it should respect
    the x-fill, y-fill, x-align and y-align properties; and the padding
    style property.
    
    This also changes the default values of x-align and y-align to
    MX_ALIGN_START, to maintain previous/expected behaviour.

 mx/mx-viewport.c |   84 +++++++++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 74 insertions(+), 10 deletions(-)

commit c19b827befbe6ebff7d08bbf1bc8b3b39da37c5f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jun 17 11:49:53 2010 +0100

    mx-scroll-view: simplify shadow determination code

 mx/mx-scroll-view.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit f0ea6bcf20bc9e061f82098ce403069e7cac10bd
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jun 17 11:17:52 2010 +0100

    mx-scroll-view: use the background colour as the shadow/fade colour
    
    Increase the shadow/fade to 15 pixels and use the style background colour.

 mx/mx-scroll-view.c |   44 ++++++++++++++++++++++++++------------------
 1 files changed, 26 insertions(+), 18 deletions(-)

commit 154ac472f5bc7344d8244f01a3abdcb9d1989bc8
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Jun 16 15:03:03 2010 +0100

    mx-scrollview: add shadows to the inside of the scrollview
    
    If one axis of the scrollview is not at the extents, add a shadow to that
    side to indicate more content.

 mx/mx-scroll-view.c |  132 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 130 insertions(+), 2 deletions(-)

commit 40f57a89b78840d1d2506a20e0440847c8043a57
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 18:14:32 2010 +0100

    mx-bin: update the main section documentation
    
    Make it clear that MxBin is an abstract class and give some hints on
    how to implement it and possible useful implementations for applications.

 mx/mx-bin.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 2041abab166b6b09e20c71b8a4e49654a9b1c48c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 18:04:17 2010 +0100

    docs: remove mx_subtexture_get_type from types
    
    MxSubtexture was an internal only object, and has now been removed.

 docs/reference/libmx/mx.types |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 56e576cc3c90f70b950d63f496b7ebd36618370e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 17:55:07 2010 +0100

    mx-bin: document mx_bin_allocate_child
    
    Fixes: http://bugzilla.moblin.org/show_bug.cgi?id=9709
      Bug 9709 - Document mx_bin_allocate_children

 mx/mx-bin.c |   23 ++++++++++++++++++++---
 1 files changed, 20 insertions(+), 3 deletions(-)

commit b8b15e249a80ca0be4a5f7e64a48bf074cbdf8f3
Merge: d0b60db 925188d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 17:39:30 2010 +0100

    Merge branch 'mx-settings'

commit 925188d19c420517c8c2b60b711b296af627b483
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 17:39:23 2010 +0100

    mx-widget: use the long-press-timeout value from MxSettings
    
    MxWidget can now use the value from MxSettings, rather than a hard coded
    value.
    
    Fixes: http://bugzilla.moblin.org/show_bug.cgi?id=9526
      Bug 9526 - [widget] Make the timeout value for long-press configurable

 mx/mx-widget.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 0fd1b402768b86eb13ee995837a0b7a28abe2bc0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 17:28:35 2010 +0100

    mx-settings: ensure settings defaults are setup upon initialisation

 mx/mx-settings.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit d0b60db223bf279b618eb73f0daa24501b901701
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 17:18:08 2010 +0100

    mx-window: remove Clutter 1.2 checks, as 1.2 is now a requirement to build

 mx/mx-window.c |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit e5989ab18c8d3eb13f5bbc84cc7f3d1a80a9666a
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jun 10 17:45:28 2010 +0100

    mx-texture-cache: Close the file after loading the cache
    
    This fixes a leak of the FILE resource after loading the cache.
    
    http://bugs.meego.com/show_bug.cgi?id=2869

 mx/mx-texture-cache.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cb13c731df6ca2d1b849d550b318b066e591280d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 16:13:26 2010 +0100

    Increase the Clutter version requirement to 1.2.0
    
    MxTextureCache now requires Cogl subtexture support.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fcf9f25bd55e479588b338fd4d7e5f25016614e1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 11 16:39:43 2010 +0000

    mx-texture-cache: Use CoglSubTexture instead of MxSubtexture
    
    Since Clutter 1.1.8 Cogl directly has support for sub textures so we
    can avoid the need for MxSubtexture. This has the advantage that there
    are no differences to applications between textures retrieved from a
    pre-generated cache and those loaded from a file directly. For example
    it should now be possible to use a pre-generated cache image in a
    texture frame.
    
    http://bugs.meego.com/show_bug.cgi?id=2869

 mx/Makefile.am        |    1 -
 mx/mx-subtexture.c    |  576 -------------------------------------------------
 mx/mx-subtexture.h    |   97 ---------
 mx/mx-texture-cache.c |  124 +++---------
 4 files changed, 26 insertions(+), 772 deletions(-)

commit ed07fa2ac798cd67a68d49b185ccba0e4ede28dd
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 15:00:38 2010 +0100

    docs: Add missing symbols to sections and remove redundant ones

 docs/reference/libmx/mx-sections.txt |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit d02d42f1985750f02a9e14f160cebf4645ec3a71
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 15:00:05 2010 +0100

    Increase gtk-doc version requirement and include the annotation glossery

 configure.ac                      |    2 +-
 docs/reference/libmx/mx-docs.sgml |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit dfad73f98bda8884d20dbe45da133975104b2434
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 14:44:43 2010 +0100

    docs: add more documentation for MxFocusManager functions

 docs/reference/libmx/mx-docs.sgml |    1 +
 mx/mx-focus-manager.c             |   25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+), 0 deletions(-)

commit 3d7eda84d9caf3778dd16028d95a484f74faa5e1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 15 14:44:23 2010 +0100

    docs: Fix various typos in the documentation that caused link warnings

 mx/mx-button.c     |    6 +++---
 mx/mx-clipboard.c  |    4 ++--
 mx/mx-list-view.c  |    2 +-
 mx/mx-scroll-bar.c |    2 +-
 mx/mx-stylable.c   |    2 +-
 mx/mx-toolbar.c    |    2 +-
 mx/mx-tooltip.c    |    2 +-
 mx/mx-version.h.in |    6 +++---
 mx/mx-window.c     |    2 +-
 9 files changed, 14 insertions(+), 14 deletions(-)

commit 1619aa9f82fed9977ef27cbd10f2665b6c6b1083
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 14 18:03:01 2010 +0100

    mx-path-bar: update documentation
    
    Add more documentation for various functions

 mx/mx-path-bar.c |   64 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 64 insertions(+), 0 deletions(-)

commit 07046f3a75265bb5866df83f1e9f91829d11e33c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 14 17:29:38 2010 +0100

    mx-stylable: connect to MxStyle::changed signal
    
    If the style changes, then the stylable must be updated to reflect any new
    values.

 mx/mx-stylable.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8c74bf1a205761bea23a71009039227ac2a934d8
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 14 17:28:45 2010 +0100

    mx-settings: monitor for changes in xsettings
    
    Pass events to the xsettings client for processing and emit the appropriate
    notifications for properties.

 mx/mx-settings.c |   39 ++++++++++++++++++++++++++++++++++-----
 1 files changed, 34 insertions(+), 5 deletions(-)

commit c5fd8e4265bc6d13d96465e92bd1c0ae3c6f6ae8
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 14 14:48:14 2010 +0100

    Add support for xsettings
    
    Add xsettings support and set the default values of font-size and font-name
    from the xsettings values.

 data/style/default.css |    1 -
 mx/Makefile.am         |    4 +
 mx/mx-settings.c       |   43 ++++
 mx/mx-settings.h       |   24 ++-
 mx/mx-stylable.c       |   60 +++++-
 mx/mx-style.c          |    9 +-
 mx/xsettings-client.c  |  609 ++++++++++++++++++++++++++++++++++++++++++++++++
 mx/xsettings-client.h  |   79 +++++++
 mx/xsettings-common.c  |  265 +++++++++++++++++++++
 mx/xsettings-common.h  |  110 +++++++++
 10 files changed, 1193 insertions(+), 11 deletions(-)

commit eb0a698083940666c5439243a2c5ce057cc0a12b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Jun 14 11:05:29 2010 +0100

    mx-entry: use the stylable convenience function in style-changed
    
    Use the convenience function to apply style to internal clutter text.

 mx/mx-entry.c |   33 ++-------------------------------
 1 files changed, 2 insertions(+), 31 deletions(-)

commit fffd798c619de944dded9037976c32c989366a15
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Jun 11 15:18:42 2010 +0100

    icon-theme: use the MxSettings:"icon-theme" property as the default theme
    
    The default icon theme name can be specified in MxSettings, so this needs
    to be read when initialising the MxIconTheme object.

 mx/mx-icon-theme.c |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit 1c75cf5ad0b0d39c3dcd76c6533206fe50a2ec2a
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Jun 11 15:15:26 2010 +0100

    offscreen: Notify on the correct property name
    
    When renaming 'enabled' to 'redirect-enabled', the g_object_notify call
    was left the same. Correct this to fix notification and run-time
    warnings.

 mx/mx-offscreen.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d90ae1070acda3e2f8e6a980cfe8cbbd4f31a9b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Jun 10 17:57:29 2010 +0100

    mx-settings: add a singleton object to store various global settings
    
    MxSettings will store global settings and defaults used throughout the
    toolkit. Values may be set by the application or loaded from another
    source.

 mx/Makefile.am   |    2 +
 mx/mx-settings.c |  189 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-settings.h |   62 ++++++++++++++++++
 3 files changed, 253 insertions(+), 0 deletions(-)

commit 397111a1570264bb86810a20df99a57cef9fba9d
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu May 20 16:25:33 2010 +0100

    box-layout: Add 'scroll-to-focused' property
    
    This property allows a user to disable MxBoxLayout's automatic
    scroll-to-the-focused-actor capability. This can be useful if you want
    to maintain control over the position value of the adjustment while
    focus is changing.
    
    Fixes MeeGo Bug #2340

 docs/reference/libmx/mx-sections.txt |    2 +
 mx/mx-box-layout.c                   |   62 +++++++++++++++++++++++++++++++++-
 mx/mx-box-layout.h                   |    4 ++
 3 files changed, 67 insertions(+), 1 deletions(-)

commit fd17427b80586a4239be4e2a3fb99237b6049a5e
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu May 27 20:23:24 2010 +0100

    offscreen: Add accumulation buffer capability
    
    Add two properties, 'accumulation-enabled' and 'accumulation-material',
    that controls a new capability of MxOffscreen: Acting as an accumulation
    buffer.
    
    When 'accumulation-enabled' is set to TRUE, MxOffscreen creates an extra
    buffer that it uses as an accumulation buffer. The default settings have
    it blend the primary buffer with the last frame at 50% opacity.
    
    Other effects can be achieved by retrieving the accumulation buffer
    material ('accumulation-material') and changing the blend string.
    
    Addresses MeeGo Bug #2490

 mx/mx-offscreen.c |  225 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 mx/mx-offscreen.h |    6 ++
 2 files changed, 229 insertions(+), 2 deletions(-)

commit 812c962c8d05d20c255a3b28d0e3aaf338537828
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon May 10 18:24:50 2010 +0100

    offscreen: Provide an accessor for the fbo
    
    Provide an accessor for the off-screen buffer, so that a user may
    manipulate it before it is drawn to. This is required to use MxOffscreen
    as an accumulation buffer, for example.
    
    Fixes MeeGo Bug #1965

 mx/mx-offscreen.c |  108 ++++++++++++++++++++++++++++++++++-------------------
 mx/mx-offscreen.h |    2 +
 2 files changed, 71 insertions(+), 39 deletions(-)

commit b1a8b5839110663d5ea99343443de465560e36f7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 1 17:44:14 2010 +0100

    offscreen: Add 'redirect-enabled' property
    
    Add a property, 'redirect-enabled', that lets you bypass
    offscreen-redirection and draw the child directly instead. This is useful
    if you have an effect that you want to turn on and off without having to
    reparent an actor outside of the MxOffscreen.
    
    Based on patch from Chris Lord <chris@linux.intel.com>
    
    Fixes MeeGo Bug #1852

 mx/mx-offscreen.c |  132 +++++++++++++++++++++++++++++++++++++++++------------
 mx/mx-offscreen.h |    4 ++
 2 files changed, 107 insertions(+), 29 deletions(-)

commit 694f0b194d658e8e94bf0e1f51f2b3262746c01a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Jun 1 17:00:41 2010 +0100

    table: box-layout: Make spacing settable from CSS
    
    Allow default spacing for table and BoxLayout to be defined in the CSS,
    using -mx-spacing: for BoxLayout and -mx-row-spacing/-mx-column-spacing
    for Table.
    
    Based on patch from iain <iain@linux.intel.com>
    
    Fixes http://bugs.meego.com/show_bug.cgi?id=1331

 mx/mx-box-layout.c |   53 +++++++++++++++++++++++++++++++++++++++++++++-
 mx/mx-table.c      |   60 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+), 1 deletions(-)

commit 361dc21557b0e56e6d344c9faf27a498ce6d298b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 28 16:42:59 2010 +0100

    Post release version bump to 1.1.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4bdcad11c1a9f62cab76398c51fde7c158f7341e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon May 24 18:11:21 2010 +0100

    widget: move padding into the correct struct
    
    Padding for future expansion of the class should be in the class structure,
    not the instance structure.
    
    Since this changes strict ABI compatibility, the libtool age of the library
    is reduced by adding a binary age offset variable to the configure script.

 configure.ac   |    7 +++++--
 mx/mx-widget.h |   25 +++++++++++++------------
 2 files changed, 18 insertions(+), 14 deletions(-)

commit 88953b6f06a0ab94a5885e20e1dbbc4d81b0dd7f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 14 17:35:05 2010 +0100

    Update version number to 1.0.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d9b9b309846206e4579877deeb5bbb18f4b68de4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 14 17:34:35 2010 +0100

    lightswitch: fix size and remove labels
    
    The size has been changed in the default theme.
    
    Labels are no longer needed as the theme draws these as symbols
    
    http://bugs.meego.com/show_bug.cgi?id=2118

 mx-gtk/mx-gtk-light-switch.c |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit 1612aba9d5052cb0f30f6389a01c090129da9fa5
Author: dbl2010 <dbl2010@gmail.com>
Date:   Fri May 21 07:04:08 2010 -0700

    l10n: Updates to Turkish (tr) translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/tr.po |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit 9ef3e50aaff60751e18c2a7aa332668259b733fb
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Apr 27 16:48:52 2010 +0100

    viewport: Don't needlessly set adjustment value
    
    Don't set the adjustment value during allocation, MxAdjustment already
    clamps the value when changing the other properties on adjustment and
    doing so may accidentally stop any interpolation animation that may be
    running.
    
    Fixes MeeGo bug #1385

 mx/mx-viewport.c |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit 19f102e41d3c62023ace082b50204dcaff51daae
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon May 17 12:04:47 2010 +0100

    combo-box: check item exists before removing it
    
    Check that the position of the item to remove is valid before attempting
    to access and remove it.
    
    Fixes: http://bugs.meego.com/show_bug.cgi?id=1186

 mx/mx-combo-box.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit ad15d2bfc93eafee9f2d7bffbaaf0328131222cf
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Apr 22 14:55:06 2010 +0100

    scroll-view: Don't chain up to parent of the parent class in allocate
    
    MxBin used to allocate its child, but hasn't done for a while. Remove
    the unnecessary parent class look-up in allocate in MxScrollView.
    
    Fixes: http://bugs.meego.com/show_bug.cgi?id=1199

 mx/mx-scroll-view.c |   15 ++-------------
 1 files changed, 2 insertions(+), 13 deletions(-)

commit fc0a7f3dc68dcfffd7231c11e03145020c38d790
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 23 12:13:23 2010 +0100

    adjustment: Reuse the timeline in mx_adjustment_interpolate
    
    Instead of scrapping the timeline each time mx_adjustment_interpolate is
    called, reset the values and re-use it. This fixes the situation where
    calling this function frequently meant the animation never started.
    
    Fixes MeeGo bug #1244

 mx/mx-adjustment.c |   55 +++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 37 insertions(+), 18 deletions(-)

commit 2bbb20304b8b1cdf3c7e7968a9f54c58ed3e1e4b
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon May 10 18:17:29 2010 +0100

    test-shaders: Replace shader with a better one
    
    Replace the box-blur shader with a better one that can handle floating-
    point radii for each axis.
    
    Fixes MeeGo bug #1934

 tests/test-shaders.c |   81 +++++++++++++++++++++++++++++++++++--------------
 1 files changed, 58 insertions(+), 23 deletions(-)

commit 6970d193eb9e38ad9fef09d56fee4113cc0c2aa3
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri May 14 14:50:10 2010 +0100

    focusable: don't accept focus on hidden actors
    
    Actors that are hidden should not accept key focus.
    
    Fixes: http://bugs.meego.com/show_bug.cgi?id=1146

 mx/mx-focusable.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 565a31a74074cbf690d78d29c6b7fb50894608a7
Author: ivarela <malditoastur@gmail.com>
Date:   Thu May 13 04:48:54 2010 -0700

    l10n: updates asturian translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/ast.po |   91 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 91 insertions(+), 0 deletions(-)

commit 17ecdab19bd34fd1fc34e8847cbff9415012040d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu May 6 10:01:37 2010 +0100

    combo-box,scroll-bar: Ensure style gets reset if there has been a capture
    
    Make sure the pseudo-class gets reset correctly if a capture had been
    installed.

 mx/mx-combo-box.c  |    3 +++
 mx/mx-scroll-bar.c |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit c018818d0d60610a37b2bb14858e41d3c5018f68
Author: aalam <apreet.alam@gmail.com>
Date:   Wed May 5 19:10:30 2010 -0700

    l10n: Updates to Panjabi (Punjabi) (pa) translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/pa.po |   65 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 30 insertions(+), 35 deletions(-)

commit a73fd911301d6d9ab1d002ef78c3e9d106406aef
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 5 23:34:06 2010 +0100

    Update the NEWS file

 NEWS |   80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 80 insertions(+), 0 deletions(-)

commit 991a71358789a909b0f06664e8d9b6046937dd9d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 5 23:33:57 2010 +0100

    button: Remove the warnings about ignored style properties
    
    These can be triggered unnecessarily when overriding the style of an
    existing widget.

 mx/mx-button.c |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit 6fbd7573f2d7d7cde60f42115d243d7a748031f6
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed May 5 22:47:46 2010 +0100

    widget: Fix memory leak when the border-image hasn't changed
    
    Based on patch from: Rob Bradford <rob@linux.intel.com>
    
    Fixes: http://bugs.meego.com/show_bug.cgi?id=1779

 mx/mx-widget.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 3c012c6ea92036a3217143956aeaac6fc6b35eda
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 23:35:02 2010 +0100

    Update version number to 1.0.0

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 389119c8ac1350d708ab71a0eb421f42a9d6303a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 23:26:21 2010 +0100

    tests: fix property names and values in test-deform-texture-interactive
    
    Fix various properties that have changed name or type.

 tests/test-deform-texture-interactive.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 877f2fb6176bac12ba0198dcc918869a112fb1ce
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 18:33:27 2010 +0100

    style: ensure the toggle handle states are applied correctly

 data/style/Makefile.am              |    3 +++
 data/style/default.css              |   12 ++++++++++++
 data/style/toggle-handle-active.png |  Bin 0 -> 612 bytes
 data/style/toggle-handle-focus.png  |  Bin 0 -> 740 bytes
 data/style/toggle-handle-hover.png  |  Bin 0 -> 612 bytes
 mx/mx-toggle.c                      |   13 +++++++++++--
 6 files changed, 26 insertions(+), 2 deletions(-)

commit daf807b25aef191cc486e1228d8658b2635adcaa
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 18:28:01 2010 +0100

    style: update resize grip asset

 data/style/resize-grip.png |  Bin 341 -> 195 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit e879ec40e5f1dbee2f1330b97001941e5a15e126
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 18:09:26 2010 +0100

    style: update the scrollbar so all states and parts are styled correctly

 data/style/Makefile.am                 |    6 +++
 data/style/default.css                 |   77 ++++++++++++++++++++++++-------
 data/style/scroll-hhandle-disabled.png |  Bin 512 -> 504 bytes
 data/style/scroll-vhandle-disabled.png |  Bin 3254 -> 539 bytes
 mx/mx-scroll-bar.c                     |   34 +++++++-------
 5 files changed, 82 insertions(+), 35 deletions(-)

commit da16d3bb65af08557df493ccd8d006f66af86366
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 18:08:55 2010 +0100

    style: add a style rule for the disabled slider background

 data/style/default.css |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 43be5265c47e35d4b0bdfcffbb6ada96c1c3837b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue May 4 17:39:10 2010 +0100

    style: remove transparency from some of the disabled state assets

 data/style/pathbar-button-disabled.png      |  Bin 840 -> 831 bytes
 data/style/pathbar-button-last-disabled.png |  Bin 512 -> 515 bytes
 data/style/slider-handle-disabled.png       |  Bin 492 -> 478 bytes
 data/style/toggle-handle-disabled.png       |  Bin 620 -> 618 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit a25c3c35df47368afae96d5a3f3feb2546979890
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 30 17:55:07 2010 +0100

    button: Ensure the label style is updated on creation
    
    If an MxButton is mapped without a label set, it will contain no
    MxLabel. If the text is then set, it will be created, but the style will
    be wrong as it hasn't had a chance to set the ClutterText attributes.
    
    Fix this by checking if we're mapped when we create the label and
    calling mx_stylable_apply_clutter_text_attributes().
    
    Fixes MeeGo bug #1570

 mx/mx-button.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f548d0970d8733ac29066c4c3e868cf2a206e2ff
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon May 3 23:15:38 2010 +0100

    style: add disabled assets for the pathbar

 data/style/Makefile.am                      |    6 ++++--
 data/style/default.css                      |   11 +++++++++++
 data/style/pathbar-button-disabled.png      |  Bin 0 -> 840 bytes
 data/style/pathbar-button-last-disabled.png |  Bin 0 -> 512 bytes
 4 files changed, 15 insertions(+), 2 deletions(-)

commit f677922a990ab7e697ecc75390d2f51d34e854b5
Author: Djan <jean.cayron@gmail.com>
Date:   Tue May 4 06:31:23 2010 -0700

    l10n: New Walloon translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/wa.po |   86 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 86 insertions(+), 0 deletions(-)

commit e20c487f61ad8c67fe31d71d280fb8b5d7f13ae7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon May 3 23:09:35 2010 +0100

    style: update toolbar styling
    
    Add a new background for the toolbar and remove much of the toolbar
    specific styling.

 data/style/Makefile.am            |    5 +-
 data/style/default.css            |  129 ++++++++-----------------------------
 data/style/toolbar-background.png |  Bin 0 -> 183 bytes
 3 files changed, 29 insertions(+), 105 deletions(-)

commit b27900ac52460995e3647df749343632328e5efd
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Apr 22 15:07:26 2010 +0100

    bin: Use mx_allocate_align_fill in mx_bin_allocate_child
    
    mx_bin_allocate_child pretty much contains a copy of
    mx_allocate_align_fill, but with the bug fixed in commit
    de86efdd41a7c0736c057abc9d1b07c2cc496572.
    
    Make it use mx_allocate_align_fill to cut down on code duplication and
    to stop from introducing various errors in the different copies of this
    code.
    
    http://bugs.meego.com/show_bug.cgi?id=1140

 mx/mx-bin.c |  107 +++++++----------------------------------------------------
 1 files changed, 12 insertions(+), 95 deletions(-)

commit 992b3fc4e9a7700ef21bbaa7c5bc3fee97bc31e5
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Apr 13 19:29:38 2010 +0100

    table: Use allocate_align_fill from utils
    
    Remove mx_table_allocate_fill and use mx_allocate_align_fill from mx-utils.
    
    http://bugs.meego.com/show_bug.cgi?id=1140

 mx/mx-table.c |  118 +++++++++-----------------------------------------------
 1 files changed, 19 insertions(+), 99 deletions(-)

commit 1369e65df720f5f6c92ac742c6ea96e90d86e868
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 21 12:37:12 2010 +0100

    utils: Don't calculate values we don't use
    
    When allocating only x_fill or y_fill, there is no need to calculate
    the child height or the child width, respectively, as they aren't
    subsequently used. This will save a measurement in these situations, which
    can be a costly operation when dealing with, for example, ClutterText.
    
    http://bugs.meego.com/show_bug.cgi?id=1140

 mx/mx-utils.c |   24 +++++++++++++++---------
 1 files changed, 15 insertions(+), 9 deletions(-)

commit a2fbcaa7fc531d04b6a0d8e1959c7958a8042307
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Apr 13 19:30:37 2010 +0100

    label: Set x-fill and y-fill depending on alignment
    
    If alignment is at the start, we can set the fill of that axis to TRUE and
    avoid measuring the ClutterText (which can be very expensive).
    
    http://bugs.meego.com/show_bug.cgi?id=1140

 mx/mx-label.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 6329870f93fe85cdfd0ccf3d8f20d9f8f4ac39a7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 30 11:15:36 2010 +0100

    scroll-bar: add active state and assets
    
    Make sure the press and release events are passed onto the handle
    and stepper buttons, so that the "active" state is applied.
    
    Add the associated assets for "active" state.

 data/style/Makefile.am |    6 ++++++
 data/style/default.css |   41 +++++++++++++++++++++++++++++++++--------
 mx/mx-scroll-bar.c     |   14 +++++++++-----
 3 files changed, 48 insertions(+), 13 deletions(-)

commit 19c7f53c4835b33483013eb9b71605ffa8d035d4
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Apr 29 12:12:11 2010 +0100

    table: Fix using col_spacing instead of row_spacing
    
    col_spacing was being used instead of row_spacing during allocation.
    
    This fixes MeeGo bug #1514

 mx/mx-table.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f2172d9b3459d1cf94af580712c216b4d609847b
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 30 09:34:07 2010 +0100

    Update version number to 0.99.8

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b116bdaecfd620217685fc3e87af5972f07eaac0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 30 09:33:06 2010 +0100

    style: fix padding on active buttons

 data/style/default.css |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f15c5edf9c42645a3a61540f5c76a722ae4bd053
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 30 09:30:29 2010 +0100

    style: update scrollbar assets

 data/style/default.css                      |    2 ++
 data/style/scroll-button-down-active.png    |  Bin 621 -> 3331 bytes
 data/style/scroll-button-down-disabled.png  |  Bin 654 -> 3379 bytes
 data/style/scroll-button-down-hover.png     |  Bin 647 -> 3369 bytes
 data/style/scroll-button-down.png           |  Bin 681 -> 3396 bytes
 data/style/scroll-button-left-active.png    |  Bin 636 -> 3326 bytes
 data/style/scroll-button-left-disabled.png  |  Bin 662 -> 3384 bytes
 data/style/scroll-button-left-hover.png     |  Bin 659 -> 3376 bytes
 data/style/scroll-button-left.png           |  Bin 701 -> 3413 bytes
 data/style/scroll-button-right-active.png   |  Bin 636 -> 3331 bytes
 data/style/scroll-button-right-disabled.png |  Bin 669 -> 3391 bytes
 data/style/scroll-button-right-hover.png    |  Bin 661 -> 3375 bytes
 data/style/scroll-button-right.png          |  Bin 706 -> 3421 bytes
 data/style/scroll-button-up-active.png      |  Bin 619 -> 3319 bytes
 data/style/scroll-button-up-disabled.png    |  Bin 643 -> 3375 bytes
 data/style/scroll-button-up-hover.png       |  Bin 629 -> 3348 bytes
 data/style/scroll-button-up.png             |  Bin 675 -> 3399 bytes
 data/style/scroll-vbackground-disabled.png  |  Bin 474 -> 3152 bytes
 data/style/scroll-vbackground.png           |  Bin 487 -> 3161 bytes
 data/style/scroll-vhandle-active.png        |  Bin 512 -> 3210 bytes
 data/style/scroll-vhandle-disabled.png      |  Bin 535 -> 3254 bytes
 data/style/scroll-vhandle-hover.png         |  Bin 536 -> 3248 bytes
 data/style/scroll-vhandle.png               |  Bin 566 -> 3283 bytes
 23 files changed, 2 insertions(+), 0 deletions(-)

commit 4b17d045814604f744168f3cb2e4ffc63e22f3ab
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 30 09:07:20 2010 +0100

    style: update combobox marker assets

 data/style/combobox-marker-active.png   |  Bin 528 -> 3232 bytes
 data/style/combobox-marker-disabled.png |  Bin 531 -> 232 bytes
 data/style/combobox-marker-focus.png    |  Bin 250 -> 3232 bytes
 data/style/combobox-marker-hover.png    |  Bin 528 -> 3232 bytes
 data/style/combobox-marker.png          |  Bin 528 -> 3232 bytes
 5 files changed, 0 insertions(+), 0 deletions(-)

commit d52fe2167e7447032d932d3a0b31f8b6e448cec8
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 30 08:58:45 2010 +0100

    style: Update button and combobox padding

 data/style/default.css |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit f14b1e29052dd2c25923dbe6f6b01de726bb8c8c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Apr 28 22:29:33 2010 +0100

    style: Correct the styling for sliders
    
    The slider handle is now smaller, so make sure the border-image
    slices match.

 data/style/default.css |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 7f463551bf5c1f4b33eb42681570b1128a3e6d83
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 27 22:19:58 2010 +0100

    scrollbar: add rules and assets for scrollbar background

 data/style/Makefile.am                     |    4 ++++
 data/style/default.css                     |   25 +++++++++++++++++++------
 data/style/scroll-hbackground-disabled.png |  Bin 0 -> 474 bytes
 data/style/scroll-vbackground-disabled.png |  Bin 0 -> 474 bytes
 mx/mx-scroll-bar.c                         |    6 +++++-
 5 files changed, 28 insertions(+), 7 deletions(-)

commit 8e1d8b7e143d530f2459362c972766882b81a18c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 27 13:47:20 2010 +0100

    Updated visual design

 data/style/Makefile.am                      |    3 +
 data/style/button-active.png                |  Bin 511 -> 569 bytes
 data/style/button-disabled.png              |  Bin 431 -> 569 bytes
 data/style/button-focus.png                 |  Bin 565 -> 701 bytes
 data/style/button-hover.png                 |  Bin 564 -> 605 bytes
 data/style/button.png                       |  Bin 466 -> 605 bytes
 data/style/checkbox-background-active.png   |  Bin 424 -> 435 bytes
 data/style/checkbox-background-disabled.png |  Bin 349 -> 437 bytes
 data/style/checkbox-background-focus.png    |  Bin 424 -> 457 bytes
 data/style/checkbox-background-hover.png    |  Bin 424 -> 435 bytes
 data/style/checkbox-background.png          |  Bin 393 -> 435 bytes
 data/style/checkbox-check-disabled.png      |  Bin 307 -> 362 bytes
 data/style/checkbox-check.png               |  Bin 723 -> 358 bytes
 data/style/combobox-active.png              |  Bin 582 -> 573 bytes
 data/style/combobox-disabled.png            |  Bin 460 -> 539 bytes
 data/style/combobox-focus.png               |  Bin 474 -> 672 bytes
 data/style/combobox-hover.png               |  Bin 579 -> 573 bytes
 data/style/combobox-marker-active.png       |  Bin 232 -> 528 bytes
 data/style/combobox-marker-disabled.png     |  Bin 223 -> 531 bytes
 data/style/combobox-marker-focus.png        |  Bin 233 -> 250 bytes
 data/style/combobox-marker-hover.png        |  Bin 232 -> 528 bytes
 data/style/combobox-marker.png              |  Bin 232 -> 528 bytes
 data/style/combobox.png                     |  Bin 480 -> 577 bytes
 data/style/default.css                      |   58 ++++++++++++++++++--------
 data/style/entry-active.png                 |  Bin 558 -> 532 bytes
 data/style/entry-disabled.png               |  Bin 471 -> 527 bytes
 data/style/entry-focus.png                  |  Bin 558 -> 548 bytes
 data/style/entry-hover.png                  |  Bin 558 -> 532 bytes
 data/style/entry.png                        |  Bin 477 -> 522 bytes
 data/style/expander-arrow-down-active.png   |  Bin 262 -> 235 bytes
 data/style/expander-arrow-down-disabled.png |  Bin 259 -> 245 bytes
 data/style/expander-arrow-down-focus.png    |  Bin 262 -> 237 bytes
 data/style/expander-arrow-down-hover.png    |  Bin 261 -> 237 bytes
 data/style/expander-arrow-down.png          |  Bin 262 -> 237 bytes
 data/style/expander-arrow-up-active.png     |  Bin 270 -> 250 bytes
 data/style/expander-arrow-up-disabled.png   |  Bin 279 -> 248 bytes
 data/style/expander-arrow-up-focus.png      |  Bin 270 -> 250 bytes
 data/style/expander-arrow-up-hover.png      |  Bin 270 -> 250 bytes
 data/style/expander-arrow-up.png            |  Bin 266 -> 249 bytes
 data/style/expander-closed-active.png       |  Bin 580 -> 618 bytes
 data/style/expander-closed-disabled.png     |  Bin 478 -> 593 bytes
 data/style/expander-closed-focus.png        |  Bin 580 -> 721 bytes
 data/style/expander-closed-hover.png        |  Bin 581 -> 613 bytes
 data/style/expander-closed.png              |  Bin 506 -> 627 bytes
 data/style/expander-open-active.png         |  Bin 833 -> 921 bytes
 data/style/expander-open-disabled.png       |  Bin 774 -> 902 bytes
 data/style/expander-open-focus.png          |  Bin 833 -> 1047 bytes
 data/style/expander-open-hover.png          |  Bin 833 -> 922 bytes
 data/style/expander-open.png                |  Bin 769 -> 938 bytes
 data/style/menu-item.png                    |  Bin 154 -> 117 bytes
 data/style/menu.png                         |  Bin 208 -> 295 bytes
 data/style/pathbar-button-active.png        |  Bin 786 -> 618 bytes
 data/style/pathbar-button-focus.png         |  Bin 808 -> 911 bytes
 data/style/pathbar-button-hover.png         |  Bin 808 -> 838 bytes
 data/style/pathbar-button-last-active.png   |  Bin 545 -> 486 bytes
 data/style/pathbar-button-last-focus.png    |  Bin 521 -> 628 bytes
 data/style/pathbar-button-last-hover.png    |  Bin 521 -> 547 bytes
 data/style/pathbar-button-last.png          |  Bin 460 -> 554 bytes
 data/style/pathbar-button.png               |  Bin 673 -> 839 bytes
 data/style/progress-bar-background.png      |  Bin 563 -> 484 bytes
 data/style/progress-bar-bar.png             |  Bin 577 -> 548 bytes
 data/style/scroll-button-down-active.png    |  Bin 3250 -> 621 bytes
 data/style/scroll-button-down-disabled.png  |  Bin 3182 -> 654 bytes
 data/style/scroll-button-down-hover.png     |  Bin 3233 -> 647 bytes
 data/style/scroll-button-down.png           |  Bin 3191 -> 681 bytes
 data/style/scroll-button-left-active.png    |  Bin 3234 -> 636 bytes
 data/style/scroll-button-left-disabled.png  |  Bin 3154 -> 662 bytes
 data/style/scroll-button-left-hover.png     |  Bin 3222 -> 659 bytes
 data/style/scroll-button-left.png           |  Bin 3180 -> 701 bytes
 data/style/scroll-button-right-active.png   |  Bin 3224 -> 636 bytes
 data/style/scroll-button-right-disabled.png |  Bin 3139 -> 669 bytes
 data/style/scroll-button-right-hover.png    |  Bin 3213 -> 661 bytes
 data/style/scroll-button-right.png          |  Bin 3178 -> 706 bytes
 data/style/scroll-button-up-active.png      |  Bin 530 -> 619 bytes
 data/style/scroll-button-up-disabled.png    |  Bin 455 -> 643 bytes
 data/style/scroll-button-up-hover.png       |  Bin 512 -> 629 bytes
 data/style/scroll-button-up.png             |  Bin 466 -> 675 bytes
 data/style/scroll-hbackground.png           |  Bin 501 -> 474 bytes
 data/style/scroll-hhandle-active.png        |  Bin 385 -> 526 bytes
 data/style/scroll-hhandle-disabled.png      |  Bin 328 -> 512 bytes
 data/style/scroll-hhandle-hover.png         |  Bin 384 -> 541 bytes
 data/style/scroll-hhandle.png               |  Bin 321 -> 548 bytes
 data/style/scroll-vbackground.png           |  Bin 509 -> 487 bytes
 data/style/scroll-vhandle-active.png        |  Bin 392 -> 512 bytes
 data/style/scroll-vhandle-disabled.png      |  Bin 344 -> 535 bytes
 data/style/scroll-vhandle-hover.png         |  Bin 392 -> 536 bytes
 data/style/scroll-vhandle.png               |  Bin 353 -> 566 bytes
 data/style/slider-background-active.png     |  Bin 207 -> 293 bytes
 data/style/slider-background-disabled.png   |  Bin 207 -> 288 bytes
 data/style/slider-background-focus.png      |  Bin 207 -> 293 bytes
 data/style/slider-background-hover.png      |  Bin 207 -> 293 bytes
 data/style/slider-background.png            |  Bin 207 -> 293 bytes
 data/style/slider-handle-active.png         |  Bin 413 -> 506 bytes
 data/style/slider-handle-disabled.png       |  Bin 345 -> 492 bytes
 data/style/slider-handle-focus.png          |  Bin 413 -> 579 bytes
 data/style/slider-handle-hover.png          |  Bin 413 -> 506 bytes
 data/style/slider-handle.png                |  Bin 413 -> 516 bytes
 data/style/toggle-background-active.png     |  Bin 934 -> 923 bytes
 data/style/toggle-background-disabled.png   |  Bin 877 -> 828 bytes
 data/style/toggle-background.png            |  Bin 934 -> 920 bytes
 data/style/toggle-handle-disabled.png       |  Bin 528 -> 620 bytes
 data/style/toggle-handle.png                |  Bin 773 -> 659 bytes
 102 files changed, 43 insertions(+), 18 deletions(-)

commit 09976e47f60ba2b427cc1d56b8905022f3afaf28
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Apr 26 15:07:08 2010 +0100

    widget: don't change the "border-image" property unnecessarily
    
    Check whether the "border-image" style property has actually
    changed before removing the old border-image actor and replacing
    it.
    
    Helps prevent flicker if the border-image assets have an alpha
    channel, such as the new visual design.

 mx/mx-widget.c |   86 +++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 67 insertions(+), 19 deletions(-)

commit 530bf413bb2a354bbf41ef27e0c2d46d7a3ea00e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Apr 26 15:04:13 2010 +0100

    buttons: don't use "hover" pseudo-class for focused state

 mx/mx-button.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 39f1380885d0eef0a06c3129c83abd3c43b2c529
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Mon Apr 26 14:53:43 2010 +0100

    Add missing copyright headers

 mx/mx-private.c    |   22 ++++++++++++++++++++++
 mx/mx-types.c      |   24 ++++++++++++++++++++++++
 mx/mx-version.h.in |   22 ++++++++++++++++++++++
 mx/mx-window.c     |   24 +++++++++++++++++++++++-
 mx/mx-window.h     |   26 +++++++++++++++++++++++++-
 5 files changed, 116 insertions(+), 2 deletions(-)

commit bfa1101b1e8c9185a410fa288884ae2087c6f889
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 15:12:47 2010 +0100

    Add missing single include header guards

 mx/mx-application.h      |    4 ++++
 mx/mx-deform-bow-tie.h   |    4 ++++
 mx/mx-deform-page-turn.h |    4 ++++
 mx/mx-deform-waves.h     |    4 ++++
 mx/mx-frame.h            |    4 ++++
 mx/mx-icon-theme.h       |    4 ++++
 mx/mx-window.h           |    4 ++++
 7 files changed, 28 insertions(+), 0 deletions(-)

commit dfc5174aedb7579bc2520aab8de2b4fff1cb76a1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 14:59:40 2010 +0100

    docs: update mx-docs.sgml
    
    Remove references to non-public API and add missing xml. Rename the title
    and add the correct years to copyright.

 docs/reference/libmx/mx-docs.sgml |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 71f83087aefff2245ec47b61414889257462dcd7
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 14:51:27 2010 +0100

    docs: document dummy interface structs
    
    Document the structs used to create a C type to cast the interface type.

 mx/mx-draggable.h    |    5 +++++
 mx/mx-droppable.h    |    5 +++++
 mx/mx-focusable.h    |    5 +++++
 mx/mx-item-factory.h |    5 +++++
 mx/mx-scrollable.h   |    5 +++++
 mx/mx-style.h        |    5 +++++
 6 files changed, 30 insertions(+), 0 deletions(-)

commit a2ad17f47314079517c8c25eef008677c78cf38c
Author: txava <salvadorcabrera@gmail.com>
Date:   Mon Apr 26 18:42:56 2010 -0700

    l10n: Created Mexican Spanish translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/es_MX.po |   82 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 82 insertions(+), 0 deletions(-)

commit 7eed021e05bb685fa2f75a505850ac50d44b18eb
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Apr 23 14:28:10 2010 +0100

    style: Add rules for sliders in toolbars
    
    Slider handles appear with incorrect styling, when a slider is placed in
    a toolbar. Add rules so that they get the correct style, to match the
    visual design.

 data/style/default.css |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 99859899d25fd75e3c36f6f08918099399c54fc9
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 14:26:37 2010 +0100

    docs: remove MxPathBarButton from docs as it is private to Mx

 docs/reference/libmx/Makefile.am     |    4 +---
 docs/reference/libmx/mx-sections.txt |   16 ----------------
 2 files changed, 1 insertions(+), 19 deletions(-)

commit 2c6f573ff410968154c821abac1012c953c54a06
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 10:32:06 2010 +0100

    docs: document object structures
    
    Add the note that most object structures should should not be accessed
    directly.

 mx/mx-deform-bow-tie.h   |    6 ++++++
 mx/mx-deform-page-turn.h |    6 ++++++
 mx/mx-deform-texture.h   |    6 ++++++
 mx/mx-deform-waves.h     |    6 ++++++
 mx/mx-notebook.h         |    6 ++++++
 mx/mx-offscreen.h        |    6 ++++++
 mx/mx-path-bar.h         |    6 ++++++
 mx/mx-table-child.h      |    6 ++++++
 mx/mx-toggle.h           |    6 ++++++
 mx/mx-window.h           |    6 ++++++
 10 files changed, 60 insertions(+), 0 deletions(-)

commit 5cb811ed8e30c2d1d9ae7247be00b02fe7c709f0
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 10:03:17 2010 +0100

    docs: fix documentation errors
    
    Fix various function parameter definitions.

 mx/mx-button-group.c   |    1 -
 mx/mx-deform-texture.c |    1 +
 mx/mx-focus-manager.c  |    2 +-
 mx/mx-icon-theme.c     |    1 -
 4 files changed, 2 insertions(+), 3 deletions(-)

commit f3e72ec9d95f28b9a3394a18f8ac6b15bf36ac50
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Fri Apr 23 09:59:09 2010 +0100

    docs: remove and ignore private symbols
    
    Remove some private symbols from the documentation

 docs/reference/libmx/Makefile.am     |    4 ++++
 docs/reference/libmx/mx-sections.txt |   31 -------------------------------
 2 files changed, 4 insertions(+), 31 deletions(-)

commit e11862a7389cedd5946a8fd5a4822f239c30bc0c
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:59:46 2010 +0100

    Update version number to 0.99.7

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5a9816de52ee1900bf2aef234d147a9ef50bb03d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:58:21 2010 +0100

    docs: fix and complete the MxSlider documentation

 mx/mx-slider.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2b2f25f72f14c5e88717898c78b272c3163896da
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:56:19 2010 +0100

    docs: complete the MxToolbar documentation

 mx/mx-toolbar.c |   45 +++++++++++++++++++++++++++++++++++++++++++++
 mx/mx-toolbar.h |    6 ++++++
 2 files changed, 51 insertions(+), 0 deletions(-)

commit 288336d0fd23974b00b576c48ca1afc53ccdbf34
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:42:27 2010 +0100

    docs: remove references to symbols that have been removed

 docs/reference/libmx/mx-docs.sgml    |    8 -------
 docs/reference/libmx/mx-sections.txt |   39 +--------------------------------
 2 files changed, 2 insertions(+), 45 deletions(-)

commit a9a7884cc61e6c7becfd80d577ccde7efc6644cb
Author: TomasVirgl <tomas@virgl.net>
Date:   Thu Apr 22 11:30:53 2010 -0700

    l10n: Slovak translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/sk.po |   82 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 82 insertions(+), 0 deletions(-)

commit 1b72645fb398882c6f3b490dafb7ab1fb36f924d
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:36:12 2010 +0100

    Fix compiler warnings
    
    Remove unused variables and define proper scope for functions.

 mx/mx-expander.c   |    1 -
 mx/mx-icon-theme.c |    2 --
 mx/mx-table.c      |    2 +-
 3 files changed, 1 insertions(+), 4 deletions(-)

commit 0c0e98b98101fd8dafe5db4be86bcf2fba9168df
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:29:48 2010 +0100

    expander: always execute the foreach callback if a child is available
    
    The foreach callback must always be called when the expander has a child,
    not just when the expander is open.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1201

 mx/mx-expander.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dea16ff1d74b88eb81d03587fbe30fa3bd468023
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 17:18:42 2010 +0100

    expander: remove redundant signal function definition
    
    The defined function in the class structure is not used and there is no
    signal with the same name to connect to. The expand-complete signal can
    be used for the same purpose as it is always emitted when the expander
    has finished its animation (both closing or opening).
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1200

 mx/mx-expander.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 3001565fc728fc4f4d1a00523e3d403a7149c8d1
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 22 16:59:08 2010 +0100

    test-table: don't connect to size changes
    
    Since using MxWindow, the test no longer needs to keep track of user
    resizing, since this is all handled by MxWindow.

 tests/test-table.c |   18 ------------------
 1 files changed, 0 insertions(+), 18 deletions(-)

commit 4a5e7957f21c7b15c714fb5ffd7af90f491b9168
Author: iain <iain@linux.intel.com>
Date:   Wed Apr 21 13:01:21 2010 +0100

    table: Don't add spacing for rows/cols that only contain hidden actors
    
    When calculating the table dimensions, count how many rows/columns contain
    actors that are visible. Then use that count when calculating width/height
    and actor placement so as to not add extra spacing for hidden rows/cols.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=896

 mx/mx-table.c |   70 ++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 60 insertions(+), 10 deletions(-)

commit aaee6e719d0189cb42e51d83b05b2aab316ba2c4
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Apr 22 14:18:32 2010 +0100

    scroll-view: Connect to the correct property names
    
    MxScrollView connects to 'notify::hadjustment' and 'notify::vadjustment'
    instead of 'notify::horizontal-adjustment' and
    'notify::vertical-adjustment', respectively.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1198

 mx/mx-scroll-view.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3b0f8bad3b0735fb4d714ce9c71b48751787c23a
Author: Chris Lord <chris@linux.intel.com>
Date:   Wed Apr 21 13:20:56 2010 +0100

    label: Take padding into account fully in get_preferred_width/height
    
    When chaining up to the internal ClutterText of the MxLabel, the padding
    needs to be taken off the for_width or for_height, otherwise it won't
    ask for enough width/height when it has padding.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1139

 mx/mx-label.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 734ed4ed29e64b6a1eb6012453a2ffc609269f0b
Author: iain <iain@linux.intel.com>
Date:   Wed Apr 21 17:26:35 2010 +0100

    Table: When skipping a non-focusable actor, respect the actors span
    
    Non-focusable actors would break the focus chain if they spanned more than
    one cell. Take their span into consideration when finding the next actor in
    the chain
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1138

 mx/mx-table.c |   42 ++++++++++++++++++++++++++++++++++--------
 1 files changed, 34 insertions(+), 8 deletions(-)

commit 362cecf4d8bd53c14bb0d5c8f26cf44ff3922c5d
Author: iain <iain@linux.intel.com>
Date:   Wed Apr 21 11:28:03 2010 +0100

    table: Use span when moving focus right or down
    
    Focus was able to get trapped on spanned actors when moving right or down as
    the focus was only moving 1 cell, which landed on the same actor. This is
    fixed by using the span when moving focus.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1138

 mx/mx-table.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d9580df59ca0a2f09c181b1e8672534318fa9b36
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 20 16:51:50 2010 +0100

    Update version number to 0.99.6

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 199bd69cbf57e503100a5c24bb4091b374fda40a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 20 16:50:49 2010 +0100

    Remove deprecated code
    
    Remove code disabled by MX_DISABLE_DEPRECATED, which was enabled by default
    since 0.99.0.

 configure.ac          |    6 +--
 mx/Makefile.am        |    1 -
 mx/mx-box-layout.c    |   24 ------------
 mx/mx-box-layout.h    |    5 --
 mx/mx-button.c        |   40 -------------------
 mx/mx-button.h        |   10 -----
 mx/mx-combo-box.c     |   20 ----------
 mx/mx-combo-box.h     |    5 --
 mx/mx-grid.c          |  100 -------------------------------------------------
 mx/mx-grid.h          |   19 +---------
 mx/mx-icon.c          |   38 ------------------
 mx/mx-icon.h          |    7 ---
 mx/mx-menu.c          |    9 ----
 mx/mx-menu.h          |    3 -
 mx/mx-scroll-view.c   |   19 ---------
 mx/mx-scroll-view.h   |    5 --
 mx/mx-table-child.c   |   63 -------------------------------
 mx/mx-table-child.h   |    7 ---
 mx/mx-table.c         |   42 --------------------
 mx/mx-table.h         |    5 --
 mx/mx-texture-frame.c |   26 -------------
 mx/mx-texture-frame.h |   12 ------
 mx/mx-tooltip.c       |   20 ----------
 mx/mx-tooltip.h       |    5 --
 mx/mx-widget.c        |   20 ----------
 mx/mx-widget.h        |    3 -
 26 files changed, 3 insertions(+), 511 deletions(-)

commit 0b9d578bd8e221f8c0a91d1b6622aeb0d8124ad0
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Apr 20 13:17:00 2010 +0100

    scroll-view: Hide scroll-bars by default
    
    Hide the scroll-bars by default - this is necessary if a scrollable actor
    chooses not to provide an adjustment for a particular axis.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1053

 mx/mx-scroll-view.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b0dfd016ab870b5b810a7563604bce63135bd842
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Apr 20 13:15:52 2010 +0100

    scroll-view: Fix typo that could cause NULL-pointer access
    
    Fix an 'if (vadjustment) do_something (hadjustment)' error.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=1052

 mx/mx-scroll-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dec9c4dbc82ae33f2ac881ab30cb70644350f623
Author: iain <iain@linux.intel.com>
Date:   Fri Apr 16 18:28:21 2010 +0100

    table: Take row/column span into consideration when looking for actor at c,r
    
    The function mx_table_find_actor_at did not look at row/column span when
    working out what actor was in what grid square, so spanned actors were only
    in their first grid square, and requests for their other squares came back
    empty.
    
    Fixes: http://bugzilla.meego.com/show_bug.cgi?id=909

 mx/mx-table.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2291011118749205dcb920e51790e3a34053ff4e
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Tue Apr 20 15:02:40 2010 +0100

    texture-frame: fix tests for preventing overlapped drawing
    
    The ey, ex coordinate is the bottom right corner of the middle section, so
    therefore should never be less than the top left corner.
    
    http://bugzilla.meego.com/show_bug.cgi?id=702

 mx/mx-texture-frame.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit dd6428a0c5dd76076a06717ead6932dfd5158651
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Apr 19 18:33:25 2010 +0100

    deform-texture: Finish documentation

 mx/mx-deform-texture.c |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit c1b828fd9698507e9d2a2d42157cad69346e999b
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Apr 19 14:57:17 2010 +0100

    deform-textures: Fix building with Clutter master
    
    CoglColor was always meant to be a private struct, but the header has now
    been changed to enforce it. Use the cogl function to set the struct values.
    
    Fixes MeeGo bug #848

 mx/mx-deform-bow-tie.c   |    4 +---
 mx/mx-deform-page-turn.c |    4 +---
 mx/mx-deform-waves.c     |    4 +---
 3 files changed, 3 insertions(+), 9 deletions(-)

commit 2e9eec9665756752d204b0587f63cbe42f291925
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Tue Apr 6 15:23:18 2010 -0700

    combo-box: fix popup placement when there is insufficent room below

 mx/mx-combo-box.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0a7dbb24efe1b463f781597599cbd55f754cf39a
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 18:12:43 2010 +0100

    Update version number to 0.99.5

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 16c82230a319e3ebaaa5e6f05c5508ff88d36723
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 18:00:50 2010 +0100

    docs: add more documentation for various objects

 mx/mx-adjustment.c       |  191 ++++++++++++++++++++++++++++++++++++++++++++--
 mx/mx-application.c      |   69 +++++++++++++++++
 mx/mx-application.h      |    8 ++-
 mx/mx-box-layout-child.c |   90 ++++++++++++++++++++++
 mx/mx-box-layout.c       |    4 +-
 mx/mx-button-group.c     |   75 ++++++++++++++++++
 mx/mx-button-group.h     |    7 ++
 mx/mx-button.c           |    2 +-
 mx/mx-combo-box.c        |    3 +-
 mx/mx-entry.h            |    2 +-
 mx/mx-floating-widget.h  |    6 ++
 mx/mx-focus-manager.h    |    6 ++
 mx/mx-frame.c            |    7 ++
 mx/mx-frame.h            |    6 ++
 mx/mx-icon-theme.c       |   28 +++++++
 mx/mx-icon-theme.h       |    6 ++
 mx/mx-item-factory.h     |    9 +-
 mx/mx-scroll-bar.c       |    1 +
 mx/mx-widget.c           |   27 +++++++
 mx/mx-window.c           |    1 +
 20 files changed, 532 insertions(+), 16 deletions(-)

commit 52330c2a077fa6959658e11250fc73cc09e14683
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 18:00:21 2010 +0100

    docs: update mx-sections.txt
    
    Some API removals and renames had not been reflected in the sections file.

 docs/reference/libmx/mx-sections.txt |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit b261d76ed86091818a48b791fe00ab5f3a59ff14
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 17:32:18 2010 +0100

    adjustment: remove the mx_adjustment_clamp function since it is not used
    
    This function is unused and virtually useless, since the adjustment value
    should never normally be outside the upper and lower limits.

 mx/mx-adjustment.c |   27 ---------------------------
 mx/mx-adjustment.h |    5 -----
 2 files changed, 0 insertions(+), 32 deletions(-)

commit 7dc529a7257a926ec5c8f1f4221fbeb3be12d572
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 17:31:08 2010 +0100

    icon-theme: remove the "changed" signal since it was not used
    
    Changes to the icon theme name should be available via the "notify::name"
    signal.

 mx/mx-icon-theme.c |    9 ---------
 mx/mx-icon-theme.h |    2 --
 2 files changed, 0 insertions(+), 11 deletions(-)

commit 54cca8dfda101dd4e03045411d5fb72d420204ac
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 17:30:05 2010 +0100

    widget: remove undefined functions from header

 mx/mx-widget.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 620c792b914649b40c4f7d81fb693d64c1c7657f
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Thu Apr 15 14:52:05 2010 +0100

    box-layout: do not take the padding into account twice
    
    Do not subtract padding from the variables being compared against the
    values from get_preferred_height/width since they will include padding
    already themselves.

 mx/mx-box-layout.c |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit f339b9096cf6890706464e6c08144a8e59540082
Author: tradomusnordic <tradomusnordic@gmail.com>
Date:   Thu Apr 15 00:03:49 2010 -0700

    l10n: Updates to Danish translation
    
    Transmitted-via: Transifex (translate.moblin.org)

 po/da.po |   87 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 87 insertions(+), 0 deletions(-)

commit 24d0e053cad311c29643e5e7aa512cda66a38140
